#region License
//Copyright (c) 2006 Stephen Apostolopoulos
//See license.txt for license info
#endregion

using System;
using System.Runtime.InteropServices;

namespace OpenTK.OpenGL.Platform
{
    public partial class X11Context
    {
        #region OpenGL core and extension function loading

        public override void Load()
        {
            base.Load();
            GL.NewList = new GL.Delegates.NewList(GL.Imports.NewList);
            GL.EndList = new GL.Delegates.EndList(GL.Imports.EndList);
            GL.CallList = new GL.Delegates.CallList(GL.Imports.CallList);
            GL.CallLists_ = new GL.Delegates.CallLists_(GL.Imports.CallLists_);
            GL.DeleteLists = new GL.Delegates.DeleteLists(GL.Imports.DeleteLists);
            GL.GenLists = new GL.Delegates.GenLists(GL.Imports.GenLists);
            GL.ListBase = new GL.Delegates.ListBase(GL.Imports.ListBase);
            GL.Begin = new GL.Delegates.Begin(GL.Imports.Begin);
            GL.Bitmap_ = new GL.Delegates.Bitmap_(GL.Imports.Bitmap_);
            GL.Color3b = new GL.Delegates.Color3b(GL.Imports.Color3b);
            GL.Color3bv_ = new GL.Delegates.Color3bv_(GL.Imports.Color3bv_);
            GL.Color3d = new GL.Delegates.Color3d(GL.Imports.Color3d);
            GL.Color3dv_ = new GL.Delegates.Color3dv_(GL.Imports.Color3dv_);
            GL.Color3f = new GL.Delegates.Color3f(GL.Imports.Color3f);
            GL.Color3fv_ = new GL.Delegates.Color3fv_(GL.Imports.Color3fv_);
            GL.Color3i = new GL.Delegates.Color3i(GL.Imports.Color3i);
            GL.Color3iv_ = new GL.Delegates.Color3iv_(GL.Imports.Color3iv_);
            GL.Color3s = new GL.Delegates.Color3s(GL.Imports.Color3s);
            GL.Color3sv_ = new GL.Delegates.Color3sv_(GL.Imports.Color3sv_);
            GL.Color3ub = new GL.Delegates.Color3ub(GL.Imports.Color3ub);
            GL.Color3ubv_ = new GL.Delegates.Color3ubv_(GL.Imports.Color3ubv_);
            GL.Color3ui = new GL.Delegates.Color3ui(GL.Imports.Color3ui);
            GL.Color3uiv_ = new GL.Delegates.Color3uiv_(GL.Imports.Color3uiv_);
            GL.Color3us = new GL.Delegates.Color3us(GL.Imports.Color3us);
            GL.Color3usv_ = new GL.Delegates.Color3usv_(GL.Imports.Color3usv_);
            GL.Color4b = new GL.Delegates.Color4b(GL.Imports.Color4b);
            GL.Color4bv_ = new GL.Delegates.Color4bv_(GL.Imports.Color4bv_);
            GL.Color4d = new GL.Delegates.Color4d(GL.Imports.Color4d);
            GL.Color4dv_ = new GL.Delegates.Color4dv_(GL.Imports.Color4dv_);
            GL.Color4f = new GL.Delegates.Color4f(GL.Imports.Color4f);
            GL.Color4fv_ = new GL.Delegates.Color4fv_(GL.Imports.Color4fv_);
            GL.Color4i = new GL.Delegates.Color4i(GL.Imports.Color4i);
            GL.Color4iv_ = new GL.Delegates.Color4iv_(GL.Imports.Color4iv_);
            GL.Color4s = new GL.Delegates.Color4s(GL.Imports.Color4s);
            GL.Color4sv_ = new GL.Delegates.Color4sv_(GL.Imports.Color4sv_);
            GL.Color4ub = new GL.Delegates.Color4ub(GL.Imports.Color4ub);
            GL.Color4ubv_ = new GL.Delegates.Color4ubv_(GL.Imports.Color4ubv_);
            GL.Color4ui = new GL.Delegates.Color4ui(GL.Imports.Color4ui);
            GL.Color4uiv_ = new GL.Delegates.Color4uiv_(GL.Imports.Color4uiv_);
            GL.Color4us = new GL.Delegates.Color4us(GL.Imports.Color4us);
            GL.Color4usv_ = new GL.Delegates.Color4usv_(GL.Imports.Color4usv_);
            GL.EdgeFlag = new GL.Delegates.EdgeFlag(GL.Imports.EdgeFlag);
            GL.EdgeFlagv_ = new GL.Delegates.EdgeFlagv_(GL.Imports.EdgeFlagv_);
            GL.End = new GL.Delegates.End(GL.Imports.End);
            GL.Indexd = new GL.Delegates.Indexd(GL.Imports.Indexd);
            GL.Indexdv_ = new GL.Delegates.Indexdv_(GL.Imports.Indexdv_);
            GL.Indexf = new GL.Delegates.Indexf(GL.Imports.Indexf);
            GL.Indexfv_ = new GL.Delegates.Indexfv_(GL.Imports.Indexfv_);
            GL.Indexi = new GL.Delegates.Indexi(GL.Imports.Indexi);
            GL.Indexiv_ = new GL.Delegates.Indexiv_(GL.Imports.Indexiv_);
            GL.Indexs = new GL.Delegates.Indexs(GL.Imports.Indexs);
            GL.Indexsv_ = new GL.Delegates.Indexsv_(GL.Imports.Indexsv_);
            GL.Normal3b = new GL.Delegates.Normal3b(GL.Imports.Normal3b);
            GL.Normal3bv_ = new GL.Delegates.Normal3bv_(GL.Imports.Normal3bv_);
            GL.Normal3d = new GL.Delegates.Normal3d(GL.Imports.Normal3d);
            GL.Normal3dv_ = new GL.Delegates.Normal3dv_(GL.Imports.Normal3dv_);
            GL.Normal3f = new GL.Delegates.Normal3f(GL.Imports.Normal3f);
            GL.Normal3fv_ = new GL.Delegates.Normal3fv_(GL.Imports.Normal3fv_);
            GL.Normal3i = new GL.Delegates.Normal3i(GL.Imports.Normal3i);
            GL.Normal3iv_ = new GL.Delegates.Normal3iv_(GL.Imports.Normal3iv_);
            GL.Normal3s = new GL.Delegates.Normal3s(GL.Imports.Normal3s);
            GL.Normal3sv_ = new GL.Delegates.Normal3sv_(GL.Imports.Normal3sv_);
            GL.RasterPos2d = new GL.Delegates.RasterPos2d(GL.Imports.RasterPos2d);
            GL.RasterPos2dv_ = new GL.Delegates.RasterPos2dv_(GL.Imports.RasterPos2dv_);
            GL.RasterPos2f = new GL.Delegates.RasterPos2f(GL.Imports.RasterPos2f);
            GL.RasterPos2fv_ = new GL.Delegates.RasterPos2fv_(GL.Imports.RasterPos2fv_);
            GL.RasterPos2i = new GL.Delegates.RasterPos2i(GL.Imports.RasterPos2i);
            GL.RasterPos2iv_ = new GL.Delegates.RasterPos2iv_(GL.Imports.RasterPos2iv_);
            GL.RasterPos2s = new GL.Delegates.RasterPos2s(GL.Imports.RasterPos2s);
            GL.RasterPos2sv_ = new GL.Delegates.RasterPos2sv_(GL.Imports.RasterPos2sv_);
            GL.RasterPos3d = new GL.Delegates.RasterPos3d(GL.Imports.RasterPos3d);
            GL.RasterPos3dv_ = new GL.Delegates.RasterPos3dv_(GL.Imports.RasterPos3dv_);
            GL.RasterPos3f = new GL.Delegates.RasterPos3f(GL.Imports.RasterPos3f);
            GL.RasterPos3fv_ = new GL.Delegates.RasterPos3fv_(GL.Imports.RasterPos3fv_);
            GL.RasterPos3i = new GL.Delegates.RasterPos3i(GL.Imports.RasterPos3i);
            GL.RasterPos3iv_ = new GL.Delegates.RasterPos3iv_(GL.Imports.RasterPos3iv_);
            GL.RasterPos3s = new GL.Delegates.RasterPos3s(GL.Imports.RasterPos3s);
            GL.RasterPos3sv_ = new GL.Delegates.RasterPos3sv_(GL.Imports.RasterPos3sv_);
            GL.RasterPos4d = new GL.Delegates.RasterPos4d(GL.Imports.RasterPos4d);
            GL.RasterPos4dv_ = new GL.Delegates.RasterPos4dv_(GL.Imports.RasterPos4dv_);
            GL.RasterPos4f = new GL.Delegates.RasterPos4f(GL.Imports.RasterPos4f);
            GL.RasterPos4fv_ = new GL.Delegates.RasterPos4fv_(GL.Imports.RasterPos4fv_);
            GL.RasterPos4i = new GL.Delegates.RasterPos4i(GL.Imports.RasterPos4i);
            GL.RasterPos4iv_ = new GL.Delegates.RasterPos4iv_(GL.Imports.RasterPos4iv_);
            GL.RasterPos4s = new GL.Delegates.RasterPos4s(GL.Imports.RasterPos4s);
            GL.RasterPos4sv_ = new GL.Delegates.RasterPos4sv_(GL.Imports.RasterPos4sv_);
            GL.Rectd = new GL.Delegates.Rectd(GL.Imports.Rectd);
            GL.Rectdv_ = new GL.Delegates.Rectdv_(GL.Imports.Rectdv_);
            GL.Rectf = new GL.Delegates.Rectf(GL.Imports.Rectf);
            GL.Rectfv_ = new GL.Delegates.Rectfv_(GL.Imports.Rectfv_);
            GL.Recti = new GL.Delegates.Recti(GL.Imports.Recti);
            GL.Rectiv_ = new GL.Delegates.Rectiv_(GL.Imports.Rectiv_);
            GL.Rects = new GL.Delegates.Rects(GL.Imports.Rects);
            GL.Rectsv_ = new GL.Delegates.Rectsv_(GL.Imports.Rectsv_);
            GL.TexCoord1d = new GL.Delegates.TexCoord1d(GL.Imports.TexCoord1d);
            GL.TexCoord1dv_ = new GL.Delegates.TexCoord1dv_(GL.Imports.TexCoord1dv_);
            GL.TexCoord1f = new GL.Delegates.TexCoord1f(GL.Imports.TexCoord1f);
            GL.TexCoord1fv_ = new GL.Delegates.TexCoord1fv_(GL.Imports.TexCoord1fv_);
            GL.TexCoord1i = new GL.Delegates.TexCoord1i(GL.Imports.TexCoord1i);
            GL.TexCoord1iv_ = new GL.Delegates.TexCoord1iv_(GL.Imports.TexCoord1iv_);
            GL.TexCoord1s = new GL.Delegates.TexCoord1s(GL.Imports.TexCoord1s);
            GL.TexCoord1sv_ = new GL.Delegates.TexCoord1sv_(GL.Imports.TexCoord1sv_);
            GL.TexCoord2d = new GL.Delegates.TexCoord2d(GL.Imports.TexCoord2d);
            GL.TexCoord2dv_ = new GL.Delegates.TexCoord2dv_(GL.Imports.TexCoord2dv_);
            GL.TexCoord2f = new GL.Delegates.TexCoord2f(GL.Imports.TexCoord2f);
            GL.TexCoord2fv_ = new GL.Delegates.TexCoord2fv_(GL.Imports.TexCoord2fv_);
            GL.TexCoord2i = new GL.Delegates.TexCoord2i(GL.Imports.TexCoord2i);
            GL.TexCoord2iv_ = new GL.Delegates.TexCoord2iv_(GL.Imports.TexCoord2iv_);
            GL.TexCoord2s = new GL.Delegates.TexCoord2s(GL.Imports.TexCoord2s);
            GL.TexCoord2sv_ = new GL.Delegates.TexCoord2sv_(GL.Imports.TexCoord2sv_);
            GL.TexCoord3d = new GL.Delegates.TexCoord3d(GL.Imports.TexCoord3d);
            GL.TexCoord3dv_ = new GL.Delegates.TexCoord3dv_(GL.Imports.TexCoord3dv_);
            GL.TexCoord3f = new GL.Delegates.TexCoord3f(GL.Imports.TexCoord3f);
            GL.TexCoord3fv_ = new GL.Delegates.TexCoord3fv_(GL.Imports.TexCoord3fv_);
            GL.TexCoord3i = new GL.Delegates.TexCoord3i(GL.Imports.TexCoord3i);
            GL.TexCoord3iv_ = new GL.Delegates.TexCoord3iv_(GL.Imports.TexCoord3iv_);
            GL.TexCoord3s = new GL.Delegates.TexCoord3s(GL.Imports.TexCoord3s);
            GL.TexCoord3sv_ = new GL.Delegates.TexCoord3sv_(GL.Imports.TexCoord3sv_);
            GL.TexCoord4d = new GL.Delegates.TexCoord4d(GL.Imports.TexCoord4d);
            GL.TexCoord4dv_ = new GL.Delegates.TexCoord4dv_(GL.Imports.TexCoord4dv_);
            GL.TexCoord4f = new GL.Delegates.TexCoord4f(GL.Imports.TexCoord4f);
            GL.TexCoord4fv_ = new GL.Delegates.TexCoord4fv_(GL.Imports.TexCoord4fv_);
            GL.TexCoord4i = new GL.Delegates.TexCoord4i(GL.Imports.TexCoord4i);
            GL.TexCoord4iv_ = new GL.Delegates.TexCoord4iv_(GL.Imports.TexCoord4iv_);
            GL.TexCoord4s = new GL.Delegates.TexCoord4s(GL.Imports.TexCoord4s);
            GL.TexCoord4sv_ = new GL.Delegates.TexCoord4sv_(GL.Imports.TexCoord4sv_);
            GL.Vertex2d = new GL.Delegates.Vertex2d(GL.Imports.Vertex2d);
            GL.Vertex2dv_ = new GL.Delegates.Vertex2dv_(GL.Imports.Vertex2dv_);
            GL.Vertex2f = new GL.Delegates.Vertex2f(GL.Imports.Vertex2f);
            GL.Vertex2fv_ = new GL.Delegates.Vertex2fv_(GL.Imports.Vertex2fv_);
            GL.Vertex2i = new GL.Delegates.Vertex2i(GL.Imports.Vertex2i);
            GL.Vertex2iv_ = new GL.Delegates.Vertex2iv_(GL.Imports.Vertex2iv_);
            GL.Vertex2s = new GL.Delegates.Vertex2s(GL.Imports.Vertex2s);
            GL.Vertex2sv_ = new GL.Delegates.Vertex2sv_(GL.Imports.Vertex2sv_);
            GL.Vertex3d = new GL.Delegates.Vertex3d(GL.Imports.Vertex3d);
            GL.Vertex3dv_ = new GL.Delegates.Vertex3dv_(GL.Imports.Vertex3dv_);
            GL.Vertex3f = new GL.Delegates.Vertex3f(GL.Imports.Vertex3f);
            GL.Vertex3fv_ = new GL.Delegates.Vertex3fv_(GL.Imports.Vertex3fv_);
            GL.Vertex3i = new GL.Delegates.Vertex3i(GL.Imports.Vertex3i);
            GL.Vertex3iv_ = new GL.Delegates.Vertex3iv_(GL.Imports.Vertex3iv_);
            GL.Vertex3s = new GL.Delegates.Vertex3s(GL.Imports.Vertex3s);
            GL.Vertex3sv_ = new GL.Delegates.Vertex3sv_(GL.Imports.Vertex3sv_);
            GL.Vertex4d = new GL.Delegates.Vertex4d(GL.Imports.Vertex4d);
            GL.Vertex4dv_ = new GL.Delegates.Vertex4dv_(GL.Imports.Vertex4dv_);
            GL.Vertex4f = new GL.Delegates.Vertex4f(GL.Imports.Vertex4f);
            GL.Vertex4fv_ = new GL.Delegates.Vertex4fv_(GL.Imports.Vertex4fv_);
            GL.Vertex4i = new GL.Delegates.Vertex4i(GL.Imports.Vertex4i);
            GL.Vertex4iv_ = new GL.Delegates.Vertex4iv_(GL.Imports.Vertex4iv_);
            GL.Vertex4s = new GL.Delegates.Vertex4s(GL.Imports.Vertex4s);
            GL.Vertex4sv_ = new GL.Delegates.Vertex4sv_(GL.Imports.Vertex4sv_);
            GL.ClipPlane_ = new GL.Delegates.ClipPlane_(GL.Imports.ClipPlane_);
            GL.ColorMaterial = new GL.Delegates.ColorMaterial(GL.Imports.ColorMaterial);
            GL.CullFace = new GL.Delegates.CullFace(GL.Imports.CullFace);
            GL.Fogf = new GL.Delegates.Fogf(GL.Imports.Fogf);
            GL.Fogfv_ = new GL.Delegates.Fogfv_(GL.Imports.Fogfv_);
            GL.Fogi = new GL.Delegates.Fogi(GL.Imports.Fogi);
            GL.Fogiv_ = new GL.Delegates.Fogiv_(GL.Imports.Fogiv_);
            GL.FrontFace = new GL.Delegates.FrontFace(GL.Imports.FrontFace);
            GL.Hint = new GL.Delegates.Hint(GL.Imports.Hint);
            GL.Lightf = new GL.Delegates.Lightf(GL.Imports.Lightf);
            GL.Lightfv_ = new GL.Delegates.Lightfv_(GL.Imports.Lightfv_);
            GL.Lighti = new GL.Delegates.Lighti(GL.Imports.Lighti);
            GL.Lightiv_ = new GL.Delegates.Lightiv_(GL.Imports.Lightiv_);
            GL.LightModelf = new GL.Delegates.LightModelf(GL.Imports.LightModelf);
            GL.LightModelfv_ = new GL.Delegates.LightModelfv_(GL.Imports.LightModelfv_);
            GL.LightModeli = new GL.Delegates.LightModeli(GL.Imports.LightModeli);
            GL.LightModeliv_ = new GL.Delegates.LightModeliv_(GL.Imports.LightModeliv_);
            GL.LineStipple_ = new GL.Delegates.LineStipple_(GL.Imports.LineStipple_);
            GL.LineWidth = new GL.Delegates.LineWidth(GL.Imports.LineWidth);
            GL.Materialf = new GL.Delegates.Materialf(GL.Imports.Materialf);
            GL.Materialfv_ = new GL.Delegates.Materialfv_(GL.Imports.Materialfv_);
            GL.Materiali = new GL.Delegates.Materiali(GL.Imports.Materiali);
            GL.Materialiv_ = new GL.Delegates.Materialiv_(GL.Imports.Materialiv_);
            GL.PointSize = new GL.Delegates.PointSize(GL.Imports.PointSize);
            GL.PolygonMode = new GL.Delegates.PolygonMode(GL.Imports.PolygonMode);
            GL.PolygonStipple_ = new GL.Delegates.PolygonStipple_(GL.Imports.PolygonStipple_);
            GL.Scissor = new GL.Delegates.Scissor(GL.Imports.Scissor);
            GL.ShadeModel = new GL.Delegates.ShadeModel(GL.Imports.ShadeModel);
            GL.TexParameterf = new GL.Delegates.TexParameterf(GL.Imports.TexParameterf);
            GL.TexParameterfv_ = new GL.Delegates.TexParameterfv_(GL.Imports.TexParameterfv_);
            GL.TexParameteri = new GL.Delegates.TexParameteri(GL.Imports.TexParameteri);
            GL.TexParameteriv_ = new GL.Delegates.TexParameteriv_(GL.Imports.TexParameteriv_);
            GL.TexImage1D_ = new GL.Delegates.TexImage1D_(GL.Imports.TexImage1D_);
            GL.TexImage2D_ = new GL.Delegates.TexImage2D_(GL.Imports.TexImage2D_);
            GL.TexEnvf = new GL.Delegates.TexEnvf(GL.Imports.TexEnvf);
            GL.TexEnvfv_ = new GL.Delegates.TexEnvfv_(GL.Imports.TexEnvfv_);
            GL.TexEnvi = new GL.Delegates.TexEnvi(GL.Imports.TexEnvi);
            GL.TexEnviv_ = new GL.Delegates.TexEnviv_(GL.Imports.TexEnviv_);
            GL.TexGend = new GL.Delegates.TexGend(GL.Imports.TexGend);
            GL.TexGendv_ = new GL.Delegates.TexGendv_(GL.Imports.TexGendv_);
            GL.TexGenf = new GL.Delegates.TexGenf(GL.Imports.TexGenf);
            GL.TexGenfv_ = new GL.Delegates.TexGenfv_(GL.Imports.TexGenfv_);
            GL.TexGeni = new GL.Delegates.TexGeni(GL.Imports.TexGeni);
            GL.TexGeniv_ = new GL.Delegates.TexGeniv_(GL.Imports.TexGeniv_);
            GL.FeedbackBuffer_ = new GL.Delegates.FeedbackBuffer_(GL.Imports.FeedbackBuffer_);
            GL.SelectBuffer_ = new GL.Delegates.SelectBuffer_(GL.Imports.SelectBuffer_);
            GL.RenderMode = new GL.Delegates.RenderMode(GL.Imports.RenderMode);
            GL.InitNames = new GL.Delegates.InitNames(GL.Imports.InitNames);
            GL.LoadName = new GL.Delegates.LoadName(GL.Imports.LoadName);
            GL.PassThrough = new GL.Delegates.PassThrough(GL.Imports.PassThrough);
            GL.PopName = new GL.Delegates.PopName(GL.Imports.PopName);
            GL.PushName = new GL.Delegates.PushName(GL.Imports.PushName);
            GL.DrawBuffer = new GL.Delegates.DrawBuffer(GL.Imports.DrawBuffer);
            GL.Clear = new GL.Delegates.Clear(GL.Imports.Clear);
            GL.ClearAccum = new GL.Delegates.ClearAccum(GL.Imports.ClearAccum);
            GL.ClearIndex = new GL.Delegates.ClearIndex(GL.Imports.ClearIndex);
            GL.ClearColor = new GL.Delegates.ClearColor(GL.Imports.ClearColor);
            GL.ClearStencil = new GL.Delegates.ClearStencil(GL.Imports.ClearStencil);
            GL.ClearDepth = new GL.Delegates.ClearDepth(GL.Imports.ClearDepth);
            GL.StencilMask = new GL.Delegates.StencilMask(GL.Imports.StencilMask);
            GL.ColorMask = new GL.Delegates.ColorMask(GL.Imports.ColorMask);
            GL.DepthMask = new GL.Delegates.DepthMask(GL.Imports.DepthMask);
            GL.IndexMask = new GL.Delegates.IndexMask(GL.Imports.IndexMask);
            GL.Accum = new GL.Delegates.Accum(GL.Imports.Accum);
            GL.Disable = new GL.Delegates.Disable(GL.Imports.Disable);
            GL.Enable = new GL.Delegates.Enable(GL.Imports.Enable);
            GL.Finish = new GL.Delegates.Finish(GL.Imports.Finish);
            GL.Flush = new GL.Delegates.Flush(GL.Imports.Flush);
            GL.PopAttrib = new GL.Delegates.PopAttrib(GL.Imports.PopAttrib);
            GL.PushAttrib = new GL.Delegates.PushAttrib(GL.Imports.PushAttrib);
            GL.Map1d_ = new GL.Delegates.Map1d_(GL.Imports.Map1d_);
            GL.Map1f_ = new GL.Delegates.Map1f_(GL.Imports.Map1f_);
            GL.Map2d_ = new GL.Delegates.Map2d_(GL.Imports.Map2d_);
            GL.Map2f_ = new GL.Delegates.Map2f_(GL.Imports.Map2f_);
            GL.MapGrid1d = new GL.Delegates.MapGrid1d(GL.Imports.MapGrid1d);
            GL.MapGrid1f = new GL.Delegates.MapGrid1f(GL.Imports.MapGrid1f);
            GL.MapGrid2d = new GL.Delegates.MapGrid2d(GL.Imports.MapGrid2d);
            GL.MapGrid2f = new GL.Delegates.MapGrid2f(GL.Imports.MapGrid2f);
            GL.EvalCoord1d = new GL.Delegates.EvalCoord1d(GL.Imports.EvalCoord1d);
            GL.EvalCoord1dv_ = new GL.Delegates.EvalCoord1dv_(GL.Imports.EvalCoord1dv_);
            GL.EvalCoord1f = new GL.Delegates.EvalCoord1f(GL.Imports.EvalCoord1f);
            GL.EvalCoord1fv_ = new GL.Delegates.EvalCoord1fv_(GL.Imports.EvalCoord1fv_);
            GL.EvalCoord2d = new GL.Delegates.EvalCoord2d(GL.Imports.EvalCoord2d);
            GL.EvalCoord2dv_ = new GL.Delegates.EvalCoord2dv_(GL.Imports.EvalCoord2dv_);
            GL.EvalCoord2f = new GL.Delegates.EvalCoord2f(GL.Imports.EvalCoord2f);
            GL.EvalCoord2fv_ = new GL.Delegates.EvalCoord2fv_(GL.Imports.EvalCoord2fv_);
            GL.EvalMesh1 = new GL.Delegates.EvalMesh1(GL.Imports.EvalMesh1);
            GL.EvalPoint1 = new GL.Delegates.EvalPoint1(GL.Imports.EvalPoint1);
            GL.EvalMesh2 = new GL.Delegates.EvalMesh2(GL.Imports.EvalMesh2);
            GL.EvalPoint2 = new GL.Delegates.EvalPoint2(GL.Imports.EvalPoint2);
            GL.AlphaFunc = new GL.Delegates.AlphaFunc(GL.Imports.AlphaFunc);
            GL.BlendFunc = new GL.Delegates.BlendFunc(GL.Imports.BlendFunc);
            GL.LogicOp = new GL.Delegates.LogicOp(GL.Imports.LogicOp);
            GL.StencilFunc = new GL.Delegates.StencilFunc(GL.Imports.StencilFunc);
            GL.StencilOp = new GL.Delegates.StencilOp(GL.Imports.StencilOp);
            GL.DepthFunc = new GL.Delegates.DepthFunc(GL.Imports.DepthFunc);
            GL.PixelZoom = new GL.Delegates.PixelZoom(GL.Imports.PixelZoom);
            GL.PixelTransferf = new GL.Delegates.PixelTransferf(GL.Imports.PixelTransferf);
            GL.PixelTransferi = new GL.Delegates.PixelTransferi(GL.Imports.PixelTransferi);
            GL.PixelStoref = new GL.Delegates.PixelStoref(GL.Imports.PixelStoref);
            GL.PixelStorei = new GL.Delegates.PixelStorei(GL.Imports.PixelStorei);
            GL.PixelMapfv_ = new GL.Delegates.PixelMapfv_(GL.Imports.PixelMapfv_);
            GL.PixelMapuiv_ = new GL.Delegates.PixelMapuiv_(GL.Imports.PixelMapuiv_);
            GL.PixelMapusv_ = new GL.Delegates.PixelMapusv_(GL.Imports.PixelMapusv_);
            GL.ReadBuffer = new GL.Delegates.ReadBuffer(GL.Imports.ReadBuffer);
            GL.CopyPixels = new GL.Delegates.CopyPixels(GL.Imports.CopyPixels);
            GL.ReadPixels_ = new GL.Delegates.ReadPixels_(GL.Imports.ReadPixels_);
            GL.DrawPixels_ = new GL.Delegates.DrawPixels_(GL.Imports.DrawPixels_);
            GL.GetBooleanv_ = new GL.Delegates.GetBooleanv_(GL.Imports.GetBooleanv_);
            GL.GetClipPlane_ = new GL.Delegates.GetClipPlane_(GL.Imports.GetClipPlane_);
            GL.GetDoublev_ = new GL.Delegates.GetDoublev_(GL.Imports.GetDoublev_);
            GL.GetError = new GL.Delegates.GetError(GL.Imports.GetError);
            GL.GetFloatv_ = new GL.Delegates.GetFloatv_(GL.Imports.GetFloatv_);
            GL.GetIntegerv_ = new GL.Delegates.GetIntegerv_(GL.Imports.GetIntegerv_);
            GL.GetLightfv_ = new GL.Delegates.GetLightfv_(GL.Imports.GetLightfv_);
            GL.GetLightiv_ = new GL.Delegates.GetLightiv_(GL.Imports.GetLightiv_);
            GL.GetMapdv_ = new GL.Delegates.GetMapdv_(GL.Imports.GetMapdv_);
            GL.GetMapfv_ = new GL.Delegates.GetMapfv_(GL.Imports.GetMapfv_);
            GL.GetMapiv_ = new GL.Delegates.GetMapiv_(GL.Imports.GetMapiv_);
            GL.GetMaterialfv_ = new GL.Delegates.GetMaterialfv_(GL.Imports.GetMaterialfv_);
            GL.GetMaterialiv_ = new GL.Delegates.GetMaterialiv_(GL.Imports.GetMaterialiv_);
            GL.GetPixelMapfv_ = new GL.Delegates.GetPixelMapfv_(GL.Imports.GetPixelMapfv_);
            GL.GetPixelMapuiv_ = new GL.Delegates.GetPixelMapuiv_(GL.Imports.GetPixelMapuiv_);
            GL.GetPixelMapusv_ = new GL.Delegates.GetPixelMapusv_(GL.Imports.GetPixelMapusv_);
            GL.GetPolygonStipple_ = new GL.Delegates.GetPolygonStipple_(GL.Imports.GetPolygonStipple_);
            GL.GetString_ = new GL.Delegates.GetString_(GL.Imports.GetString_);
            GL.GetTexEnvfv_ = new GL.Delegates.GetTexEnvfv_(GL.Imports.GetTexEnvfv_);
            GL.GetTexEnviv_ = new GL.Delegates.GetTexEnviv_(GL.Imports.GetTexEnviv_);
            GL.GetTexGendv_ = new GL.Delegates.GetTexGendv_(GL.Imports.GetTexGendv_);
            GL.GetTexGenfv_ = new GL.Delegates.GetTexGenfv_(GL.Imports.GetTexGenfv_);
            GL.GetTexGeniv_ = new GL.Delegates.GetTexGeniv_(GL.Imports.GetTexGeniv_);
            GL.GetTexImage_ = new GL.Delegates.GetTexImage_(GL.Imports.GetTexImage_);
            GL.GetTexParameterfv_ = new GL.Delegates.GetTexParameterfv_(GL.Imports.GetTexParameterfv_);
            GL.GetTexParameteriv_ = new GL.Delegates.GetTexParameteriv_(GL.Imports.GetTexParameteriv_);
            GL.GetTexLevelParameterfv_ = new GL.Delegates.GetTexLevelParameterfv_(GL.Imports.GetTexLevelParameterfv_);
            GL.GetTexLevelParameteriv_ = new GL.Delegates.GetTexLevelParameteriv_(GL.Imports.GetTexLevelParameteriv_);
            GL.IsEnabled = new GL.Delegates.IsEnabled(GL.Imports.IsEnabled);
            GL.IsList = new GL.Delegates.IsList(GL.Imports.IsList);
            GL.DepthRange = new GL.Delegates.DepthRange(GL.Imports.DepthRange);
            GL.Frustum = new GL.Delegates.Frustum(GL.Imports.Frustum);
            GL.LoadIdentity = new GL.Delegates.LoadIdentity(GL.Imports.LoadIdentity);
            GL.LoadMatrixf_ = new GL.Delegates.LoadMatrixf_(GL.Imports.LoadMatrixf_);
            GL.LoadMatrixd_ = new GL.Delegates.LoadMatrixd_(GL.Imports.LoadMatrixd_);
            GL.MatrixMode = new GL.Delegates.MatrixMode(GL.Imports.MatrixMode);
            GL.MultMatrixf_ = new GL.Delegates.MultMatrixf_(GL.Imports.MultMatrixf_);
            GL.MultMatrixd_ = new GL.Delegates.MultMatrixd_(GL.Imports.MultMatrixd_);
            GL.Ortho = new GL.Delegates.Ortho(GL.Imports.Ortho);
            GL.PopMatrix = new GL.Delegates.PopMatrix(GL.Imports.PopMatrix);
            GL.PushMatrix = new GL.Delegates.PushMatrix(GL.Imports.PushMatrix);
            GL.Rotated = new GL.Delegates.Rotated(GL.Imports.Rotated);
            GL.Rotatef = new GL.Delegates.Rotatef(GL.Imports.Rotatef);
            GL.Scaled = new GL.Delegates.Scaled(GL.Imports.Scaled);
            GL.Scalef = new GL.Delegates.Scalef(GL.Imports.Scalef);
            GL.Translated = new GL.Delegates.Translated(GL.Imports.Translated);
            GL.Translatef = new GL.Delegates.Translatef(GL.Imports.Translatef);
            GL.Viewport = new GL.Delegates.Viewport(GL.Imports.Viewport);
            GL.ArrayElement = new GL.Delegates.ArrayElement(GL.Imports.ArrayElement);
            GL.ColorPointer_ = new GL.Delegates.ColorPointer_(GL.Imports.ColorPointer_);
            GL.DisableClientState = new GL.Delegates.DisableClientState(GL.Imports.DisableClientState);
            GL.DrawArrays = new GL.Delegates.DrawArrays(GL.Imports.DrawArrays);
            GL.DrawElements_ = new GL.Delegates.DrawElements_(GL.Imports.DrawElements_);
            GL.EdgeFlagPointer_ = new GL.Delegates.EdgeFlagPointer_(GL.Imports.EdgeFlagPointer_);
            GL.EnableClientState = new GL.Delegates.EnableClientState(GL.Imports.EnableClientState);
            GL.GetPointerv_ = new GL.Delegates.GetPointerv_(GL.Imports.GetPointerv_);
            GL.IndexPointer_ = new GL.Delegates.IndexPointer_(GL.Imports.IndexPointer_);
            GL.InterleavedArrays_ = new GL.Delegates.InterleavedArrays_(GL.Imports.InterleavedArrays_);
            GL.NormalPointer_ = new GL.Delegates.NormalPointer_(GL.Imports.NormalPointer_);
            GL.TexCoordPointer_ = new GL.Delegates.TexCoordPointer_(GL.Imports.TexCoordPointer_);
            GL.VertexPointer_ = new GL.Delegates.VertexPointer_(GL.Imports.VertexPointer_);
            GL.PolygonOffset = new GL.Delegates.PolygonOffset(GL.Imports.PolygonOffset);
            GL.CopyTexImage1D = new GL.Delegates.CopyTexImage1D(GL.Imports.CopyTexImage1D);
            GL.CopyTexImage2D = new GL.Delegates.CopyTexImage2D(GL.Imports.CopyTexImage2D);
            GL.CopyTexSubImage1D = new GL.Delegates.CopyTexSubImage1D(GL.Imports.CopyTexSubImage1D);
            GL.CopyTexSubImage2D = new GL.Delegates.CopyTexSubImage2D(GL.Imports.CopyTexSubImage2D);
            GL.TexSubImage1D_ = new GL.Delegates.TexSubImage1D_(GL.Imports.TexSubImage1D_);
            GL.TexSubImage2D_ = new GL.Delegates.TexSubImage2D_(GL.Imports.TexSubImage2D_);
            GL.AreTexturesResident_ = new GL.Delegates.AreTexturesResident_(GL.Imports.AreTexturesResident_);
            GL.BindTexture = new GL.Delegates.BindTexture(GL.Imports.BindTexture);
            GL.DeleteTextures_ = new GL.Delegates.DeleteTextures_(GL.Imports.DeleteTextures_);
            GL.GenTextures_ = new GL.Delegates.GenTextures_(GL.Imports.GenTextures_);
            GL.IsTexture = new GL.Delegates.IsTexture(GL.Imports.IsTexture);
            GL.PrioritizeTextures_ = new GL.Delegates.PrioritizeTextures_(GL.Imports.PrioritizeTextures_);
            GL.Indexub = new GL.Delegates.Indexub(GL.Imports.Indexub);
            GL.Indexubv_ = new GL.Delegates.Indexubv_(GL.Imports.Indexubv_);
            GL.PopClientAttrib = new GL.Delegates.PopClientAttrib(GL.Imports.PopClientAttrib);
            GL.PushClientAttrib = new GL.Delegates.PushClientAttrib(GL.Imports.PushClientAttrib);
            GL.BlendColor = new GL.Delegates.BlendColor(GL.Imports.BlendColor);
            GL.BlendEquation = new GL.Delegates.BlendEquation(GL.Imports.BlendEquation);
            GL.DrawRangeElements_ = new GL.Delegates.DrawRangeElements_(GL.Imports.DrawRangeElements_);
            GL.ColorTable_ = new GL.Delegates.ColorTable_(GL.Imports.ColorTable_);
            GL.ColorTableParameterfv_ = new GL.Delegates.ColorTableParameterfv_(GL.Imports.ColorTableParameterfv_);
            GL.ColorTableParameteriv_ = new GL.Delegates.ColorTableParameteriv_(GL.Imports.ColorTableParameteriv_);
            GL.CopyColorTable = new GL.Delegates.CopyColorTable(GL.Imports.CopyColorTable);
            GL.GetColorTable_ = new GL.Delegates.GetColorTable_(GL.Imports.GetColorTable_);
            GL.GetColorTableParameterfv_ = new GL.Delegates.GetColorTableParameterfv_(GL.Imports.GetColorTableParameterfv_);
            GL.GetColorTableParameteriv_ = new GL.Delegates.GetColorTableParameteriv_(GL.Imports.GetColorTableParameteriv_);
            GL.ColorSubTable_ = new GL.Delegates.ColorSubTable_(GL.Imports.ColorSubTable_);
            GL.CopyColorSubTable = new GL.Delegates.CopyColorSubTable(GL.Imports.CopyColorSubTable);
            GL.ConvolutionFilter1D_ = new GL.Delegates.ConvolutionFilter1D_(GL.Imports.ConvolutionFilter1D_);
            GL.ConvolutionFilter2D_ = new GL.Delegates.ConvolutionFilter2D_(GL.Imports.ConvolutionFilter2D_);
            GL.ConvolutionParameterf = new GL.Delegates.ConvolutionParameterf(GL.Imports.ConvolutionParameterf);
            GL.ConvolutionParameterfv_ = new GL.Delegates.ConvolutionParameterfv_(GL.Imports.ConvolutionParameterfv_);
            GL.ConvolutionParameteri = new GL.Delegates.ConvolutionParameteri(GL.Imports.ConvolutionParameteri);
            GL.ConvolutionParameteriv_ = new GL.Delegates.ConvolutionParameteriv_(GL.Imports.ConvolutionParameteriv_);
            GL.CopyConvolutionFilter1D = new GL.Delegates.CopyConvolutionFilter1D(GL.Imports.CopyConvolutionFilter1D);
            GL.CopyConvolutionFilter2D = new GL.Delegates.CopyConvolutionFilter2D(GL.Imports.CopyConvolutionFilter2D);
            GL.GetConvolutionFilter_ = new GL.Delegates.GetConvolutionFilter_(GL.Imports.GetConvolutionFilter_);
            GL.GetConvolutionParameterfv_ = new GL.Delegates.GetConvolutionParameterfv_(GL.Imports.GetConvolutionParameterfv_);
            GL.GetConvolutionParameteriv_ = new GL.Delegates.GetConvolutionParameteriv_(GL.Imports.GetConvolutionParameteriv_);
            GL.GetSeparableFilter_ = new GL.Delegates.GetSeparableFilter_(GL.Imports.GetSeparableFilter_);
            GL.SeparableFilter2D_ = new GL.Delegates.SeparableFilter2D_(GL.Imports.SeparableFilter2D_);
            GL.GetHistogram_ = new GL.Delegates.GetHistogram_(GL.Imports.GetHistogram_);
            GL.GetHistogramParameterfv_ = new GL.Delegates.GetHistogramParameterfv_(GL.Imports.GetHistogramParameterfv_);
            GL.GetHistogramParameteriv_ = new GL.Delegates.GetHistogramParameteriv_(GL.Imports.GetHistogramParameteriv_);
            GL.GetMinmax_ = new GL.Delegates.GetMinmax_(GL.Imports.GetMinmax_);
            GL.GetMinmaxParameterfv_ = new GL.Delegates.GetMinmaxParameterfv_(GL.Imports.GetMinmaxParameterfv_);
            GL.GetMinmaxParameteriv_ = new GL.Delegates.GetMinmaxParameteriv_(GL.Imports.GetMinmaxParameteriv_);
            GL.Histogram = new GL.Delegates.Histogram(GL.Imports.Histogram);
            GL.Minmax = new GL.Delegates.Minmax(GL.Imports.Minmax);
            GL.ResetHistogram = new GL.Delegates.ResetHistogram(GL.Imports.ResetHistogram);
            GL.ResetMinmax = new GL.Delegates.ResetMinmax(GL.Imports.ResetMinmax);
            GL.TexImage3D_ = new GL.Delegates.TexImage3D_(GL.Imports.TexImage3D_);
            GL.TexSubImage3D_ = new GL.Delegates.TexSubImage3D_(GL.Imports.TexSubImage3D_);
            GL.CopyTexSubImage3D = new GL.Delegates.CopyTexSubImage3D(GL.Imports.CopyTexSubImage3D);
            GL.ActiveTexture = new GL.Delegates.ActiveTexture(GL.Imports.ActiveTexture);
            GL.ClientActiveTexture = new GL.Delegates.ClientActiveTexture(GL.Imports.ClientActiveTexture);
            GL.MultiTexCoord1d = new GL.Delegates.MultiTexCoord1d(GL.Imports.MultiTexCoord1d);
            GL.MultiTexCoord1dv_ = new GL.Delegates.MultiTexCoord1dv_(GL.Imports.MultiTexCoord1dv_);
            GL.MultiTexCoord1f = new GL.Delegates.MultiTexCoord1f(GL.Imports.MultiTexCoord1f);
            GL.MultiTexCoord1fv_ = new GL.Delegates.MultiTexCoord1fv_(GL.Imports.MultiTexCoord1fv_);
            GL.MultiTexCoord1i = new GL.Delegates.MultiTexCoord1i(GL.Imports.MultiTexCoord1i);
            GL.MultiTexCoord1iv_ = new GL.Delegates.MultiTexCoord1iv_(GL.Imports.MultiTexCoord1iv_);
            GL.MultiTexCoord1s = new GL.Delegates.MultiTexCoord1s(GL.Imports.MultiTexCoord1s);
            GL.MultiTexCoord1sv_ = new GL.Delegates.MultiTexCoord1sv_(GL.Imports.MultiTexCoord1sv_);
            GL.MultiTexCoord2d = new GL.Delegates.MultiTexCoord2d(GL.Imports.MultiTexCoord2d);
            GL.MultiTexCoord2dv_ = new GL.Delegates.MultiTexCoord2dv_(GL.Imports.MultiTexCoord2dv_);
            GL.MultiTexCoord2f = new GL.Delegates.MultiTexCoord2f(GL.Imports.MultiTexCoord2f);
            GL.MultiTexCoord2fv_ = new GL.Delegates.MultiTexCoord2fv_(GL.Imports.MultiTexCoord2fv_);
            GL.MultiTexCoord2i = new GL.Delegates.MultiTexCoord2i(GL.Imports.MultiTexCoord2i);
            GL.MultiTexCoord2iv_ = new GL.Delegates.MultiTexCoord2iv_(GL.Imports.MultiTexCoord2iv_);
            GL.MultiTexCoord2s = new GL.Delegates.MultiTexCoord2s(GL.Imports.MultiTexCoord2s);
            GL.MultiTexCoord2sv_ = new GL.Delegates.MultiTexCoord2sv_(GL.Imports.MultiTexCoord2sv_);
            GL.MultiTexCoord3d = new GL.Delegates.MultiTexCoord3d(GL.Imports.MultiTexCoord3d);
            GL.MultiTexCoord3dv_ = new GL.Delegates.MultiTexCoord3dv_(GL.Imports.MultiTexCoord3dv_);
            GL.MultiTexCoord3f = new GL.Delegates.MultiTexCoord3f(GL.Imports.MultiTexCoord3f);
            GL.MultiTexCoord3fv_ = new GL.Delegates.MultiTexCoord3fv_(GL.Imports.MultiTexCoord3fv_);
            GL.MultiTexCoord3i = new GL.Delegates.MultiTexCoord3i(GL.Imports.MultiTexCoord3i);
            GL.MultiTexCoord3iv_ = new GL.Delegates.MultiTexCoord3iv_(GL.Imports.MultiTexCoord3iv_);
            GL.MultiTexCoord3s = new GL.Delegates.MultiTexCoord3s(GL.Imports.MultiTexCoord3s);
            GL.MultiTexCoord3sv_ = new GL.Delegates.MultiTexCoord3sv_(GL.Imports.MultiTexCoord3sv_);
            GL.MultiTexCoord4d = new GL.Delegates.MultiTexCoord4d(GL.Imports.MultiTexCoord4d);
            GL.MultiTexCoord4dv_ = new GL.Delegates.MultiTexCoord4dv_(GL.Imports.MultiTexCoord4dv_);
            GL.MultiTexCoord4f = new GL.Delegates.MultiTexCoord4f(GL.Imports.MultiTexCoord4f);
            GL.MultiTexCoord4fv_ = new GL.Delegates.MultiTexCoord4fv_(GL.Imports.MultiTexCoord4fv_);
            GL.MultiTexCoord4i = new GL.Delegates.MultiTexCoord4i(GL.Imports.MultiTexCoord4i);
            GL.MultiTexCoord4iv_ = new GL.Delegates.MultiTexCoord4iv_(GL.Imports.MultiTexCoord4iv_);
            GL.MultiTexCoord4s = new GL.Delegates.MultiTexCoord4s(GL.Imports.MultiTexCoord4s);
            GL.MultiTexCoord4sv_ = new GL.Delegates.MultiTexCoord4sv_(GL.Imports.MultiTexCoord4sv_);
            GL.LoadTransposeMatrixf_ = new GL.Delegates.LoadTransposeMatrixf_(GL.Imports.LoadTransposeMatrixf_);
            GL.LoadTransposeMatrixd_ = new GL.Delegates.LoadTransposeMatrixd_(GL.Imports.LoadTransposeMatrixd_);
            GL.MultTransposeMatrixf_ = new GL.Delegates.MultTransposeMatrixf_(GL.Imports.MultTransposeMatrixf_);
            GL.MultTransposeMatrixd_ = new GL.Delegates.MultTransposeMatrixd_(GL.Imports.MultTransposeMatrixd_);
            GL.SampleCoverage = new GL.Delegates.SampleCoverage(GL.Imports.SampleCoverage);
            GL.CompressedTexImage3D_ = new GL.Delegates.CompressedTexImage3D_(GL.Imports.CompressedTexImage3D_);
            GL.CompressedTexImage2D_ = new GL.Delegates.CompressedTexImage2D_(GL.Imports.CompressedTexImage2D_);
            GL.CompressedTexImage1D_ = new GL.Delegates.CompressedTexImage1D_(GL.Imports.CompressedTexImage1D_);
            GL.CompressedTexSubImage3D_ = new GL.Delegates.CompressedTexSubImage3D_(GL.Imports.CompressedTexSubImage3D_);
            GL.CompressedTexSubImage2D_ = new GL.Delegates.CompressedTexSubImage2D_(GL.Imports.CompressedTexSubImage2D_);
            GL.CompressedTexSubImage1D_ = new GL.Delegates.CompressedTexSubImage1D_(GL.Imports.CompressedTexSubImage1D_);
            GL.GetCompressedTexImage_ = new GL.Delegates.GetCompressedTexImage_(GL.Imports.GetCompressedTexImage_);
            GL.BlendFuncSeparate = new GL.Delegates.BlendFuncSeparate(GL.Imports.BlendFuncSeparate);
            GL.FogCoordf = new GL.Delegates.FogCoordf(GL.Imports.FogCoordf);
            GL.FogCoordfv_ = new GL.Delegates.FogCoordfv_(GL.Imports.FogCoordfv_);
            GL.FogCoordd = new GL.Delegates.FogCoordd(GL.Imports.FogCoordd);
            GL.FogCoorddv_ = new GL.Delegates.FogCoorddv_(GL.Imports.FogCoorddv_);
            GL.FogCoordPointer_ = new GL.Delegates.FogCoordPointer_(GL.Imports.FogCoordPointer_);
            GL.MultiDrawArrays_ = new GL.Delegates.MultiDrawArrays_(GL.Imports.MultiDrawArrays_);
            GL.MultiDrawElements_ = new GL.Delegates.MultiDrawElements_(GL.Imports.MultiDrawElements_);
            GL.PointParameterf = new GL.Delegates.PointParameterf(GL.Imports.PointParameterf);
            GL.PointParameterfv_ = new GL.Delegates.PointParameterfv_(GL.Imports.PointParameterfv_);
            GL.PointParameteri = new GL.Delegates.PointParameteri(GL.Imports.PointParameteri);
            GL.PointParameteriv_ = new GL.Delegates.PointParameteriv_(GL.Imports.PointParameteriv_);
            GL.SecondaryColor3b = new GL.Delegates.SecondaryColor3b(GL.Imports.SecondaryColor3b);
            GL.SecondaryColor3bv_ = new GL.Delegates.SecondaryColor3bv_(GL.Imports.SecondaryColor3bv_);
            GL.SecondaryColor3d = new GL.Delegates.SecondaryColor3d(GL.Imports.SecondaryColor3d);
            GL.SecondaryColor3dv_ = new GL.Delegates.SecondaryColor3dv_(GL.Imports.SecondaryColor3dv_);
            GL.SecondaryColor3f = new GL.Delegates.SecondaryColor3f(GL.Imports.SecondaryColor3f);
            GL.SecondaryColor3fv_ = new GL.Delegates.SecondaryColor3fv_(GL.Imports.SecondaryColor3fv_);
            GL.SecondaryColor3i = new GL.Delegates.SecondaryColor3i(GL.Imports.SecondaryColor3i);
            GL.SecondaryColor3iv_ = new GL.Delegates.SecondaryColor3iv_(GL.Imports.SecondaryColor3iv_);
            GL.SecondaryColor3s = new GL.Delegates.SecondaryColor3s(GL.Imports.SecondaryColor3s);
            GL.SecondaryColor3sv_ = new GL.Delegates.SecondaryColor3sv_(GL.Imports.SecondaryColor3sv_);
            GL.SecondaryColor3ub = new GL.Delegates.SecondaryColor3ub(GL.Imports.SecondaryColor3ub);
            GL.SecondaryColor3ubv_ = new GL.Delegates.SecondaryColor3ubv_(GL.Imports.SecondaryColor3ubv_);
            GL.SecondaryColor3ui = new GL.Delegates.SecondaryColor3ui(GL.Imports.SecondaryColor3ui);
            GL.SecondaryColor3uiv_ = new GL.Delegates.SecondaryColor3uiv_(GL.Imports.SecondaryColor3uiv_);
            GL.SecondaryColor3us = new GL.Delegates.SecondaryColor3us(GL.Imports.SecondaryColor3us);
            GL.SecondaryColor3usv_ = new GL.Delegates.SecondaryColor3usv_(GL.Imports.SecondaryColor3usv_);
            GL.SecondaryColorPointer_ = new GL.Delegates.SecondaryColorPointer_(GL.Imports.SecondaryColorPointer_);
            GL.WindowPos2d = new GL.Delegates.WindowPos2d(GL.Imports.WindowPos2d);
            GL.WindowPos2dv_ = new GL.Delegates.WindowPos2dv_(GL.Imports.WindowPos2dv_);
            GL.WindowPos2f = new GL.Delegates.WindowPos2f(GL.Imports.WindowPos2f);
            GL.WindowPos2fv_ = new GL.Delegates.WindowPos2fv_(GL.Imports.WindowPos2fv_);
            GL.WindowPos2i = new GL.Delegates.WindowPos2i(GL.Imports.WindowPos2i);
            GL.WindowPos2iv_ = new GL.Delegates.WindowPos2iv_(GL.Imports.WindowPos2iv_);
            GL.WindowPos2s = new GL.Delegates.WindowPos2s(GL.Imports.WindowPos2s);
            GL.WindowPos2sv_ = new GL.Delegates.WindowPos2sv_(GL.Imports.WindowPos2sv_);
            GL.WindowPos3d = new GL.Delegates.WindowPos3d(GL.Imports.WindowPos3d);
            GL.WindowPos3dv_ = new GL.Delegates.WindowPos3dv_(GL.Imports.WindowPos3dv_);
            GL.WindowPos3f = new GL.Delegates.WindowPos3f(GL.Imports.WindowPos3f);
            GL.WindowPos3fv_ = new GL.Delegates.WindowPos3fv_(GL.Imports.WindowPos3fv_);
            GL.WindowPos3i = new GL.Delegates.WindowPos3i(GL.Imports.WindowPos3i);
            GL.WindowPos3iv_ = new GL.Delegates.WindowPos3iv_(GL.Imports.WindowPos3iv_);
            GL.WindowPos3s = new GL.Delegates.WindowPos3s(GL.Imports.WindowPos3s);
            GL.WindowPos3sv_ = new GL.Delegates.WindowPos3sv_(GL.Imports.WindowPos3sv_);
            GL.GenQueries_ = new GL.Delegates.GenQueries_(GL.Imports.GenQueries_);
            GL.DeleteQueries_ = new GL.Delegates.DeleteQueries_(GL.Imports.DeleteQueries_);
            GL.IsQuery = new GL.Delegates.IsQuery(GL.Imports.IsQuery);
            GL.BeginQuery = new GL.Delegates.BeginQuery(GL.Imports.BeginQuery);
            GL.EndQuery = new GL.Delegates.EndQuery(GL.Imports.EndQuery);
            GL.GetQueryiv_ = new GL.Delegates.GetQueryiv_(GL.Imports.GetQueryiv_);
            GL.GetQueryObjectiv_ = new GL.Delegates.GetQueryObjectiv_(GL.Imports.GetQueryObjectiv_);
            GL.GetQueryObjectuiv_ = new GL.Delegates.GetQueryObjectuiv_(GL.Imports.GetQueryObjectuiv_);
            GL.BindBuffer = new GL.Delegates.BindBuffer(GL.Imports.BindBuffer);
            GL.DeleteBuffers_ = new GL.Delegates.DeleteBuffers_(GL.Imports.DeleteBuffers_);
            GL.GenBuffers_ = new GL.Delegates.GenBuffers_(GL.Imports.GenBuffers_);
            GL.IsBuffer = new GL.Delegates.IsBuffer(GL.Imports.IsBuffer);
            GL.BufferData_ = new GL.Delegates.BufferData_(GL.Imports.BufferData_);
            GL.BufferSubData_ = new GL.Delegates.BufferSubData_(GL.Imports.BufferSubData_);
            GL.GetBufferSubData_ = new GL.Delegates.GetBufferSubData_(GL.Imports.GetBufferSubData_);
            GL.MapBuffer = new GL.Delegates.MapBuffer(GL.Imports.MapBuffer);
            GL.UnmapBuffer = new GL.Delegates.UnmapBuffer(GL.Imports.UnmapBuffer);
            GL.GetBufferParameteriv_ = new GL.Delegates.GetBufferParameteriv_(GL.Imports.GetBufferParameteriv_);
            GL.GetBufferPointerv_ = new GL.Delegates.GetBufferPointerv_(GL.Imports.GetBufferPointerv_);
            GL.BlendEquationSeparate = new GL.Delegates.BlendEquationSeparate(GL.Imports.BlendEquationSeparate);
            GL.DrawBuffers_ = new GL.Delegates.DrawBuffers_(GL.Imports.DrawBuffers_);
            GL.StencilOpSeparate = new GL.Delegates.StencilOpSeparate(GL.Imports.StencilOpSeparate);
            GL.StencilFuncSeparate = new GL.Delegates.StencilFuncSeparate(GL.Imports.StencilFuncSeparate);
            GL.StencilMaskSeparate = new GL.Delegates.StencilMaskSeparate(GL.Imports.StencilMaskSeparate);
            GL.AttachShader = new GL.Delegates.AttachShader(GL.Imports.AttachShader);
            GL.BindAttribLocation = new GL.Delegates.BindAttribLocation(GL.Imports.BindAttribLocation);
            GL.CompileShader = new GL.Delegates.CompileShader(GL.Imports.CompileShader);
            GL.CreateProgram = new GL.Delegates.CreateProgram(GL.Imports.CreateProgram);
            GL.CreateShader = new GL.Delegates.CreateShader(GL.Imports.CreateShader);
            GL.DeleteProgram = new GL.Delegates.DeleteProgram(GL.Imports.DeleteProgram);
            GL.DeleteShader = new GL.Delegates.DeleteShader(GL.Imports.DeleteShader);
            GL.DetachShader = new GL.Delegates.DetachShader(GL.Imports.DetachShader);
            GL.DisableVertexAttribArray = new GL.Delegates.DisableVertexAttribArray(GL.Imports.DisableVertexAttribArray);
            GL.EnableVertexAttribArray = new GL.Delegates.EnableVertexAttribArray(GL.Imports.EnableVertexAttribArray);
            GL.GetActiveAttrib_ = new GL.Delegates.GetActiveAttrib_(GL.Imports.GetActiveAttrib_);
            GL.GetActiveUniform_ = new GL.Delegates.GetActiveUniform_(GL.Imports.GetActiveUniform_);
            GL.GetAttachedShaders_ = new GL.Delegates.GetAttachedShaders_(GL.Imports.GetAttachedShaders_);
            GL.GetAttribLocation = new GL.Delegates.GetAttribLocation(GL.Imports.GetAttribLocation);
            GL.GetProgramiv_ = new GL.Delegates.GetProgramiv_(GL.Imports.GetProgramiv_);
            GL.GetProgramInfoLog_ = new GL.Delegates.GetProgramInfoLog_(GL.Imports.GetProgramInfoLog_);
            GL.GetShaderiv_ = new GL.Delegates.GetShaderiv_(GL.Imports.GetShaderiv_);
            GL.GetShaderInfoLog_ = new GL.Delegates.GetShaderInfoLog_(GL.Imports.GetShaderInfoLog_);
            GL.GetShaderSource_ = new GL.Delegates.GetShaderSource_(GL.Imports.GetShaderSource_);
            GL.GetUniformLocation = new GL.Delegates.GetUniformLocation(GL.Imports.GetUniformLocation);
            GL.GetUniformfv_ = new GL.Delegates.GetUniformfv_(GL.Imports.GetUniformfv_);
            GL.GetUniformiv_ = new GL.Delegates.GetUniformiv_(GL.Imports.GetUniformiv_);
            GL.GetVertexAttribdv_ = new GL.Delegates.GetVertexAttribdv_(GL.Imports.GetVertexAttribdv_);
            GL.GetVertexAttribfv_ = new GL.Delegates.GetVertexAttribfv_(GL.Imports.GetVertexAttribfv_);
            GL.GetVertexAttribiv_ = new GL.Delegates.GetVertexAttribiv_(GL.Imports.GetVertexAttribiv_);
            GL.GetVertexAttribPointerv_ = new GL.Delegates.GetVertexAttribPointerv_(GL.Imports.GetVertexAttribPointerv_);
            GL.IsProgram = new GL.Delegates.IsProgram(GL.Imports.IsProgram);
            GL.IsShader = new GL.Delegates.IsShader(GL.Imports.IsShader);
            GL.LinkProgram = new GL.Delegates.LinkProgram(GL.Imports.LinkProgram);
            GL.ShaderSource_ = new GL.Delegates.ShaderSource_(GL.Imports.ShaderSource_);
            GL.UseProgram = new GL.Delegates.UseProgram(GL.Imports.UseProgram);
            GL.Uniform1f = new GL.Delegates.Uniform1f(GL.Imports.Uniform1f);
            GL.Uniform2f = new GL.Delegates.Uniform2f(GL.Imports.Uniform2f);
            GL.Uniform3f = new GL.Delegates.Uniform3f(GL.Imports.Uniform3f);
            GL.Uniform4f = new GL.Delegates.Uniform4f(GL.Imports.Uniform4f);
            GL.Uniform1i = new GL.Delegates.Uniform1i(GL.Imports.Uniform1i);
            GL.Uniform2i = new GL.Delegates.Uniform2i(GL.Imports.Uniform2i);
            GL.Uniform3i = new GL.Delegates.Uniform3i(GL.Imports.Uniform3i);
            GL.Uniform4i = new GL.Delegates.Uniform4i(GL.Imports.Uniform4i);
            GL.Uniform1fv_ = new GL.Delegates.Uniform1fv_(GL.Imports.Uniform1fv_);
            GL.Uniform2fv_ = new GL.Delegates.Uniform2fv_(GL.Imports.Uniform2fv_);
            GL.Uniform3fv_ = new GL.Delegates.Uniform3fv_(GL.Imports.Uniform3fv_);
            GL.Uniform4fv_ = new GL.Delegates.Uniform4fv_(GL.Imports.Uniform4fv_);
            GL.Uniform1iv_ = new GL.Delegates.Uniform1iv_(GL.Imports.Uniform1iv_);
            GL.Uniform2iv_ = new GL.Delegates.Uniform2iv_(GL.Imports.Uniform2iv_);
            GL.Uniform3iv_ = new GL.Delegates.Uniform3iv_(GL.Imports.Uniform3iv_);
            GL.Uniform4iv_ = new GL.Delegates.Uniform4iv_(GL.Imports.Uniform4iv_);
            GL.UniformMatrix2fv_ = new GL.Delegates.UniformMatrix2fv_(GL.Imports.UniformMatrix2fv_);
            GL.UniformMatrix3fv_ = new GL.Delegates.UniformMatrix3fv_(GL.Imports.UniformMatrix3fv_);
            GL.UniformMatrix4fv_ = new GL.Delegates.UniformMatrix4fv_(GL.Imports.UniformMatrix4fv_);
            GL.ValidateProgram = new GL.Delegates.ValidateProgram(GL.Imports.ValidateProgram);
            GL.VertexAttrib1d = new GL.Delegates.VertexAttrib1d(GL.Imports.VertexAttrib1d);
            GL.VertexAttrib1dv_ = new GL.Delegates.VertexAttrib1dv_(GL.Imports.VertexAttrib1dv_);
            GL.VertexAttrib1f = new GL.Delegates.VertexAttrib1f(GL.Imports.VertexAttrib1f);
            GL.VertexAttrib1fv_ = new GL.Delegates.VertexAttrib1fv_(GL.Imports.VertexAttrib1fv_);
            GL.VertexAttrib1s = new GL.Delegates.VertexAttrib1s(GL.Imports.VertexAttrib1s);
            GL.VertexAttrib1sv_ = new GL.Delegates.VertexAttrib1sv_(GL.Imports.VertexAttrib1sv_);
            GL.VertexAttrib2d = new GL.Delegates.VertexAttrib2d(GL.Imports.VertexAttrib2d);
            GL.VertexAttrib2dv_ = new GL.Delegates.VertexAttrib2dv_(GL.Imports.VertexAttrib2dv_);
            GL.VertexAttrib2f = new GL.Delegates.VertexAttrib2f(GL.Imports.VertexAttrib2f);
            GL.VertexAttrib2fv_ = new GL.Delegates.VertexAttrib2fv_(GL.Imports.VertexAttrib2fv_);
            GL.VertexAttrib2s = new GL.Delegates.VertexAttrib2s(GL.Imports.VertexAttrib2s);
            GL.VertexAttrib2sv_ = new GL.Delegates.VertexAttrib2sv_(GL.Imports.VertexAttrib2sv_);
            GL.VertexAttrib3d = new GL.Delegates.VertexAttrib3d(GL.Imports.VertexAttrib3d);
            GL.VertexAttrib3dv_ = new GL.Delegates.VertexAttrib3dv_(GL.Imports.VertexAttrib3dv_);
            GL.VertexAttrib3f = new GL.Delegates.VertexAttrib3f(GL.Imports.VertexAttrib3f);
            GL.VertexAttrib3fv_ = new GL.Delegates.VertexAttrib3fv_(GL.Imports.VertexAttrib3fv_);
            GL.VertexAttrib3s = new GL.Delegates.VertexAttrib3s(GL.Imports.VertexAttrib3s);
            GL.VertexAttrib3sv_ = new GL.Delegates.VertexAttrib3sv_(GL.Imports.VertexAttrib3sv_);
            GL.VertexAttrib4Nbv_ = new GL.Delegates.VertexAttrib4Nbv_(GL.Imports.VertexAttrib4Nbv_);
            GL.VertexAttrib4Niv_ = new GL.Delegates.VertexAttrib4Niv_(GL.Imports.VertexAttrib4Niv_);
            GL.VertexAttrib4Nsv_ = new GL.Delegates.VertexAttrib4Nsv_(GL.Imports.VertexAttrib4Nsv_);
            GL.VertexAttrib4Nub = new GL.Delegates.VertexAttrib4Nub(GL.Imports.VertexAttrib4Nub);
            GL.VertexAttrib4Nubv_ = new GL.Delegates.VertexAttrib4Nubv_(GL.Imports.VertexAttrib4Nubv_);
            GL.VertexAttrib4Nuiv_ = new GL.Delegates.VertexAttrib4Nuiv_(GL.Imports.VertexAttrib4Nuiv_);
            GL.VertexAttrib4Nusv_ = new GL.Delegates.VertexAttrib4Nusv_(GL.Imports.VertexAttrib4Nusv_);
            GL.VertexAttrib4bv_ = new GL.Delegates.VertexAttrib4bv_(GL.Imports.VertexAttrib4bv_);
            GL.VertexAttrib4d = new GL.Delegates.VertexAttrib4d(GL.Imports.VertexAttrib4d);
            GL.VertexAttrib4dv_ = new GL.Delegates.VertexAttrib4dv_(GL.Imports.VertexAttrib4dv_);
            GL.VertexAttrib4f = new GL.Delegates.VertexAttrib4f(GL.Imports.VertexAttrib4f);
            GL.VertexAttrib4fv_ = new GL.Delegates.VertexAttrib4fv_(GL.Imports.VertexAttrib4fv_);
            GL.VertexAttrib4iv_ = new GL.Delegates.VertexAttrib4iv_(GL.Imports.VertexAttrib4iv_);
            GL.VertexAttrib4s = new GL.Delegates.VertexAttrib4s(GL.Imports.VertexAttrib4s);
            GL.VertexAttrib4sv_ = new GL.Delegates.VertexAttrib4sv_(GL.Imports.VertexAttrib4sv_);
            GL.VertexAttrib4ubv_ = new GL.Delegates.VertexAttrib4ubv_(GL.Imports.VertexAttrib4ubv_);
            GL.VertexAttrib4uiv_ = new GL.Delegates.VertexAttrib4uiv_(GL.Imports.VertexAttrib4uiv_);
            GL.VertexAttrib4usv_ = new GL.Delegates.VertexAttrib4usv_(GL.Imports.VertexAttrib4usv_);
            GL.VertexAttribPointer_ = new GL.Delegates.VertexAttribPointer_(GL.Imports.VertexAttribPointer_);
        }
        #endregion
    }
}

