#region License
//Copyright (c) 2006 Stephen Apostolopoulos
//See license.txt for license info
#endregion

using System;
using System.Runtime.InteropServices;

namespace OpenTK.OpenGL
{
    public abstract partial class GLContext
    {
        #region OpenGL function loading

        public virtual void Load()
        {
            GL.NewList = (GL.Delegates.NewList)GetAddress("glNewList", typeof(GL.Delegates.NewList));
            GL.EndList = (GL.Delegates.EndList)GetAddress("glEndList", typeof(GL.Delegates.EndList));
            GL.CallList = (GL.Delegates.CallList)GetAddress("glCallList", typeof(GL.Delegates.CallList));
            GL.CallLists_ = (GL.Delegates.CallLists_)GetAddress("glCallLists", typeof(GL.Delegates.CallLists_));
            GL.DeleteLists = (GL.Delegates.DeleteLists)GetAddress("glDeleteLists", typeof(GL.Delegates.DeleteLists));
            GL.GenLists = (GL.Delegates.GenLists)GetAddress("glGenLists", typeof(GL.Delegates.GenLists));
            GL.ListBase = (GL.Delegates.ListBase)GetAddress("glListBase", typeof(GL.Delegates.ListBase));
            GL.Begin = (GL.Delegates.Begin)GetAddress("glBegin", typeof(GL.Delegates.Begin));
            GL.Bitmap_ = (GL.Delegates.Bitmap_)GetAddress("glBitmap", typeof(GL.Delegates.Bitmap_));
            GL.Color3b = (GL.Delegates.Color3b)GetAddress("glColor3b", typeof(GL.Delegates.Color3b));
            GL.Color3bv_ = (GL.Delegates.Color3bv_)GetAddress("glColor3bv", typeof(GL.Delegates.Color3bv_));
            GL.Color3d = (GL.Delegates.Color3d)GetAddress("glColor3d", typeof(GL.Delegates.Color3d));
            GL.Color3dv_ = (GL.Delegates.Color3dv_)GetAddress("glColor3dv", typeof(GL.Delegates.Color3dv_));
            GL.Color3f = (GL.Delegates.Color3f)GetAddress("glColor3f", typeof(GL.Delegates.Color3f));
            GL.Color3fv_ = (GL.Delegates.Color3fv_)GetAddress("glColor3fv", typeof(GL.Delegates.Color3fv_));
            GL.Color3i = (GL.Delegates.Color3i)GetAddress("glColor3i", typeof(GL.Delegates.Color3i));
            GL.Color3iv_ = (GL.Delegates.Color3iv_)GetAddress("glColor3iv", typeof(GL.Delegates.Color3iv_));
            GL.Color3s = (GL.Delegates.Color3s)GetAddress("glColor3s", typeof(GL.Delegates.Color3s));
            GL.Color3sv_ = (GL.Delegates.Color3sv_)GetAddress("glColor3sv", typeof(GL.Delegates.Color3sv_));
            GL.Color3ub = (GL.Delegates.Color3ub)GetAddress("glColor3ub", typeof(GL.Delegates.Color3ub));
            GL.Color3ubv_ = (GL.Delegates.Color3ubv_)GetAddress("glColor3ubv", typeof(GL.Delegates.Color3ubv_));
            GL.Color3ui = (GL.Delegates.Color3ui)GetAddress("glColor3ui", typeof(GL.Delegates.Color3ui));
            GL.Color3uiv_ = (GL.Delegates.Color3uiv_)GetAddress("glColor3uiv", typeof(GL.Delegates.Color3uiv_));
            GL.Color3us = (GL.Delegates.Color3us)GetAddress("glColor3us", typeof(GL.Delegates.Color3us));
            GL.Color3usv_ = (GL.Delegates.Color3usv_)GetAddress("glColor3usv", typeof(GL.Delegates.Color3usv_));
            GL.Color4b = (GL.Delegates.Color4b)GetAddress("glColor4b", typeof(GL.Delegates.Color4b));
            GL.Color4bv_ = (GL.Delegates.Color4bv_)GetAddress("glColor4bv", typeof(GL.Delegates.Color4bv_));
            GL.Color4d = (GL.Delegates.Color4d)GetAddress("glColor4d", typeof(GL.Delegates.Color4d));
            GL.Color4dv_ = (GL.Delegates.Color4dv_)GetAddress("glColor4dv", typeof(GL.Delegates.Color4dv_));
            GL.Color4f = (GL.Delegates.Color4f)GetAddress("glColor4f", typeof(GL.Delegates.Color4f));
            GL.Color4fv_ = (GL.Delegates.Color4fv_)GetAddress("glColor4fv", typeof(GL.Delegates.Color4fv_));
            GL.Color4i = (GL.Delegates.Color4i)GetAddress("glColor4i", typeof(GL.Delegates.Color4i));
            GL.Color4iv_ = (GL.Delegates.Color4iv_)GetAddress("glColor4iv", typeof(GL.Delegates.Color4iv_));
            GL.Color4s = (GL.Delegates.Color4s)GetAddress("glColor4s", typeof(GL.Delegates.Color4s));
            GL.Color4sv_ = (GL.Delegates.Color4sv_)GetAddress("glColor4sv", typeof(GL.Delegates.Color4sv_));
            GL.Color4ub = (GL.Delegates.Color4ub)GetAddress("glColor4ub", typeof(GL.Delegates.Color4ub));
            GL.Color4ubv_ = (GL.Delegates.Color4ubv_)GetAddress("glColor4ubv", typeof(GL.Delegates.Color4ubv_));
            GL.Color4ui = (GL.Delegates.Color4ui)GetAddress("glColor4ui", typeof(GL.Delegates.Color4ui));
            GL.Color4uiv_ = (GL.Delegates.Color4uiv_)GetAddress("glColor4uiv", typeof(GL.Delegates.Color4uiv_));
            GL.Color4us = (GL.Delegates.Color4us)GetAddress("glColor4us", typeof(GL.Delegates.Color4us));
            GL.Color4usv_ = (GL.Delegates.Color4usv_)GetAddress("glColor4usv", typeof(GL.Delegates.Color4usv_));
            GL.EdgeFlag = (GL.Delegates.EdgeFlag)GetAddress("glEdgeFlag", typeof(GL.Delegates.EdgeFlag));
            GL.EdgeFlagv_ = (GL.Delegates.EdgeFlagv_)GetAddress("glEdgeFlagv", typeof(GL.Delegates.EdgeFlagv_));
            GL.End = (GL.Delegates.End)GetAddress("glEnd", typeof(GL.Delegates.End));
            GL.Indexd = (GL.Delegates.Indexd)GetAddress("glIndexd", typeof(GL.Delegates.Indexd));
            GL.Indexdv_ = (GL.Delegates.Indexdv_)GetAddress("glIndexdv", typeof(GL.Delegates.Indexdv_));
            GL.Indexf = (GL.Delegates.Indexf)GetAddress("glIndexf", typeof(GL.Delegates.Indexf));
            GL.Indexfv_ = (GL.Delegates.Indexfv_)GetAddress("glIndexfv", typeof(GL.Delegates.Indexfv_));
            GL.Indexi = (GL.Delegates.Indexi)GetAddress("glIndexi", typeof(GL.Delegates.Indexi));
            GL.Indexiv_ = (GL.Delegates.Indexiv_)GetAddress("glIndexiv", typeof(GL.Delegates.Indexiv_));
            GL.Indexs = (GL.Delegates.Indexs)GetAddress("glIndexs", typeof(GL.Delegates.Indexs));
            GL.Indexsv_ = (GL.Delegates.Indexsv_)GetAddress("glIndexsv", typeof(GL.Delegates.Indexsv_));
            GL.Normal3b = (GL.Delegates.Normal3b)GetAddress("glNormal3b", typeof(GL.Delegates.Normal3b));
            GL.Normal3bv_ = (GL.Delegates.Normal3bv_)GetAddress("glNormal3bv", typeof(GL.Delegates.Normal3bv_));
            GL.Normal3d = (GL.Delegates.Normal3d)GetAddress("glNormal3d", typeof(GL.Delegates.Normal3d));
            GL.Normal3dv_ = (GL.Delegates.Normal3dv_)GetAddress("glNormal3dv", typeof(GL.Delegates.Normal3dv_));
            GL.Normal3f = (GL.Delegates.Normal3f)GetAddress("glNormal3f", typeof(GL.Delegates.Normal3f));
            GL.Normal3fv_ = (GL.Delegates.Normal3fv_)GetAddress("glNormal3fv", typeof(GL.Delegates.Normal3fv_));
            GL.Normal3i = (GL.Delegates.Normal3i)GetAddress("glNormal3i", typeof(GL.Delegates.Normal3i));
            GL.Normal3iv_ = (GL.Delegates.Normal3iv_)GetAddress("glNormal3iv", typeof(GL.Delegates.Normal3iv_));
            GL.Normal3s = (GL.Delegates.Normal3s)GetAddress("glNormal3s", typeof(GL.Delegates.Normal3s));
            GL.Normal3sv_ = (GL.Delegates.Normal3sv_)GetAddress("glNormal3sv", typeof(GL.Delegates.Normal3sv_));
            GL.RasterPos2d = (GL.Delegates.RasterPos2d)GetAddress("glRasterPos2d", typeof(GL.Delegates.RasterPos2d));
            GL.RasterPos2dv_ = (GL.Delegates.RasterPos2dv_)GetAddress("glRasterPos2dv", typeof(GL.Delegates.RasterPos2dv_));
            GL.RasterPos2f = (GL.Delegates.RasterPos2f)GetAddress("glRasterPos2f", typeof(GL.Delegates.RasterPos2f));
            GL.RasterPos2fv_ = (GL.Delegates.RasterPos2fv_)GetAddress("glRasterPos2fv", typeof(GL.Delegates.RasterPos2fv_));
            GL.RasterPos2i = (GL.Delegates.RasterPos2i)GetAddress("glRasterPos2i", typeof(GL.Delegates.RasterPos2i));
            GL.RasterPos2iv_ = (GL.Delegates.RasterPos2iv_)GetAddress("glRasterPos2iv", typeof(GL.Delegates.RasterPos2iv_));
            GL.RasterPos2s = (GL.Delegates.RasterPos2s)GetAddress("glRasterPos2s", typeof(GL.Delegates.RasterPos2s));
            GL.RasterPos2sv_ = (GL.Delegates.RasterPos2sv_)GetAddress("glRasterPos2sv", typeof(GL.Delegates.RasterPos2sv_));
            GL.RasterPos3d = (GL.Delegates.RasterPos3d)GetAddress("glRasterPos3d", typeof(GL.Delegates.RasterPos3d));
            GL.RasterPos3dv_ = (GL.Delegates.RasterPos3dv_)GetAddress("glRasterPos3dv", typeof(GL.Delegates.RasterPos3dv_));
            GL.RasterPos3f = (GL.Delegates.RasterPos3f)GetAddress("glRasterPos3f", typeof(GL.Delegates.RasterPos3f));
            GL.RasterPos3fv_ = (GL.Delegates.RasterPos3fv_)GetAddress("glRasterPos3fv", typeof(GL.Delegates.RasterPos3fv_));
            GL.RasterPos3i = (GL.Delegates.RasterPos3i)GetAddress("glRasterPos3i", typeof(GL.Delegates.RasterPos3i));
            GL.RasterPos3iv_ = (GL.Delegates.RasterPos3iv_)GetAddress("glRasterPos3iv", typeof(GL.Delegates.RasterPos3iv_));
            GL.RasterPos3s = (GL.Delegates.RasterPos3s)GetAddress("glRasterPos3s", typeof(GL.Delegates.RasterPos3s));
            GL.RasterPos3sv_ = (GL.Delegates.RasterPos3sv_)GetAddress("glRasterPos3sv", typeof(GL.Delegates.RasterPos3sv_));
            GL.RasterPos4d = (GL.Delegates.RasterPos4d)GetAddress("glRasterPos4d", typeof(GL.Delegates.RasterPos4d));
            GL.RasterPos4dv_ = (GL.Delegates.RasterPos4dv_)GetAddress("glRasterPos4dv", typeof(GL.Delegates.RasterPos4dv_));
            GL.RasterPos4f = (GL.Delegates.RasterPos4f)GetAddress("glRasterPos4f", typeof(GL.Delegates.RasterPos4f));
            GL.RasterPos4fv_ = (GL.Delegates.RasterPos4fv_)GetAddress("glRasterPos4fv", typeof(GL.Delegates.RasterPos4fv_));
            GL.RasterPos4i = (GL.Delegates.RasterPos4i)GetAddress("glRasterPos4i", typeof(GL.Delegates.RasterPos4i));
            GL.RasterPos4iv_ = (GL.Delegates.RasterPos4iv_)GetAddress("glRasterPos4iv", typeof(GL.Delegates.RasterPos4iv_));
            GL.RasterPos4s = (GL.Delegates.RasterPos4s)GetAddress("glRasterPos4s", typeof(GL.Delegates.RasterPos4s));
            GL.RasterPos4sv_ = (GL.Delegates.RasterPos4sv_)GetAddress("glRasterPos4sv", typeof(GL.Delegates.RasterPos4sv_));
            GL.Rectd = (GL.Delegates.Rectd)GetAddress("glRectd", typeof(GL.Delegates.Rectd));
            GL.Rectdv_ = (GL.Delegates.Rectdv_)GetAddress("glRectdv", typeof(GL.Delegates.Rectdv_));
            GL.Rectf = (GL.Delegates.Rectf)GetAddress("glRectf", typeof(GL.Delegates.Rectf));
            GL.Rectfv_ = (GL.Delegates.Rectfv_)GetAddress("glRectfv", typeof(GL.Delegates.Rectfv_));
            GL.Recti = (GL.Delegates.Recti)GetAddress("glRecti", typeof(GL.Delegates.Recti));
            GL.Rectiv_ = (GL.Delegates.Rectiv_)GetAddress("glRectiv", typeof(GL.Delegates.Rectiv_));
            GL.Rects = (GL.Delegates.Rects)GetAddress("glRects", typeof(GL.Delegates.Rects));
            GL.Rectsv_ = (GL.Delegates.Rectsv_)GetAddress("glRectsv", typeof(GL.Delegates.Rectsv_));
            GL.TexCoord1d = (GL.Delegates.TexCoord1d)GetAddress("glTexCoord1d", typeof(GL.Delegates.TexCoord1d));
            GL.TexCoord1dv_ = (GL.Delegates.TexCoord1dv_)GetAddress("glTexCoord1dv", typeof(GL.Delegates.TexCoord1dv_));
            GL.TexCoord1f = (GL.Delegates.TexCoord1f)GetAddress("glTexCoord1f", typeof(GL.Delegates.TexCoord1f));
            GL.TexCoord1fv_ = (GL.Delegates.TexCoord1fv_)GetAddress("glTexCoord1fv", typeof(GL.Delegates.TexCoord1fv_));
            GL.TexCoord1i = (GL.Delegates.TexCoord1i)GetAddress("glTexCoord1i", typeof(GL.Delegates.TexCoord1i));
            GL.TexCoord1iv_ = (GL.Delegates.TexCoord1iv_)GetAddress("glTexCoord1iv", typeof(GL.Delegates.TexCoord1iv_));
            GL.TexCoord1s = (GL.Delegates.TexCoord1s)GetAddress("glTexCoord1s", typeof(GL.Delegates.TexCoord1s));
            GL.TexCoord1sv_ = (GL.Delegates.TexCoord1sv_)GetAddress("glTexCoord1sv", typeof(GL.Delegates.TexCoord1sv_));
            GL.TexCoord2d = (GL.Delegates.TexCoord2d)GetAddress("glTexCoord2d", typeof(GL.Delegates.TexCoord2d));
            GL.TexCoord2dv_ = (GL.Delegates.TexCoord2dv_)GetAddress("glTexCoord2dv", typeof(GL.Delegates.TexCoord2dv_));
            GL.TexCoord2f = (GL.Delegates.TexCoord2f)GetAddress("glTexCoord2f", typeof(GL.Delegates.TexCoord2f));
            GL.TexCoord2fv_ = (GL.Delegates.TexCoord2fv_)GetAddress("glTexCoord2fv", typeof(GL.Delegates.TexCoord2fv_));
            GL.TexCoord2i = (GL.Delegates.TexCoord2i)GetAddress("glTexCoord2i", typeof(GL.Delegates.TexCoord2i));
            GL.TexCoord2iv_ = (GL.Delegates.TexCoord2iv_)GetAddress("glTexCoord2iv", typeof(GL.Delegates.TexCoord2iv_));
            GL.TexCoord2s = (GL.Delegates.TexCoord2s)GetAddress("glTexCoord2s", typeof(GL.Delegates.TexCoord2s));
            GL.TexCoord2sv_ = (GL.Delegates.TexCoord2sv_)GetAddress("glTexCoord2sv", typeof(GL.Delegates.TexCoord2sv_));
            GL.TexCoord3d = (GL.Delegates.TexCoord3d)GetAddress("glTexCoord3d", typeof(GL.Delegates.TexCoord3d));
            GL.TexCoord3dv_ = (GL.Delegates.TexCoord3dv_)GetAddress("glTexCoord3dv", typeof(GL.Delegates.TexCoord3dv_));
            GL.TexCoord3f = (GL.Delegates.TexCoord3f)GetAddress("glTexCoord3f", typeof(GL.Delegates.TexCoord3f));
            GL.TexCoord3fv_ = (GL.Delegates.TexCoord3fv_)GetAddress("glTexCoord3fv", typeof(GL.Delegates.TexCoord3fv_));
            GL.TexCoord3i = (GL.Delegates.TexCoord3i)GetAddress("glTexCoord3i", typeof(GL.Delegates.TexCoord3i));
            GL.TexCoord3iv_ = (GL.Delegates.TexCoord3iv_)GetAddress("glTexCoord3iv", typeof(GL.Delegates.TexCoord3iv_));
            GL.TexCoord3s = (GL.Delegates.TexCoord3s)GetAddress("glTexCoord3s", typeof(GL.Delegates.TexCoord3s));
            GL.TexCoord3sv_ = (GL.Delegates.TexCoord3sv_)GetAddress("glTexCoord3sv", typeof(GL.Delegates.TexCoord3sv_));
            GL.TexCoord4d = (GL.Delegates.TexCoord4d)GetAddress("glTexCoord4d", typeof(GL.Delegates.TexCoord4d));
            GL.TexCoord4dv_ = (GL.Delegates.TexCoord4dv_)GetAddress("glTexCoord4dv", typeof(GL.Delegates.TexCoord4dv_));
            GL.TexCoord4f = (GL.Delegates.TexCoord4f)GetAddress("glTexCoord4f", typeof(GL.Delegates.TexCoord4f));
            GL.TexCoord4fv_ = (GL.Delegates.TexCoord4fv_)GetAddress("glTexCoord4fv", typeof(GL.Delegates.TexCoord4fv_));
            GL.TexCoord4i = (GL.Delegates.TexCoord4i)GetAddress("glTexCoord4i", typeof(GL.Delegates.TexCoord4i));
            GL.TexCoord4iv_ = (GL.Delegates.TexCoord4iv_)GetAddress("glTexCoord4iv", typeof(GL.Delegates.TexCoord4iv_));
            GL.TexCoord4s = (GL.Delegates.TexCoord4s)GetAddress("glTexCoord4s", typeof(GL.Delegates.TexCoord4s));
            GL.TexCoord4sv_ = (GL.Delegates.TexCoord4sv_)GetAddress("glTexCoord4sv", typeof(GL.Delegates.TexCoord4sv_));
            GL.Vertex2d = (GL.Delegates.Vertex2d)GetAddress("glVertex2d", typeof(GL.Delegates.Vertex2d));
            GL.Vertex2dv_ = (GL.Delegates.Vertex2dv_)GetAddress("glVertex2dv", typeof(GL.Delegates.Vertex2dv_));
            GL.Vertex2f = (GL.Delegates.Vertex2f)GetAddress("glVertex2f", typeof(GL.Delegates.Vertex2f));
            GL.Vertex2fv_ = (GL.Delegates.Vertex2fv_)GetAddress("glVertex2fv", typeof(GL.Delegates.Vertex2fv_));
            GL.Vertex2i = (GL.Delegates.Vertex2i)GetAddress("glVertex2i", typeof(GL.Delegates.Vertex2i));
            GL.Vertex2iv_ = (GL.Delegates.Vertex2iv_)GetAddress("glVertex2iv", typeof(GL.Delegates.Vertex2iv_));
            GL.Vertex2s = (GL.Delegates.Vertex2s)GetAddress("glVertex2s", typeof(GL.Delegates.Vertex2s));
            GL.Vertex2sv_ = (GL.Delegates.Vertex2sv_)GetAddress("glVertex2sv", typeof(GL.Delegates.Vertex2sv_));
            GL.Vertex3d = (GL.Delegates.Vertex3d)GetAddress("glVertex3d", typeof(GL.Delegates.Vertex3d));
            GL.Vertex3dv_ = (GL.Delegates.Vertex3dv_)GetAddress("glVertex3dv", typeof(GL.Delegates.Vertex3dv_));
            GL.Vertex3f = (GL.Delegates.Vertex3f)GetAddress("glVertex3f", typeof(GL.Delegates.Vertex3f));
            GL.Vertex3fv_ = (GL.Delegates.Vertex3fv_)GetAddress("glVertex3fv", typeof(GL.Delegates.Vertex3fv_));
            GL.Vertex3i = (GL.Delegates.Vertex3i)GetAddress("glVertex3i", typeof(GL.Delegates.Vertex3i));
            GL.Vertex3iv_ = (GL.Delegates.Vertex3iv_)GetAddress("glVertex3iv", typeof(GL.Delegates.Vertex3iv_));
            GL.Vertex3s = (GL.Delegates.Vertex3s)GetAddress("glVertex3s", typeof(GL.Delegates.Vertex3s));
            GL.Vertex3sv_ = (GL.Delegates.Vertex3sv_)GetAddress("glVertex3sv", typeof(GL.Delegates.Vertex3sv_));
            GL.Vertex4d = (GL.Delegates.Vertex4d)GetAddress("glVertex4d", typeof(GL.Delegates.Vertex4d));
            GL.Vertex4dv_ = (GL.Delegates.Vertex4dv_)GetAddress("glVertex4dv", typeof(GL.Delegates.Vertex4dv_));
            GL.Vertex4f = (GL.Delegates.Vertex4f)GetAddress("glVertex4f", typeof(GL.Delegates.Vertex4f));
            GL.Vertex4fv_ = (GL.Delegates.Vertex4fv_)GetAddress("glVertex4fv", typeof(GL.Delegates.Vertex4fv_));
            GL.Vertex4i = (GL.Delegates.Vertex4i)GetAddress("glVertex4i", typeof(GL.Delegates.Vertex4i));
            GL.Vertex4iv_ = (GL.Delegates.Vertex4iv_)GetAddress("glVertex4iv", typeof(GL.Delegates.Vertex4iv_));
            GL.Vertex4s = (GL.Delegates.Vertex4s)GetAddress("glVertex4s", typeof(GL.Delegates.Vertex4s));
            GL.Vertex4sv_ = (GL.Delegates.Vertex4sv_)GetAddress("glVertex4sv", typeof(GL.Delegates.Vertex4sv_));
            GL.ClipPlane_ = (GL.Delegates.ClipPlane_)GetAddress("glClipPlane", typeof(GL.Delegates.ClipPlane_));
            GL.ColorMaterial = (GL.Delegates.ColorMaterial)GetAddress("glColorMaterial", typeof(GL.Delegates.ColorMaterial));
            GL.CullFace = (GL.Delegates.CullFace)GetAddress("glCullFace", typeof(GL.Delegates.CullFace));
            GL.Fogf = (GL.Delegates.Fogf)GetAddress("glFogf", typeof(GL.Delegates.Fogf));
            GL.Fogfv_ = (GL.Delegates.Fogfv_)GetAddress("glFogfv", typeof(GL.Delegates.Fogfv_));
            GL.Fogi = (GL.Delegates.Fogi)GetAddress("glFogi", typeof(GL.Delegates.Fogi));
            GL.Fogiv_ = (GL.Delegates.Fogiv_)GetAddress("glFogiv", typeof(GL.Delegates.Fogiv_));
            GL.FrontFace = (GL.Delegates.FrontFace)GetAddress("glFrontFace", typeof(GL.Delegates.FrontFace));
            GL.Hint = (GL.Delegates.Hint)GetAddress("glHint", typeof(GL.Delegates.Hint));
            GL.Lightf = (GL.Delegates.Lightf)GetAddress("glLightf", typeof(GL.Delegates.Lightf));
            GL.Lightfv_ = (GL.Delegates.Lightfv_)GetAddress("glLightfv", typeof(GL.Delegates.Lightfv_));
            GL.Lighti = (GL.Delegates.Lighti)GetAddress("glLighti", typeof(GL.Delegates.Lighti));
            GL.Lightiv_ = (GL.Delegates.Lightiv_)GetAddress("glLightiv", typeof(GL.Delegates.Lightiv_));
            GL.LightModelf = (GL.Delegates.LightModelf)GetAddress("glLightModelf", typeof(GL.Delegates.LightModelf));
            GL.LightModelfv_ = (GL.Delegates.LightModelfv_)GetAddress("glLightModelfv", typeof(GL.Delegates.LightModelfv_));
            GL.LightModeli = (GL.Delegates.LightModeli)GetAddress("glLightModeli", typeof(GL.Delegates.LightModeli));
            GL.LightModeliv_ = (GL.Delegates.LightModeliv_)GetAddress("glLightModeliv", typeof(GL.Delegates.LightModeliv_));
            GL.LineStipple_ = (GL.Delegates.LineStipple_)GetAddress("glLineStipple", typeof(GL.Delegates.LineStipple_));
            GL.LineWidth = (GL.Delegates.LineWidth)GetAddress("glLineWidth", typeof(GL.Delegates.LineWidth));
            GL.Materialf = (GL.Delegates.Materialf)GetAddress("glMaterialf", typeof(GL.Delegates.Materialf));
            GL.Materialfv_ = (GL.Delegates.Materialfv_)GetAddress("glMaterialfv", typeof(GL.Delegates.Materialfv_));
            GL.Materiali = (GL.Delegates.Materiali)GetAddress("glMateriali", typeof(GL.Delegates.Materiali));
            GL.Materialiv_ = (GL.Delegates.Materialiv_)GetAddress("glMaterialiv", typeof(GL.Delegates.Materialiv_));
            GL.PointSize = (GL.Delegates.PointSize)GetAddress("glPointSize", typeof(GL.Delegates.PointSize));
            GL.PolygonMode = (GL.Delegates.PolygonMode)GetAddress("glPolygonMode", typeof(GL.Delegates.PolygonMode));
            GL.PolygonStipple_ = (GL.Delegates.PolygonStipple_)GetAddress("glPolygonStipple", typeof(GL.Delegates.PolygonStipple_));
            GL.Scissor = (GL.Delegates.Scissor)GetAddress("glScissor", typeof(GL.Delegates.Scissor));
            GL.ShadeModel = (GL.Delegates.ShadeModel)GetAddress("glShadeModel", typeof(GL.Delegates.ShadeModel));
            GL.TexParameterf = (GL.Delegates.TexParameterf)GetAddress("glTexParameterf", typeof(GL.Delegates.TexParameterf));
            GL.TexParameterfv_ = (GL.Delegates.TexParameterfv_)GetAddress("glTexParameterfv", typeof(GL.Delegates.TexParameterfv_));
            GL.TexParameteri = (GL.Delegates.TexParameteri)GetAddress("glTexParameteri", typeof(GL.Delegates.TexParameteri));
            GL.TexParameteriv_ = (GL.Delegates.TexParameteriv_)GetAddress("glTexParameteriv", typeof(GL.Delegates.TexParameteriv_));
            GL.TexImage1D_ = (GL.Delegates.TexImage1D_)GetAddress("glTexImage1D", typeof(GL.Delegates.TexImage1D_));
            GL.TexImage2D_ = (GL.Delegates.TexImage2D_)GetAddress("glTexImage2D", typeof(GL.Delegates.TexImage2D_));
            GL.TexEnvf = (GL.Delegates.TexEnvf)GetAddress("glTexEnvf", typeof(GL.Delegates.TexEnvf));
            GL.TexEnvfv_ = (GL.Delegates.TexEnvfv_)GetAddress("glTexEnvfv", typeof(GL.Delegates.TexEnvfv_));
            GL.TexEnvi = (GL.Delegates.TexEnvi)GetAddress("glTexEnvi", typeof(GL.Delegates.TexEnvi));
            GL.TexEnviv_ = (GL.Delegates.TexEnviv_)GetAddress("glTexEnviv", typeof(GL.Delegates.TexEnviv_));
            GL.TexGend = (GL.Delegates.TexGend)GetAddress("glTexGend", typeof(GL.Delegates.TexGend));
            GL.TexGendv_ = (GL.Delegates.TexGendv_)GetAddress("glTexGendv", typeof(GL.Delegates.TexGendv_));
            GL.TexGenf = (GL.Delegates.TexGenf)GetAddress("glTexGenf", typeof(GL.Delegates.TexGenf));
            GL.TexGenfv_ = (GL.Delegates.TexGenfv_)GetAddress("glTexGenfv", typeof(GL.Delegates.TexGenfv_));
            GL.TexGeni = (GL.Delegates.TexGeni)GetAddress("glTexGeni", typeof(GL.Delegates.TexGeni));
            GL.TexGeniv_ = (GL.Delegates.TexGeniv_)GetAddress("glTexGeniv", typeof(GL.Delegates.TexGeniv_));
            GL.FeedbackBuffer_ = (GL.Delegates.FeedbackBuffer_)GetAddress("glFeedbackBuffer", typeof(GL.Delegates.FeedbackBuffer_));
            GL.SelectBuffer_ = (GL.Delegates.SelectBuffer_)GetAddress("glSelectBuffer", typeof(GL.Delegates.SelectBuffer_));
            GL.RenderMode = (GL.Delegates.RenderMode)GetAddress("glRenderMode", typeof(GL.Delegates.RenderMode));
            GL.InitNames = (GL.Delegates.InitNames)GetAddress("glInitNames", typeof(GL.Delegates.InitNames));
            GL.LoadName = (GL.Delegates.LoadName)GetAddress("glLoadName", typeof(GL.Delegates.LoadName));
            GL.PassThrough = (GL.Delegates.PassThrough)GetAddress("glPassThrough", typeof(GL.Delegates.PassThrough));
            GL.PopName = (GL.Delegates.PopName)GetAddress("glPopName", typeof(GL.Delegates.PopName));
            GL.PushName = (GL.Delegates.PushName)GetAddress("glPushName", typeof(GL.Delegates.PushName));
            GL.DrawBuffer = (GL.Delegates.DrawBuffer)GetAddress("glDrawBuffer", typeof(GL.Delegates.DrawBuffer));
            GL.Clear = (GL.Delegates.Clear)GetAddress("glClear", typeof(GL.Delegates.Clear));
            GL.ClearAccum = (GL.Delegates.ClearAccum)GetAddress("glClearAccum", typeof(GL.Delegates.ClearAccum));
            GL.ClearIndex = (GL.Delegates.ClearIndex)GetAddress("glClearIndex", typeof(GL.Delegates.ClearIndex));
            GL.ClearColor = (GL.Delegates.ClearColor)GetAddress("glClearColor", typeof(GL.Delegates.ClearColor));
            GL.ClearStencil = (GL.Delegates.ClearStencil)GetAddress("glClearStencil", typeof(GL.Delegates.ClearStencil));
            GL.ClearDepth = (GL.Delegates.ClearDepth)GetAddress("glClearDepth", typeof(GL.Delegates.ClearDepth));
            GL.StencilMask = (GL.Delegates.StencilMask)GetAddress("glStencilMask", typeof(GL.Delegates.StencilMask));
            GL.ColorMask = (GL.Delegates.ColorMask)GetAddress("glColorMask", typeof(GL.Delegates.ColorMask));
            GL.DepthMask = (GL.Delegates.DepthMask)GetAddress("glDepthMask", typeof(GL.Delegates.DepthMask));
            GL.IndexMask = (GL.Delegates.IndexMask)GetAddress("glIndexMask", typeof(GL.Delegates.IndexMask));
            GL.Accum = (GL.Delegates.Accum)GetAddress("glAccum", typeof(GL.Delegates.Accum));
            GL.Disable = (GL.Delegates.Disable)GetAddress("glDisable", typeof(GL.Delegates.Disable));
            GL.Enable = (GL.Delegates.Enable)GetAddress("glEnable", typeof(GL.Delegates.Enable));
            GL.Finish = (GL.Delegates.Finish)GetAddress("glFinish", typeof(GL.Delegates.Finish));
            GL.Flush = (GL.Delegates.Flush)GetAddress("glFlush", typeof(GL.Delegates.Flush));
            GL.PopAttrib = (GL.Delegates.PopAttrib)GetAddress("glPopAttrib", typeof(GL.Delegates.PopAttrib));
            GL.PushAttrib = (GL.Delegates.PushAttrib)GetAddress("glPushAttrib", typeof(GL.Delegates.PushAttrib));
            GL.Map1d_ = (GL.Delegates.Map1d_)GetAddress("glMap1d", typeof(GL.Delegates.Map1d_));
            GL.Map1f_ = (GL.Delegates.Map1f_)GetAddress("glMap1f", typeof(GL.Delegates.Map1f_));
            GL.Map2d_ = (GL.Delegates.Map2d_)GetAddress("glMap2d", typeof(GL.Delegates.Map2d_));
            GL.Map2f_ = (GL.Delegates.Map2f_)GetAddress("glMap2f", typeof(GL.Delegates.Map2f_));
            GL.MapGrid1d = (GL.Delegates.MapGrid1d)GetAddress("glMapGrid1d", typeof(GL.Delegates.MapGrid1d));
            GL.MapGrid1f = (GL.Delegates.MapGrid1f)GetAddress("glMapGrid1f", typeof(GL.Delegates.MapGrid1f));
            GL.MapGrid2d = (GL.Delegates.MapGrid2d)GetAddress("glMapGrid2d", typeof(GL.Delegates.MapGrid2d));
            GL.MapGrid2f = (GL.Delegates.MapGrid2f)GetAddress("glMapGrid2f", typeof(GL.Delegates.MapGrid2f));
            GL.EvalCoord1d = (GL.Delegates.EvalCoord1d)GetAddress("glEvalCoord1d", typeof(GL.Delegates.EvalCoord1d));
            GL.EvalCoord1dv_ = (GL.Delegates.EvalCoord1dv_)GetAddress("glEvalCoord1dv", typeof(GL.Delegates.EvalCoord1dv_));
            GL.EvalCoord1f = (GL.Delegates.EvalCoord1f)GetAddress("glEvalCoord1f", typeof(GL.Delegates.EvalCoord1f));
            GL.EvalCoord1fv_ = (GL.Delegates.EvalCoord1fv_)GetAddress("glEvalCoord1fv", typeof(GL.Delegates.EvalCoord1fv_));
            GL.EvalCoord2d = (GL.Delegates.EvalCoord2d)GetAddress("glEvalCoord2d", typeof(GL.Delegates.EvalCoord2d));
            GL.EvalCoord2dv_ = (GL.Delegates.EvalCoord2dv_)GetAddress("glEvalCoord2dv", typeof(GL.Delegates.EvalCoord2dv_));
            GL.EvalCoord2f = (GL.Delegates.EvalCoord2f)GetAddress("glEvalCoord2f", typeof(GL.Delegates.EvalCoord2f));
            GL.EvalCoord2fv_ = (GL.Delegates.EvalCoord2fv_)GetAddress("glEvalCoord2fv", typeof(GL.Delegates.EvalCoord2fv_));
            GL.EvalMesh1 = (GL.Delegates.EvalMesh1)GetAddress("glEvalMesh1", typeof(GL.Delegates.EvalMesh1));
            GL.EvalPoint1 = (GL.Delegates.EvalPoint1)GetAddress("glEvalPoint1", typeof(GL.Delegates.EvalPoint1));
            GL.EvalMesh2 = (GL.Delegates.EvalMesh2)GetAddress("glEvalMesh2", typeof(GL.Delegates.EvalMesh2));
            GL.EvalPoint2 = (GL.Delegates.EvalPoint2)GetAddress("glEvalPoint2", typeof(GL.Delegates.EvalPoint2));
            GL.AlphaFunc = (GL.Delegates.AlphaFunc)GetAddress("glAlphaFunc", typeof(GL.Delegates.AlphaFunc));
            GL.BlendFunc = (GL.Delegates.BlendFunc)GetAddress("glBlendFunc", typeof(GL.Delegates.BlendFunc));
            GL.LogicOp = (GL.Delegates.LogicOp)GetAddress("glLogicOp", typeof(GL.Delegates.LogicOp));
            GL.StencilFunc = (GL.Delegates.StencilFunc)GetAddress("glStencilFunc", typeof(GL.Delegates.StencilFunc));
            GL.StencilOp = (GL.Delegates.StencilOp)GetAddress("glStencilOp", typeof(GL.Delegates.StencilOp));
            GL.DepthFunc = (GL.Delegates.DepthFunc)GetAddress("glDepthFunc", typeof(GL.Delegates.DepthFunc));
            GL.PixelZoom = (GL.Delegates.PixelZoom)GetAddress("glPixelZoom", typeof(GL.Delegates.PixelZoom));
            GL.PixelTransferf = (GL.Delegates.PixelTransferf)GetAddress("glPixelTransferf", typeof(GL.Delegates.PixelTransferf));
            GL.PixelTransferi = (GL.Delegates.PixelTransferi)GetAddress("glPixelTransferi", typeof(GL.Delegates.PixelTransferi));
            GL.PixelStoref = (GL.Delegates.PixelStoref)GetAddress("glPixelStoref", typeof(GL.Delegates.PixelStoref));
            GL.PixelStorei = (GL.Delegates.PixelStorei)GetAddress("glPixelStorei", typeof(GL.Delegates.PixelStorei));
            GL.PixelMapfv_ = (GL.Delegates.PixelMapfv_)GetAddress("glPixelMapfv", typeof(GL.Delegates.PixelMapfv_));
            GL.PixelMapuiv_ = (GL.Delegates.PixelMapuiv_)GetAddress("glPixelMapuiv", typeof(GL.Delegates.PixelMapuiv_));
            GL.PixelMapusv_ = (GL.Delegates.PixelMapusv_)GetAddress("glPixelMapusv", typeof(GL.Delegates.PixelMapusv_));
            GL.ReadBuffer = (GL.Delegates.ReadBuffer)GetAddress("glReadBuffer", typeof(GL.Delegates.ReadBuffer));
            GL.CopyPixels = (GL.Delegates.CopyPixels)GetAddress("glCopyPixels", typeof(GL.Delegates.CopyPixels));
            GL.ReadPixels_ = (GL.Delegates.ReadPixels_)GetAddress("glReadPixels", typeof(GL.Delegates.ReadPixels_));
            GL.DrawPixels_ = (GL.Delegates.DrawPixels_)GetAddress("glDrawPixels", typeof(GL.Delegates.DrawPixels_));
            GL.GetBooleanv_ = (GL.Delegates.GetBooleanv_)GetAddress("glGetBooleanv", typeof(GL.Delegates.GetBooleanv_));
            GL.GetClipPlane_ = (GL.Delegates.GetClipPlane_)GetAddress("glGetClipPlane", typeof(GL.Delegates.GetClipPlane_));
            GL.GetDoublev_ = (GL.Delegates.GetDoublev_)GetAddress("glGetDoublev", typeof(GL.Delegates.GetDoublev_));
            GL.GetError = (GL.Delegates.GetError)GetAddress("glGetError", typeof(GL.Delegates.GetError));
            GL.GetFloatv_ = (GL.Delegates.GetFloatv_)GetAddress("glGetFloatv", typeof(GL.Delegates.GetFloatv_));
            GL.GetIntegerv_ = (GL.Delegates.GetIntegerv_)GetAddress("glGetIntegerv", typeof(GL.Delegates.GetIntegerv_));
            GL.GetLightfv_ = (GL.Delegates.GetLightfv_)GetAddress("glGetLightfv", typeof(GL.Delegates.GetLightfv_));
            GL.GetLightiv_ = (GL.Delegates.GetLightiv_)GetAddress("glGetLightiv", typeof(GL.Delegates.GetLightiv_));
            GL.GetMapdv_ = (GL.Delegates.GetMapdv_)GetAddress("glGetMapdv", typeof(GL.Delegates.GetMapdv_));
            GL.GetMapfv_ = (GL.Delegates.GetMapfv_)GetAddress("glGetMapfv", typeof(GL.Delegates.GetMapfv_));
            GL.GetMapiv_ = (GL.Delegates.GetMapiv_)GetAddress("glGetMapiv", typeof(GL.Delegates.GetMapiv_));
            GL.GetMaterialfv_ = (GL.Delegates.GetMaterialfv_)GetAddress("glGetMaterialfv", typeof(GL.Delegates.GetMaterialfv_));
            GL.GetMaterialiv_ = (GL.Delegates.GetMaterialiv_)GetAddress("glGetMaterialiv", typeof(GL.Delegates.GetMaterialiv_));
            GL.GetPixelMapfv_ = (GL.Delegates.GetPixelMapfv_)GetAddress("glGetPixelMapfv", typeof(GL.Delegates.GetPixelMapfv_));
            GL.GetPixelMapuiv_ = (GL.Delegates.GetPixelMapuiv_)GetAddress("glGetPixelMapuiv", typeof(GL.Delegates.GetPixelMapuiv_));
            GL.GetPixelMapusv_ = (GL.Delegates.GetPixelMapusv_)GetAddress("glGetPixelMapusv", typeof(GL.Delegates.GetPixelMapusv_));
            GL.GetPolygonStipple_ = (GL.Delegates.GetPolygonStipple_)GetAddress("glGetPolygonStipple", typeof(GL.Delegates.GetPolygonStipple_));
            GL.GetString_ = (GL.Delegates.GetString_)GetAddress("glGetString", typeof(GL.Delegates.GetString_));
            GL.GetTexEnvfv_ = (GL.Delegates.GetTexEnvfv_)GetAddress("glGetTexEnvfv", typeof(GL.Delegates.GetTexEnvfv_));
            GL.GetTexEnviv_ = (GL.Delegates.GetTexEnviv_)GetAddress("glGetTexEnviv", typeof(GL.Delegates.GetTexEnviv_));
            GL.GetTexGendv_ = (GL.Delegates.GetTexGendv_)GetAddress("glGetTexGendv", typeof(GL.Delegates.GetTexGendv_));
            GL.GetTexGenfv_ = (GL.Delegates.GetTexGenfv_)GetAddress("glGetTexGenfv", typeof(GL.Delegates.GetTexGenfv_));
            GL.GetTexGeniv_ = (GL.Delegates.GetTexGeniv_)GetAddress("glGetTexGeniv", typeof(GL.Delegates.GetTexGeniv_));
            GL.GetTexImage_ = (GL.Delegates.GetTexImage_)GetAddress("glGetTexImage", typeof(GL.Delegates.GetTexImage_));
            GL.GetTexParameterfv_ = (GL.Delegates.GetTexParameterfv_)GetAddress("glGetTexParameterfv", typeof(GL.Delegates.GetTexParameterfv_));
            GL.GetTexParameteriv_ = (GL.Delegates.GetTexParameteriv_)GetAddress("glGetTexParameteriv", typeof(GL.Delegates.GetTexParameteriv_));
            GL.GetTexLevelParameterfv_ = (GL.Delegates.GetTexLevelParameterfv_)GetAddress("glGetTexLevelParameterfv", typeof(GL.Delegates.GetTexLevelParameterfv_));
            GL.GetTexLevelParameteriv_ = (GL.Delegates.GetTexLevelParameteriv_)GetAddress("glGetTexLevelParameteriv", typeof(GL.Delegates.GetTexLevelParameteriv_));
            GL.IsEnabled = (GL.Delegates.IsEnabled)GetAddress("glIsEnabled", typeof(GL.Delegates.IsEnabled));
            GL.IsList = (GL.Delegates.IsList)GetAddress("glIsList", typeof(GL.Delegates.IsList));
            GL.DepthRange = (GL.Delegates.DepthRange)GetAddress("glDepthRange", typeof(GL.Delegates.DepthRange));
            GL.Frustum = (GL.Delegates.Frustum)GetAddress("glFrustum", typeof(GL.Delegates.Frustum));
            GL.LoadIdentity = (GL.Delegates.LoadIdentity)GetAddress("glLoadIdentity", typeof(GL.Delegates.LoadIdentity));
            GL.LoadMatrixf_ = (GL.Delegates.LoadMatrixf_)GetAddress("glLoadMatrixf", typeof(GL.Delegates.LoadMatrixf_));
            GL.LoadMatrixd_ = (GL.Delegates.LoadMatrixd_)GetAddress("glLoadMatrixd", typeof(GL.Delegates.LoadMatrixd_));
            GL.MatrixMode = (GL.Delegates.MatrixMode)GetAddress("glMatrixMode", typeof(GL.Delegates.MatrixMode));
            GL.MultMatrixf_ = (GL.Delegates.MultMatrixf_)GetAddress("glMultMatrixf", typeof(GL.Delegates.MultMatrixf_));
            GL.MultMatrixd_ = (GL.Delegates.MultMatrixd_)GetAddress("glMultMatrixd", typeof(GL.Delegates.MultMatrixd_));
            GL.Ortho = (GL.Delegates.Ortho)GetAddress("glOrtho", typeof(GL.Delegates.Ortho));
            GL.PopMatrix = (GL.Delegates.PopMatrix)GetAddress("glPopMatrix", typeof(GL.Delegates.PopMatrix));
            GL.PushMatrix = (GL.Delegates.PushMatrix)GetAddress("glPushMatrix", typeof(GL.Delegates.PushMatrix));
            GL.Rotated = (GL.Delegates.Rotated)GetAddress("glRotated", typeof(GL.Delegates.Rotated));
            GL.Rotatef = (GL.Delegates.Rotatef)GetAddress("glRotatef", typeof(GL.Delegates.Rotatef));
            GL.Scaled = (GL.Delegates.Scaled)GetAddress("glScaled", typeof(GL.Delegates.Scaled));
            GL.Scalef = (GL.Delegates.Scalef)GetAddress("glScalef", typeof(GL.Delegates.Scalef));
            GL.Translated = (GL.Delegates.Translated)GetAddress("glTranslated", typeof(GL.Delegates.Translated));
            GL.Translatef = (GL.Delegates.Translatef)GetAddress("glTranslatef", typeof(GL.Delegates.Translatef));
            GL.Viewport = (GL.Delegates.Viewport)GetAddress("glViewport", typeof(GL.Delegates.Viewport));
            GL.ArrayElement = (GL.Delegates.ArrayElement)GetAddress("glArrayElement", typeof(GL.Delegates.ArrayElement));
            GL.ColorPointer_ = (GL.Delegates.ColorPointer_)GetAddress("glColorPointer", typeof(GL.Delegates.ColorPointer_));
            GL.DisableClientState = (GL.Delegates.DisableClientState)GetAddress("glDisableClientState", typeof(GL.Delegates.DisableClientState));
            GL.DrawArrays = (GL.Delegates.DrawArrays)GetAddress("glDrawArrays", typeof(GL.Delegates.DrawArrays));
            GL.DrawElements_ = (GL.Delegates.DrawElements_)GetAddress("glDrawElements", typeof(GL.Delegates.DrawElements_));
            GL.EdgeFlagPointer_ = (GL.Delegates.EdgeFlagPointer_)GetAddress("glEdgeFlagPointer", typeof(GL.Delegates.EdgeFlagPointer_));
            GL.EnableClientState = (GL.Delegates.EnableClientState)GetAddress("glEnableClientState", typeof(GL.Delegates.EnableClientState));
            GL.GetPointerv_ = (GL.Delegates.GetPointerv_)GetAddress("glGetPointerv", typeof(GL.Delegates.GetPointerv_));
            GL.IndexPointer_ = (GL.Delegates.IndexPointer_)GetAddress("glIndexPointer", typeof(GL.Delegates.IndexPointer_));
            GL.InterleavedArrays_ = (GL.Delegates.InterleavedArrays_)GetAddress("glInterleavedArrays", typeof(GL.Delegates.InterleavedArrays_));
            GL.NormalPointer_ = (GL.Delegates.NormalPointer_)GetAddress("glNormalPointer", typeof(GL.Delegates.NormalPointer_));
            GL.TexCoordPointer_ = (GL.Delegates.TexCoordPointer_)GetAddress("glTexCoordPointer", typeof(GL.Delegates.TexCoordPointer_));
            GL.VertexPointer_ = (GL.Delegates.VertexPointer_)GetAddress("glVertexPointer", typeof(GL.Delegates.VertexPointer_));
            GL.PolygonOffset = (GL.Delegates.PolygonOffset)GetAddress("glPolygonOffset", typeof(GL.Delegates.PolygonOffset));
            GL.CopyTexImage1D = (GL.Delegates.CopyTexImage1D)GetAddress("glCopyTexImage1D", typeof(GL.Delegates.CopyTexImage1D));
            GL.CopyTexImage2D = (GL.Delegates.CopyTexImage2D)GetAddress("glCopyTexImage2D", typeof(GL.Delegates.CopyTexImage2D));
            GL.CopyTexSubImage1D = (GL.Delegates.CopyTexSubImage1D)GetAddress("glCopyTexSubImage1D", typeof(GL.Delegates.CopyTexSubImage1D));
            GL.CopyTexSubImage2D = (GL.Delegates.CopyTexSubImage2D)GetAddress("glCopyTexSubImage2D", typeof(GL.Delegates.CopyTexSubImage2D));
            GL.TexSubImage1D_ = (GL.Delegates.TexSubImage1D_)GetAddress("glTexSubImage1D", typeof(GL.Delegates.TexSubImage1D_));
            GL.TexSubImage2D_ = (GL.Delegates.TexSubImage2D_)GetAddress("glTexSubImage2D", typeof(GL.Delegates.TexSubImage2D_));
            GL.AreTexturesResident_ = (GL.Delegates.AreTexturesResident_)GetAddress("glAreTexturesResident", typeof(GL.Delegates.AreTexturesResident_));
            GL.BindTexture = (GL.Delegates.BindTexture)GetAddress("glBindTexture", typeof(GL.Delegates.BindTexture));
            GL.DeleteTextures_ = (GL.Delegates.DeleteTextures_)GetAddress("glDeleteTextures", typeof(GL.Delegates.DeleteTextures_));
            GL.GenTextures_ = (GL.Delegates.GenTextures_)GetAddress("glGenTextures", typeof(GL.Delegates.GenTextures_));
            GL.IsTexture = (GL.Delegates.IsTexture)GetAddress("glIsTexture", typeof(GL.Delegates.IsTexture));
            GL.PrioritizeTextures_ = (GL.Delegates.PrioritizeTextures_)GetAddress("glPrioritizeTextures", typeof(GL.Delegates.PrioritizeTextures_));
            GL.Indexub = (GL.Delegates.Indexub)GetAddress("glIndexub", typeof(GL.Delegates.Indexub));
            GL.Indexubv_ = (GL.Delegates.Indexubv_)GetAddress("glIndexubv", typeof(GL.Delegates.Indexubv_));
            GL.PopClientAttrib = (GL.Delegates.PopClientAttrib)GetAddress("glPopClientAttrib", typeof(GL.Delegates.PopClientAttrib));
            GL.PushClientAttrib = (GL.Delegates.PushClientAttrib)GetAddress("glPushClientAttrib", typeof(GL.Delegates.PushClientAttrib));
            GL.BlendColor = (GL.Delegates.BlendColor)GetAddress("glBlendColor", typeof(GL.Delegates.BlendColor));
            GL.BlendEquation = (GL.Delegates.BlendEquation)GetAddress("glBlendEquation", typeof(GL.Delegates.BlendEquation));
            GL.DrawRangeElements_ = (GL.Delegates.DrawRangeElements_)GetAddress("glDrawRangeElements", typeof(GL.Delegates.DrawRangeElements_));
            GL.ColorTable_ = (GL.Delegates.ColorTable_)GetAddress("glColorTable", typeof(GL.Delegates.ColorTable_));
            GL.ColorTableParameterfv_ = (GL.Delegates.ColorTableParameterfv_)GetAddress("glColorTableParameterfv", typeof(GL.Delegates.ColorTableParameterfv_));
            GL.ColorTableParameteriv_ = (GL.Delegates.ColorTableParameteriv_)GetAddress("glColorTableParameteriv", typeof(GL.Delegates.ColorTableParameteriv_));
            GL.CopyColorTable = (GL.Delegates.CopyColorTable)GetAddress("glCopyColorTable", typeof(GL.Delegates.CopyColorTable));
            GL.GetColorTable_ = (GL.Delegates.GetColorTable_)GetAddress("glGetColorTable", typeof(GL.Delegates.GetColorTable_));
            GL.GetColorTableParameterfv_ = (GL.Delegates.GetColorTableParameterfv_)GetAddress("glGetColorTableParameterfv", typeof(GL.Delegates.GetColorTableParameterfv_));
            GL.GetColorTableParameteriv_ = (GL.Delegates.GetColorTableParameteriv_)GetAddress("glGetColorTableParameteriv", typeof(GL.Delegates.GetColorTableParameteriv_));
            GL.ColorSubTable_ = (GL.Delegates.ColorSubTable_)GetAddress("glColorSubTable", typeof(GL.Delegates.ColorSubTable_));
            GL.CopyColorSubTable = (GL.Delegates.CopyColorSubTable)GetAddress("glCopyColorSubTable", typeof(GL.Delegates.CopyColorSubTable));
            GL.ConvolutionFilter1D_ = (GL.Delegates.ConvolutionFilter1D_)GetAddress("glConvolutionFilter1D", typeof(GL.Delegates.ConvolutionFilter1D_));
            GL.ConvolutionFilter2D_ = (GL.Delegates.ConvolutionFilter2D_)GetAddress("glConvolutionFilter2D", typeof(GL.Delegates.ConvolutionFilter2D_));
            GL.ConvolutionParameterf = (GL.Delegates.ConvolutionParameterf)GetAddress("glConvolutionParameterf", typeof(GL.Delegates.ConvolutionParameterf));
            GL.ConvolutionParameterfv_ = (GL.Delegates.ConvolutionParameterfv_)GetAddress("glConvolutionParameterfv", typeof(GL.Delegates.ConvolutionParameterfv_));
            GL.ConvolutionParameteri = (GL.Delegates.ConvolutionParameteri)GetAddress("glConvolutionParameteri", typeof(GL.Delegates.ConvolutionParameteri));
            GL.ConvolutionParameteriv_ = (GL.Delegates.ConvolutionParameteriv_)GetAddress("glConvolutionParameteriv", typeof(GL.Delegates.ConvolutionParameteriv_));
            GL.CopyConvolutionFilter1D = (GL.Delegates.CopyConvolutionFilter1D)GetAddress("glCopyConvolutionFilter1D", typeof(GL.Delegates.CopyConvolutionFilter1D));
            GL.CopyConvolutionFilter2D = (GL.Delegates.CopyConvolutionFilter2D)GetAddress("glCopyConvolutionFilter2D", typeof(GL.Delegates.CopyConvolutionFilter2D));
            GL.GetConvolutionFilter_ = (GL.Delegates.GetConvolutionFilter_)GetAddress("glGetConvolutionFilter", typeof(GL.Delegates.GetConvolutionFilter_));
            GL.GetConvolutionParameterfv_ = (GL.Delegates.GetConvolutionParameterfv_)GetAddress("glGetConvolutionParameterfv", typeof(GL.Delegates.GetConvolutionParameterfv_));
            GL.GetConvolutionParameteriv_ = (GL.Delegates.GetConvolutionParameteriv_)GetAddress("glGetConvolutionParameteriv", typeof(GL.Delegates.GetConvolutionParameteriv_));
            GL.GetSeparableFilter_ = (GL.Delegates.GetSeparableFilter_)GetAddress("glGetSeparableFilter", typeof(GL.Delegates.GetSeparableFilter_));
            GL.SeparableFilter2D_ = (GL.Delegates.SeparableFilter2D_)GetAddress("glSeparableFilter2D", typeof(GL.Delegates.SeparableFilter2D_));
            GL.GetHistogram_ = (GL.Delegates.GetHistogram_)GetAddress("glGetHistogram", typeof(GL.Delegates.GetHistogram_));
            GL.GetHistogramParameterfv_ = (GL.Delegates.GetHistogramParameterfv_)GetAddress("glGetHistogramParameterfv", typeof(GL.Delegates.GetHistogramParameterfv_));
            GL.GetHistogramParameteriv_ = (GL.Delegates.GetHistogramParameteriv_)GetAddress("glGetHistogramParameteriv", typeof(GL.Delegates.GetHistogramParameteriv_));
            GL.GetMinmax_ = (GL.Delegates.GetMinmax_)GetAddress("glGetMinmax", typeof(GL.Delegates.GetMinmax_));
            GL.GetMinmaxParameterfv_ = (GL.Delegates.GetMinmaxParameterfv_)GetAddress("glGetMinmaxParameterfv", typeof(GL.Delegates.GetMinmaxParameterfv_));
            GL.GetMinmaxParameteriv_ = (GL.Delegates.GetMinmaxParameteriv_)GetAddress("glGetMinmaxParameteriv", typeof(GL.Delegates.GetMinmaxParameteriv_));
            GL.Histogram = (GL.Delegates.Histogram)GetAddress("glHistogram", typeof(GL.Delegates.Histogram));
            GL.Minmax = (GL.Delegates.Minmax)GetAddress("glMinmax", typeof(GL.Delegates.Minmax));
            GL.ResetHistogram = (GL.Delegates.ResetHistogram)GetAddress("glResetHistogram", typeof(GL.Delegates.ResetHistogram));
            GL.ResetMinmax = (GL.Delegates.ResetMinmax)GetAddress("glResetMinmax", typeof(GL.Delegates.ResetMinmax));
            GL.TexImage3D_ = (GL.Delegates.TexImage3D_)GetAddress("glTexImage3D", typeof(GL.Delegates.TexImage3D_));
            GL.TexSubImage3D_ = (GL.Delegates.TexSubImage3D_)GetAddress("glTexSubImage3D", typeof(GL.Delegates.TexSubImage3D_));
            GL.CopyTexSubImage3D = (GL.Delegates.CopyTexSubImage3D)GetAddress("glCopyTexSubImage3D", typeof(GL.Delegates.CopyTexSubImage3D));
            GL.ActiveTexture = (GL.Delegates.ActiveTexture)GetAddress("glActiveTexture", typeof(GL.Delegates.ActiveTexture));
            GL.ClientActiveTexture = (GL.Delegates.ClientActiveTexture)GetAddress("glClientActiveTexture", typeof(GL.Delegates.ClientActiveTexture));
            GL.MultiTexCoord1d = (GL.Delegates.MultiTexCoord1d)GetAddress("glMultiTexCoord1d", typeof(GL.Delegates.MultiTexCoord1d));
            GL.MultiTexCoord1dv_ = (GL.Delegates.MultiTexCoord1dv_)GetAddress("glMultiTexCoord1dv", typeof(GL.Delegates.MultiTexCoord1dv_));
            GL.MultiTexCoord1f = (GL.Delegates.MultiTexCoord1f)GetAddress("glMultiTexCoord1f", typeof(GL.Delegates.MultiTexCoord1f));
            GL.MultiTexCoord1fv_ = (GL.Delegates.MultiTexCoord1fv_)GetAddress("glMultiTexCoord1fv", typeof(GL.Delegates.MultiTexCoord1fv_));
            GL.MultiTexCoord1i = (GL.Delegates.MultiTexCoord1i)GetAddress("glMultiTexCoord1i", typeof(GL.Delegates.MultiTexCoord1i));
            GL.MultiTexCoord1iv_ = (GL.Delegates.MultiTexCoord1iv_)GetAddress("glMultiTexCoord1iv", typeof(GL.Delegates.MultiTexCoord1iv_));
            GL.MultiTexCoord1s = (GL.Delegates.MultiTexCoord1s)GetAddress("glMultiTexCoord1s", typeof(GL.Delegates.MultiTexCoord1s));
            GL.MultiTexCoord1sv_ = (GL.Delegates.MultiTexCoord1sv_)GetAddress("glMultiTexCoord1sv", typeof(GL.Delegates.MultiTexCoord1sv_));
            GL.MultiTexCoord2d = (GL.Delegates.MultiTexCoord2d)GetAddress("glMultiTexCoord2d", typeof(GL.Delegates.MultiTexCoord2d));
            GL.MultiTexCoord2dv_ = (GL.Delegates.MultiTexCoord2dv_)GetAddress("glMultiTexCoord2dv", typeof(GL.Delegates.MultiTexCoord2dv_));
            GL.MultiTexCoord2f = (GL.Delegates.MultiTexCoord2f)GetAddress("glMultiTexCoord2f", typeof(GL.Delegates.MultiTexCoord2f));
            GL.MultiTexCoord2fv_ = (GL.Delegates.MultiTexCoord2fv_)GetAddress("glMultiTexCoord2fv", typeof(GL.Delegates.MultiTexCoord2fv_));
            GL.MultiTexCoord2i = (GL.Delegates.MultiTexCoord2i)GetAddress("glMultiTexCoord2i", typeof(GL.Delegates.MultiTexCoord2i));
            GL.MultiTexCoord2iv_ = (GL.Delegates.MultiTexCoord2iv_)GetAddress("glMultiTexCoord2iv", typeof(GL.Delegates.MultiTexCoord2iv_));
            GL.MultiTexCoord2s = (GL.Delegates.MultiTexCoord2s)GetAddress("glMultiTexCoord2s", typeof(GL.Delegates.MultiTexCoord2s));
            GL.MultiTexCoord2sv_ = (GL.Delegates.MultiTexCoord2sv_)GetAddress("glMultiTexCoord2sv", typeof(GL.Delegates.MultiTexCoord2sv_));
            GL.MultiTexCoord3d = (GL.Delegates.MultiTexCoord3d)GetAddress("glMultiTexCoord3d", typeof(GL.Delegates.MultiTexCoord3d));
            GL.MultiTexCoord3dv_ = (GL.Delegates.MultiTexCoord3dv_)GetAddress("glMultiTexCoord3dv", typeof(GL.Delegates.MultiTexCoord3dv_));
            GL.MultiTexCoord3f = (GL.Delegates.MultiTexCoord3f)GetAddress("glMultiTexCoord3f", typeof(GL.Delegates.MultiTexCoord3f));
            GL.MultiTexCoord3fv_ = (GL.Delegates.MultiTexCoord3fv_)GetAddress("glMultiTexCoord3fv", typeof(GL.Delegates.MultiTexCoord3fv_));
            GL.MultiTexCoord3i = (GL.Delegates.MultiTexCoord3i)GetAddress("glMultiTexCoord3i", typeof(GL.Delegates.MultiTexCoord3i));
            GL.MultiTexCoord3iv_ = (GL.Delegates.MultiTexCoord3iv_)GetAddress("glMultiTexCoord3iv", typeof(GL.Delegates.MultiTexCoord3iv_));
            GL.MultiTexCoord3s = (GL.Delegates.MultiTexCoord3s)GetAddress("glMultiTexCoord3s", typeof(GL.Delegates.MultiTexCoord3s));
            GL.MultiTexCoord3sv_ = (GL.Delegates.MultiTexCoord3sv_)GetAddress("glMultiTexCoord3sv", typeof(GL.Delegates.MultiTexCoord3sv_));
            GL.MultiTexCoord4d = (GL.Delegates.MultiTexCoord4d)GetAddress("glMultiTexCoord4d", typeof(GL.Delegates.MultiTexCoord4d));
            GL.MultiTexCoord4dv_ = (GL.Delegates.MultiTexCoord4dv_)GetAddress("glMultiTexCoord4dv", typeof(GL.Delegates.MultiTexCoord4dv_));
            GL.MultiTexCoord4f = (GL.Delegates.MultiTexCoord4f)GetAddress("glMultiTexCoord4f", typeof(GL.Delegates.MultiTexCoord4f));
            GL.MultiTexCoord4fv_ = (GL.Delegates.MultiTexCoord4fv_)GetAddress("glMultiTexCoord4fv", typeof(GL.Delegates.MultiTexCoord4fv_));
            GL.MultiTexCoord4i = (GL.Delegates.MultiTexCoord4i)GetAddress("glMultiTexCoord4i", typeof(GL.Delegates.MultiTexCoord4i));
            GL.MultiTexCoord4iv_ = (GL.Delegates.MultiTexCoord4iv_)GetAddress("glMultiTexCoord4iv", typeof(GL.Delegates.MultiTexCoord4iv_));
            GL.MultiTexCoord4s = (GL.Delegates.MultiTexCoord4s)GetAddress("glMultiTexCoord4s", typeof(GL.Delegates.MultiTexCoord4s));
            GL.MultiTexCoord4sv_ = (GL.Delegates.MultiTexCoord4sv_)GetAddress("glMultiTexCoord4sv", typeof(GL.Delegates.MultiTexCoord4sv_));
            GL.LoadTransposeMatrixf_ = (GL.Delegates.LoadTransposeMatrixf_)GetAddress("glLoadTransposeMatrixf", typeof(GL.Delegates.LoadTransposeMatrixf_));
            GL.LoadTransposeMatrixd_ = (GL.Delegates.LoadTransposeMatrixd_)GetAddress("glLoadTransposeMatrixd", typeof(GL.Delegates.LoadTransposeMatrixd_));
            GL.MultTransposeMatrixf_ = (GL.Delegates.MultTransposeMatrixf_)GetAddress("glMultTransposeMatrixf", typeof(GL.Delegates.MultTransposeMatrixf_));
            GL.MultTransposeMatrixd_ = (GL.Delegates.MultTransposeMatrixd_)GetAddress("glMultTransposeMatrixd", typeof(GL.Delegates.MultTransposeMatrixd_));
            GL.SampleCoverage = (GL.Delegates.SampleCoverage)GetAddress("glSampleCoverage", typeof(GL.Delegates.SampleCoverage));
            GL.CompressedTexImage3D_ = (GL.Delegates.CompressedTexImage3D_)GetAddress("glCompressedTexImage3D", typeof(GL.Delegates.CompressedTexImage3D_));
            GL.CompressedTexImage2D_ = (GL.Delegates.CompressedTexImage2D_)GetAddress("glCompressedTexImage2D", typeof(GL.Delegates.CompressedTexImage2D_));
            GL.CompressedTexImage1D_ = (GL.Delegates.CompressedTexImage1D_)GetAddress("glCompressedTexImage1D", typeof(GL.Delegates.CompressedTexImage1D_));
            GL.CompressedTexSubImage3D_ = (GL.Delegates.CompressedTexSubImage3D_)GetAddress("glCompressedTexSubImage3D", typeof(GL.Delegates.CompressedTexSubImage3D_));
            GL.CompressedTexSubImage2D_ = (GL.Delegates.CompressedTexSubImage2D_)GetAddress("glCompressedTexSubImage2D", typeof(GL.Delegates.CompressedTexSubImage2D_));
            GL.CompressedTexSubImage1D_ = (GL.Delegates.CompressedTexSubImage1D_)GetAddress("glCompressedTexSubImage1D", typeof(GL.Delegates.CompressedTexSubImage1D_));
            GL.GetCompressedTexImage_ = (GL.Delegates.GetCompressedTexImage_)GetAddress("glGetCompressedTexImage", typeof(GL.Delegates.GetCompressedTexImage_));
            GL.BlendFuncSeparate = (GL.Delegates.BlendFuncSeparate)GetAddress("glBlendFuncSeparate", typeof(GL.Delegates.BlendFuncSeparate));
            GL.FogCoordf = (GL.Delegates.FogCoordf)GetAddress("glFogCoordf", typeof(GL.Delegates.FogCoordf));
            GL.FogCoordfv_ = (GL.Delegates.FogCoordfv_)GetAddress("glFogCoordfv", typeof(GL.Delegates.FogCoordfv_));
            GL.FogCoordd = (GL.Delegates.FogCoordd)GetAddress("glFogCoordd", typeof(GL.Delegates.FogCoordd));
            GL.FogCoorddv_ = (GL.Delegates.FogCoorddv_)GetAddress("glFogCoorddv", typeof(GL.Delegates.FogCoorddv_));
            GL.FogCoordPointer_ = (GL.Delegates.FogCoordPointer_)GetAddress("glFogCoordPointer", typeof(GL.Delegates.FogCoordPointer_));
            GL.MultiDrawArrays_ = (GL.Delegates.MultiDrawArrays_)GetAddress("glMultiDrawArrays", typeof(GL.Delegates.MultiDrawArrays_));
            GL.MultiDrawElements_ = (GL.Delegates.MultiDrawElements_)GetAddress("glMultiDrawElements", typeof(GL.Delegates.MultiDrawElements_));
            GL.PointParameterf = (GL.Delegates.PointParameterf)GetAddress("glPointParameterf", typeof(GL.Delegates.PointParameterf));
            GL.PointParameterfv_ = (GL.Delegates.PointParameterfv_)GetAddress("glPointParameterfv", typeof(GL.Delegates.PointParameterfv_));
            GL.PointParameteri = (GL.Delegates.PointParameteri)GetAddress("glPointParameteri", typeof(GL.Delegates.PointParameteri));
            GL.PointParameteriv_ = (GL.Delegates.PointParameteriv_)GetAddress("glPointParameteriv", typeof(GL.Delegates.PointParameteriv_));
            GL.SecondaryColor3b = (GL.Delegates.SecondaryColor3b)GetAddress("glSecondaryColor3b", typeof(GL.Delegates.SecondaryColor3b));
            GL.SecondaryColor3bv_ = (GL.Delegates.SecondaryColor3bv_)GetAddress("glSecondaryColor3bv", typeof(GL.Delegates.SecondaryColor3bv_));
            GL.SecondaryColor3d = (GL.Delegates.SecondaryColor3d)GetAddress("glSecondaryColor3d", typeof(GL.Delegates.SecondaryColor3d));
            GL.SecondaryColor3dv_ = (GL.Delegates.SecondaryColor3dv_)GetAddress("glSecondaryColor3dv", typeof(GL.Delegates.SecondaryColor3dv_));
            GL.SecondaryColor3f = (GL.Delegates.SecondaryColor3f)GetAddress("glSecondaryColor3f", typeof(GL.Delegates.SecondaryColor3f));
            GL.SecondaryColor3fv_ = (GL.Delegates.SecondaryColor3fv_)GetAddress("glSecondaryColor3fv", typeof(GL.Delegates.SecondaryColor3fv_));
            GL.SecondaryColor3i = (GL.Delegates.SecondaryColor3i)GetAddress("glSecondaryColor3i", typeof(GL.Delegates.SecondaryColor3i));
            GL.SecondaryColor3iv_ = (GL.Delegates.SecondaryColor3iv_)GetAddress("glSecondaryColor3iv", typeof(GL.Delegates.SecondaryColor3iv_));
            GL.SecondaryColor3s = (GL.Delegates.SecondaryColor3s)GetAddress("glSecondaryColor3s", typeof(GL.Delegates.SecondaryColor3s));
            GL.SecondaryColor3sv_ = (GL.Delegates.SecondaryColor3sv_)GetAddress("glSecondaryColor3sv", typeof(GL.Delegates.SecondaryColor3sv_));
            GL.SecondaryColor3ub = (GL.Delegates.SecondaryColor3ub)GetAddress("glSecondaryColor3ub", typeof(GL.Delegates.SecondaryColor3ub));
            GL.SecondaryColor3ubv_ = (GL.Delegates.SecondaryColor3ubv_)GetAddress("glSecondaryColor3ubv", typeof(GL.Delegates.SecondaryColor3ubv_));
            GL.SecondaryColor3ui = (GL.Delegates.SecondaryColor3ui)GetAddress("glSecondaryColor3ui", typeof(GL.Delegates.SecondaryColor3ui));
            GL.SecondaryColor3uiv_ = (GL.Delegates.SecondaryColor3uiv_)GetAddress("glSecondaryColor3uiv", typeof(GL.Delegates.SecondaryColor3uiv_));
            GL.SecondaryColor3us = (GL.Delegates.SecondaryColor3us)GetAddress("glSecondaryColor3us", typeof(GL.Delegates.SecondaryColor3us));
            GL.SecondaryColor3usv_ = (GL.Delegates.SecondaryColor3usv_)GetAddress("glSecondaryColor3usv", typeof(GL.Delegates.SecondaryColor3usv_));
            GL.SecondaryColorPointer_ = (GL.Delegates.SecondaryColorPointer_)GetAddress("glSecondaryColorPointer", typeof(GL.Delegates.SecondaryColorPointer_));
            GL.WindowPos2d = (GL.Delegates.WindowPos2d)GetAddress("glWindowPos2d", typeof(GL.Delegates.WindowPos2d));
            GL.WindowPos2dv_ = (GL.Delegates.WindowPos2dv_)GetAddress("glWindowPos2dv", typeof(GL.Delegates.WindowPos2dv_));
            GL.WindowPos2f = (GL.Delegates.WindowPos2f)GetAddress("glWindowPos2f", typeof(GL.Delegates.WindowPos2f));
            GL.WindowPos2fv_ = (GL.Delegates.WindowPos2fv_)GetAddress("glWindowPos2fv", typeof(GL.Delegates.WindowPos2fv_));
            GL.WindowPos2i = (GL.Delegates.WindowPos2i)GetAddress("glWindowPos2i", typeof(GL.Delegates.WindowPos2i));
            GL.WindowPos2iv_ = (GL.Delegates.WindowPos2iv_)GetAddress("glWindowPos2iv", typeof(GL.Delegates.WindowPos2iv_));
            GL.WindowPos2s = (GL.Delegates.WindowPos2s)GetAddress("glWindowPos2s", typeof(GL.Delegates.WindowPos2s));
            GL.WindowPos2sv_ = (GL.Delegates.WindowPos2sv_)GetAddress("glWindowPos2sv", typeof(GL.Delegates.WindowPos2sv_));
            GL.WindowPos3d = (GL.Delegates.WindowPos3d)GetAddress("glWindowPos3d", typeof(GL.Delegates.WindowPos3d));
            GL.WindowPos3dv_ = (GL.Delegates.WindowPos3dv_)GetAddress("glWindowPos3dv", typeof(GL.Delegates.WindowPos3dv_));
            GL.WindowPos3f = (GL.Delegates.WindowPos3f)GetAddress("glWindowPos3f", typeof(GL.Delegates.WindowPos3f));
            GL.WindowPos3fv_ = (GL.Delegates.WindowPos3fv_)GetAddress("glWindowPos3fv", typeof(GL.Delegates.WindowPos3fv_));
            GL.WindowPos3i = (GL.Delegates.WindowPos3i)GetAddress("glWindowPos3i", typeof(GL.Delegates.WindowPos3i));
            GL.WindowPos3iv_ = (GL.Delegates.WindowPos3iv_)GetAddress("glWindowPos3iv", typeof(GL.Delegates.WindowPos3iv_));
            GL.WindowPos3s = (GL.Delegates.WindowPos3s)GetAddress("glWindowPos3s", typeof(GL.Delegates.WindowPos3s));
            GL.WindowPos3sv_ = (GL.Delegates.WindowPos3sv_)GetAddress("glWindowPos3sv", typeof(GL.Delegates.WindowPos3sv_));
            GL.GenQueries_ = (GL.Delegates.GenQueries_)GetAddress("glGenQueries", typeof(GL.Delegates.GenQueries_));
            GL.DeleteQueries_ = (GL.Delegates.DeleteQueries_)GetAddress("glDeleteQueries", typeof(GL.Delegates.DeleteQueries_));
            GL.IsQuery = (GL.Delegates.IsQuery)GetAddress("glIsQuery", typeof(GL.Delegates.IsQuery));
            GL.BeginQuery = (GL.Delegates.BeginQuery)GetAddress("glBeginQuery", typeof(GL.Delegates.BeginQuery));
            GL.EndQuery = (GL.Delegates.EndQuery)GetAddress("glEndQuery", typeof(GL.Delegates.EndQuery));
            GL.GetQueryiv_ = (GL.Delegates.GetQueryiv_)GetAddress("glGetQueryiv", typeof(GL.Delegates.GetQueryiv_));
            GL.GetQueryObjectiv_ = (GL.Delegates.GetQueryObjectiv_)GetAddress("glGetQueryObjectiv", typeof(GL.Delegates.GetQueryObjectiv_));
            GL.GetQueryObjectuiv_ = (GL.Delegates.GetQueryObjectuiv_)GetAddress("glGetQueryObjectuiv", typeof(GL.Delegates.GetQueryObjectuiv_));
            GL.BindBuffer = (GL.Delegates.BindBuffer)GetAddress("glBindBuffer", typeof(GL.Delegates.BindBuffer));
            GL.DeleteBuffers_ = (GL.Delegates.DeleteBuffers_)GetAddress("glDeleteBuffers", typeof(GL.Delegates.DeleteBuffers_));
            GL.GenBuffers_ = (GL.Delegates.GenBuffers_)GetAddress("glGenBuffers", typeof(GL.Delegates.GenBuffers_));
            GL.IsBuffer = (GL.Delegates.IsBuffer)GetAddress("glIsBuffer", typeof(GL.Delegates.IsBuffer));
            GL.BufferData_ = (GL.Delegates.BufferData_)GetAddress("glBufferData", typeof(GL.Delegates.BufferData_));
            GL.BufferSubData_ = (GL.Delegates.BufferSubData_)GetAddress("glBufferSubData", typeof(GL.Delegates.BufferSubData_));
            GL.GetBufferSubData_ = (GL.Delegates.GetBufferSubData_)GetAddress("glGetBufferSubData", typeof(GL.Delegates.GetBufferSubData_));
            GL.MapBuffer = (GL.Delegates.MapBuffer)GetAddress("glMapBuffer", typeof(GL.Delegates.MapBuffer));
            GL.UnmapBuffer = (GL.Delegates.UnmapBuffer)GetAddress("glUnmapBuffer", typeof(GL.Delegates.UnmapBuffer));
            GL.GetBufferParameteriv_ = (GL.Delegates.GetBufferParameteriv_)GetAddress("glGetBufferParameteriv", typeof(GL.Delegates.GetBufferParameteriv_));
            GL.GetBufferPointerv_ = (GL.Delegates.GetBufferPointerv_)GetAddress("glGetBufferPointerv", typeof(GL.Delegates.GetBufferPointerv_));
            GL.BlendEquationSeparate = (GL.Delegates.BlendEquationSeparate)GetAddress("glBlendEquationSeparate", typeof(GL.Delegates.BlendEquationSeparate));
            GL.DrawBuffers_ = (GL.Delegates.DrawBuffers_)GetAddress("glDrawBuffers", typeof(GL.Delegates.DrawBuffers_));
            GL.StencilOpSeparate = (GL.Delegates.StencilOpSeparate)GetAddress("glStencilOpSeparate", typeof(GL.Delegates.StencilOpSeparate));
            GL.StencilFuncSeparate = (GL.Delegates.StencilFuncSeparate)GetAddress("glStencilFuncSeparate", typeof(GL.Delegates.StencilFuncSeparate));
            GL.StencilMaskSeparate = (GL.Delegates.StencilMaskSeparate)GetAddress("glStencilMaskSeparate", typeof(GL.Delegates.StencilMaskSeparate));
            GL.AttachShader = (GL.Delegates.AttachShader)GetAddress("glAttachShader", typeof(GL.Delegates.AttachShader));
            GL.BindAttribLocation = (GL.Delegates.BindAttribLocation)GetAddress("glBindAttribLocation", typeof(GL.Delegates.BindAttribLocation));
            GL.CompileShader = (GL.Delegates.CompileShader)GetAddress("glCompileShader", typeof(GL.Delegates.CompileShader));
            GL.CreateProgram = (GL.Delegates.CreateProgram)GetAddress("glCreateProgram", typeof(GL.Delegates.CreateProgram));
            GL.CreateShader = (GL.Delegates.CreateShader)GetAddress("glCreateShader", typeof(GL.Delegates.CreateShader));
            GL.DeleteProgram = (GL.Delegates.DeleteProgram)GetAddress("glDeleteProgram", typeof(GL.Delegates.DeleteProgram));
            GL.DeleteShader = (GL.Delegates.DeleteShader)GetAddress("glDeleteShader", typeof(GL.Delegates.DeleteShader));
            GL.DetachShader = (GL.Delegates.DetachShader)GetAddress("glDetachShader", typeof(GL.Delegates.DetachShader));
            GL.DisableVertexAttribArray = (GL.Delegates.DisableVertexAttribArray)GetAddress("glDisableVertexAttribArray", typeof(GL.Delegates.DisableVertexAttribArray));
            GL.EnableVertexAttribArray = (GL.Delegates.EnableVertexAttribArray)GetAddress("glEnableVertexAttribArray", typeof(GL.Delegates.EnableVertexAttribArray));
            GL.GetActiveAttrib_ = (GL.Delegates.GetActiveAttrib_)GetAddress("glGetActiveAttrib", typeof(GL.Delegates.GetActiveAttrib_));
            GL.GetActiveUniform_ = (GL.Delegates.GetActiveUniform_)GetAddress("glGetActiveUniform", typeof(GL.Delegates.GetActiveUniform_));
            GL.GetAttachedShaders_ = (GL.Delegates.GetAttachedShaders_)GetAddress("glGetAttachedShaders", typeof(GL.Delegates.GetAttachedShaders_));
            GL.GetAttribLocation = (GL.Delegates.GetAttribLocation)GetAddress("glGetAttribLocation", typeof(GL.Delegates.GetAttribLocation));
            GL.GetProgramiv_ = (GL.Delegates.GetProgramiv_)GetAddress("glGetProgramiv", typeof(GL.Delegates.GetProgramiv_));
            GL.GetProgramInfoLog_ = (GL.Delegates.GetProgramInfoLog_)GetAddress("glGetProgramInfoLog", typeof(GL.Delegates.GetProgramInfoLog_));
            GL.GetShaderiv_ = (GL.Delegates.GetShaderiv_)GetAddress("glGetShaderiv", typeof(GL.Delegates.GetShaderiv_));
            GL.GetShaderInfoLog_ = (GL.Delegates.GetShaderInfoLog_)GetAddress("glGetShaderInfoLog", typeof(GL.Delegates.GetShaderInfoLog_));
            GL.GetShaderSource_ = (GL.Delegates.GetShaderSource_)GetAddress("glGetShaderSource", typeof(GL.Delegates.GetShaderSource_));
            GL.GetUniformLocation = (GL.Delegates.GetUniformLocation)GetAddress("glGetUniformLocation", typeof(GL.Delegates.GetUniformLocation));
            GL.GetUniformfv_ = (GL.Delegates.GetUniformfv_)GetAddress("glGetUniformfv", typeof(GL.Delegates.GetUniformfv_));
            GL.GetUniformiv_ = (GL.Delegates.GetUniformiv_)GetAddress("glGetUniformiv", typeof(GL.Delegates.GetUniformiv_));
            GL.GetVertexAttribdv_ = (GL.Delegates.GetVertexAttribdv_)GetAddress("glGetVertexAttribdv", typeof(GL.Delegates.GetVertexAttribdv_));
            GL.GetVertexAttribfv_ = (GL.Delegates.GetVertexAttribfv_)GetAddress("glGetVertexAttribfv", typeof(GL.Delegates.GetVertexAttribfv_));
            GL.GetVertexAttribiv_ = (GL.Delegates.GetVertexAttribiv_)GetAddress("glGetVertexAttribiv", typeof(GL.Delegates.GetVertexAttribiv_));
            GL.GetVertexAttribPointerv_ = (GL.Delegates.GetVertexAttribPointerv_)GetAddress("glGetVertexAttribPointerv", typeof(GL.Delegates.GetVertexAttribPointerv_));
            GL.IsProgram = (GL.Delegates.IsProgram)GetAddress("glIsProgram", typeof(GL.Delegates.IsProgram));
            GL.IsShader = (GL.Delegates.IsShader)GetAddress("glIsShader", typeof(GL.Delegates.IsShader));
            GL.LinkProgram = (GL.Delegates.LinkProgram)GetAddress("glLinkProgram", typeof(GL.Delegates.LinkProgram));
            GL.ShaderSource_ = (GL.Delegates.ShaderSource_)GetAddress("glShaderSource", typeof(GL.Delegates.ShaderSource_));
            GL.UseProgram = (GL.Delegates.UseProgram)GetAddress("glUseProgram", typeof(GL.Delegates.UseProgram));
            GL.Uniform1f = (GL.Delegates.Uniform1f)GetAddress("glUniform1f", typeof(GL.Delegates.Uniform1f));
            GL.Uniform2f = (GL.Delegates.Uniform2f)GetAddress("glUniform2f", typeof(GL.Delegates.Uniform2f));
            GL.Uniform3f = (GL.Delegates.Uniform3f)GetAddress("glUniform3f", typeof(GL.Delegates.Uniform3f));
            GL.Uniform4f = (GL.Delegates.Uniform4f)GetAddress("glUniform4f", typeof(GL.Delegates.Uniform4f));
            GL.Uniform1i = (GL.Delegates.Uniform1i)GetAddress("glUniform1i", typeof(GL.Delegates.Uniform1i));
            GL.Uniform2i = (GL.Delegates.Uniform2i)GetAddress("glUniform2i", typeof(GL.Delegates.Uniform2i));
            GL.Uniform3i = (GL.Delegates.Uniform3i)GetAddress("glUniform3i", typeof(GL.Delegates.Uniform3i));
            GL.Uniform4i = (GL.Delegates.Uniform4i)GetAddress("glUniform4i", typeof(GL.Delegates.Uniform4i));
            GL.Uniform1fv_ = (GL.Delegates.Uniform1fv_)GetAddress("glUniform1fv", typeof(GL.Delegates.Uniform1fv_));
            GL.Uniform2fv_ = (GL.Delegates.Uniform2fv_)GetAddress("glUniform2fv", typeof(GL.Delegates.Uniform2fv_));
            GL.Uniform3fv_ = (GL.Delegates.Uniform3fv_)GetAddress("glUniform3fv", typeof(GL.Delegates.Uniform3fv_));
            GL.Uniform4fv_ = (GL.Delegates.Uniform4fv_)GetAddress("glUniform4fv", typeof(GL.Delegates.Uniform4fv_));
            GL.Uniform1iv_ = (GL.Delegates.Uniform1iv_)GetAddress("glUniform1iv", typeof(GL.Delegates.Uniform1iv_));
            GL.Uniform2iv_ = (GL.Delegates.Uniform2iv_)GetAddress("glUniform2iv", typeof(GL.Delegates.Uniform2iv_));
            GL.Uniform3iv_ = (GL.Delegates.Uniform3iv_)GetAddress("glUniform3iv", typeof(GL.Delegates.Uniform3iv_));
            GL.Uniform4iv_ = (GL.Delegates.Uniform4iv_)GetAddress("glUniform4iv", typeof(GL.Delegates.Uniform4iv_));
            GL.UniformMatrix2fv_ = (GL.Delegates.UniformMatrix2fv_)GetAddress("glUniformMatrix2fv", typeof(GL.Delegates.UniformMatrix2fv_));
            GL.UniformMatrix3fv_ = (GL.Delegates.UniformMatrix3fv_)GetAddress("glUniformMatrix3fv", typeof(GL.Delegates.UniformMatrix3fv_));
            GL.UniformMatrix4fv_ = (GL.Delegates.UniformMatrix4fv_)GetAddress("glUniformMatrix4fv", typeof(GL.Delegates.UniformMatrix4fv_));
            GL.ValidateProgram = (GL.Delegates.ValidateProgram)GetAddress("glValidateProgram", typeof(GL.Delegates.ValidateProgram));
            GL.VertexAttrib1d = (GL.Delegates.VertexAttrib1d)GetAddress("glVertexAttrib1d", typeof(GL.Delegates.VertexAttrib1d));
            GL.VertexAttrib1dv_ = (GL.Delegates.VertexAttrib1dv_)GetAddress("glVertexAttrib1dv", typeof(GL.Delegates.VertexAttrib1dv_));
            GL.VertexAttrib1f = (GL.Delegates.VertexAttrib1f)GetAddress("glVertexAttrib1f", typeof(GL.Delegates.VertexAttrib1f));
            GL.VertexAttrib1fv_ = (GL.Delegates.VertexAttrib1fv_)GetAddress("glVertexAttrib1fv", typeof(GL.Delegates.VertexAttrib1fv_));
            GL.VertexAttrib1s = (GL.Delegates.VertexAttrib1s)GetAddress("glVertexAttrib1s", typeof(GL.Delegates.VertexAttrib1s));
            GL.VertexAttrib1sv_ = (GL.Delegates.VertexAttrib1sv_)GetAddress("glVertexAttrib1sv", typeof(GL.Delegates.VertexAttrib1sv_));
            GL.VertexAttrib2d = (GL.Delegates.VertexAttrib2d)GetAddress("glVertexAttrib2d", typeof(GL.Delegates.VertexAttrib2d));
            GL.VertexAttrib2dv_ = (GL.Delegates.VertexAttrib2dv_)GetAddress("glVertexAttrib2dv", typeof(GL.Delegates.VertexAttrib2dv_));
            GL.VertexAttrib2f = (GL.Delegates.VertexAttrib2f)GetAddress("glVertexAttrib2f", typeof(GL.Delegates.VertexAttrib2f));
            GL.VertexAttrib2fv_ = (GL.Delegates.VertexAttrib2fv_)GetAddress("glVertexAttrib2fv", typeof(GL.Delegates.VertexAttrib2fv_));
            GL.VertexAttrib2s = (GL.Delegates.VertexAttrib2s)GetAddress("glVertexAttrib2s", typeof(GL.Delegates.VertexAttrib2s));
            GL.VertexAttrib2sv_ = (GL.Delegates.VertexAttrib2sv_)GetAddress("glVertexAttrib2sv", typeof(GL.Delegates.VertexAttrib2sv_));
            GL.VertexAttrib3d = (GL.Delegates.VertexAttrib3d)GetAddress("glVertexAttrib3d", typeof(GL.Delegates.VertexAttrib3d));
            GL.VertexAttrib3dv_ = (GL.Delegates.VertexAttrib3dv_)GetAddress("glVertexAttrib3dv", typeof(GL.Delegates.VertexAttrib3dv_));
            GL.VertexAttrib3f = (GL.Delegates.VertexAttrib3f)GetAddress("glVertexAttrib3f", typeof(GL.Delegates.VertexAttrib3f));
            GL.VertexAttrib3fv_ = (GL.Delegates.VertexAttrib3fv_)GetAddress("glVertexAttrib3fv", typeof(GL.Delegates.VertexAttrib3fv_));
            GL.VertexAttrib3s = (GL.Delegates.VertexAttrib3s)GetAddress("glVertexAttrib3s", typeof(GL.Delegates.VertexAttrib3s));
            GL.VertexAttrib3sv_ = (GL.Delegates.VertexAttrib3sv_)GetAddress("glVertexAttrib3sv", typeof(GL.Delegates.VertexAttrib3sv_));
            GL.VertexAttrib4Nbv_ = (GL.Delegates.VertexAttrib4Nbv_)GetAddress("glVertexAttrib4Nbv", typeof(GL.Delegates.VertexAttrib4Nbv_));
            GL.VertexAttrib4Niv_ = (GL.Delegates.VertexAttrib4Niv_)GetAddress("glVertexAttrib4Niv", typeof(GL.Delegates.VertexAttrib4Niv_));
            GL.VertexAttrib4Nsv_ = (GL.Delegates.VertexAttrib4Nsv_)GetAddress("glVertexAttrib4Nsv", typeof(GL.Delegates.VertexAttrib4Nsv_));
            GL.VertexAttrib4Nub = (GL.Delegates.VertexAttrib4Nub)GetAddress("glVertexAttrib4Nub", typeof(GL.Delegates.VertexAttrib4Nub));
            GL.VertexAttrib4Nubv_ = (GL.Delegates.VertexAttrib4Nubv_)GetAddress("glVertexAttrib4Nubv", typeof(GL.Delegates.VertexAttrib4Nubv_));
            GL.VertexAttrib4Nuiv_ = (GL.Delegates.VertexAttrib4Nuiv_)GetAddress("glVertexAttrib4Nuiv", typeof(GL.Delegates.VertexAttrib4Nuiv_));
            GL.VertexAttrib4Nusv_ = (GL.Delegates.VertexAttrib4Nusv_)GetAddress("glVertexAttrib4Nusv", typeof(GL.Delegates.VertexAttrib4Nusv_));
            GL.VertexAttrib4bv_ = (GL.Delegates.VertexAttrib4bv_)GetAddress("glVertexAttrib4bv", typeof(GL.Delegates.VertexAttrib4bv_));
            GL.VertexAttrib4d = (GL.Delegates.VertexAttrib4d)GetAddress("glVertexAttrib4d", typeof(GL.Delegates.VertexAttrib4d));
            GL.VertexAttrib4dv_ = (GL.Delegates.VertexAttrib4dv_)GetAddress("glVertexAttrib4dv", typeof(GL.Delegates.VertexAttrib4dv_));
            GL.VertexAttrib4f = (GL.Delegates.VertexAttrib4f)GetAddress("glVertexAttrib4f", typeof(GL.Delegates.VertexAttrib4f));
            GL.VertexAttrib4fv_ = (GL.Delegates.VertexAttrib4fv_)GetAddress("glVertexAttrib4fv", typeof(GL.Delegates.VertexAttrib4fv_));
            GL.VertexAttrib4iv_ = (GL.Delegates.VertexAttrib4iv_)GetAddress("glVertexAttrib4iv", typeof(GL.Delegates.VertexAttrib4iv_));
            GL.VertexAttrib4s = (GL.Delegates.VertexAttrib4s)GetAddress("glVertexAttrib4s", typeof(GL.Delegates.VertexAttrib4s));
            GL.VertexAttrib4sv_ = (GL.Delegates.VertexAttrib4sv_)GetAddress("glVertexAttrib4sv", typeof(GL.Delegates.VertexAttrib4sv_));
            GL.VertexAttrib4ubv_ = (GL.Delegates.VertexAttrib4ubv_)GetAddress("glVertexAttrib4ubv", typeof(GL.Delegates.VertexAttrib4ubv_));
            GL.VertexAttrib4uiv_ = (GL.Delegates.VertexAttrib4uiv_)GetAddress("glVertexAttrib4uiv", typeof(GL.Delegates.VertexAttrib4uiv_));
            GL.VertexAttrib4usv_ = (GL.Delegates.VertexAttrib4usv_)GetAddress("glVertexAttrib4usv", typeof(GL.Delegates.VertexAttrib4usv_));
            GL.VertexAttribPointer_ = (GL.Delegates.VertexAttribPointer_)GetAddress("glVertexAttribPointer", typeof(GL.Delegates.VertexAttribPointer_));
            GL.UniformMatrix2x3fv_ = (GL.Delegates.UniformMatrix2x3fv_)GetAddress("glUniformMatrix2x3fv", typeof(GL.Delegates.UniformMatrix2x3fv_));
            GL.UniformMatrix3x2fv_ = (GL.Delegates.UniformMatrix3x2fv_)GetAddress("glUniformMatrix3x2fv", typeof(GL.Delegates.UniformMatrix3x2fv_));
            GL.UniformMatrix2x4fv_ = (GL.Delegates.UniformMatrix2x4fv_)GetAddress("glUniformMatrix2x4fv", typeof(GL.Delegates.UniformMatrix2x4fv_));
            GL.UniformMatrix4x2fv_ = (GL.Delegates.UniformMatrix4x2fv_)GetAddress("glUniformMatrix4x2fv", typeof(GL.Delegates.UniformMatrix4x2fv_));
            GL.UniformMatrix3x4fv_ = (GL.Delegates.UniformMatrix3x4fv_)GetAddress("glUniformMatrix3x4fv", typeof(GL.Delegates.UniformMatrix3x4fv_));
            GL.UniformMatrix4x3fv_ = (GL.Delegates.UniformMatrix4x3fv_)GetAddress("glUniformMatrix4x3fv", typeof(GL.Delegates.UniformMatrix4x3fv_));
            GL.ActiveTextureARB = (GL.Delegates.ActiveTextureARB)GetAddress("glActiveTextureARB", typeof(GL.Delegates.ActiveTextureARB));
            GL.ClientActiveTextureARB = (GL.Delegates.ClientActiveTextureARB)GetAddress("glClientActiveTextureARB", typeof(GL.Delegates.ClientActiveTextureARB));
            GL.MultiTexCoord1dARB = (GL.Delegates.MultiTexCoord1dARB)GetAddress("glMultiTexCoord1dARB", typeof(GL.Delegates.MultiTexCoord1dARB));
            GL.MultiTexCoord1dvARB_ = (GL.Delegates.MultiTexCoord1dvARB_)GetAddress("glMultiTexCoord1dvARB", typeof(GL.Delegates.MultiTexCoord1dvARB_));
            GL.MultiTexCoord1fARB = (GL.Delegates.MultiTexCoord1fARB)GetAddress("glMultiTexCoord1fARB", typeof(GL.Delegates.MultiTexCoord1fARB));
            GL.MultiTexCoord1fvARB_ = (GL.Delegates.MultiTexCoord1fvARB_)GetAddress("glMultiTexCoord1fvARB", typeof(GL.Delegates.MultiTexCoord1fvARB_));
            GL.MultiTexCoord1iARB = (GL.Delegates.MultiTexCoord1iARB)GetAddress("glMultiTexCoord1iARB", typeof(GL.Delegates.MultiTexCoord1iARB));
            GL.MultiTexCoord1ivARB_ = (GL.Delegates.MultiTexCoord1ivARB_)GetAddress("glMultiTexCoord1ivARB", typeof(GL.Delegates.MultiTexCoord1ivARB_));
            GL.MultiTexCoord1sARB = (GL.Delegates.MultiTexCoord1sARB)GetAddress("glMultiTexCoord1sARB", typeof(GL.Delegates.MultiTexCoord1sARB));
            GL.MultiTexCoord1svARB_ = (GL.Delegates.MultiTexCoord1svARB_)GetAddress("glMultiTexCoord1svARB", typeof(GL.Delegates.MultiTexCoord1svARB_));
            GL.MultiTexCoord2dARB = (GL.Delegates.MultiTexCoord2dARB)GetAddress("glMultiTexCoord2dARB", typeof(GL.Delegates.MultiTexCoord2dARB));
            GL.MultiTexCoord2dvARB_ = (GL.Delegates.MultiTexCoord2dvARB_)GetAddress("glMultiTexCoord2dvARB", typeof(GL.Delegates.MultiTexCoord2dvARB_));
            GL.MultiTexCoord2fARB = (GL.Delegates.MultiTexCoord2fARB)GetAddress("glMultiTexCoord2fARB", typeof(GL.Delegates.MultiTexCoord2fARB));
            GL.MultiTexCoord2fvARB_ = (GL.Delegates.MultiTexCoord2fvARB_)GetAddress("glMultiTexCoord2fvARB", typeof(GL.Delegates.MultiTexCoord2fvARB_));
            GL.MultiTexCoord2iARB = (GL.Delegates.MultiTexCoord2iARB)GetAddress("glMultiTexCoord2iARB", typeof(GL.Delegates.MultiTexCoord2iARB));
            GL.MultiTexCoord2ivARB_ = (GL.Delegates.MultiTexCoord2ivARB_)GetAddress("glMultiTexCoord2ivARB", typeof(GL.Delegates.MultiTexCoord2ivARB_));
            GL.MultiTexCoord2sARB = (GL.Delegates.MultiTexCoord2sARB)GetAddress("glMultiTexCoord2sARB", typeof(GL.Delegates.MultiTexCoord2sARB));
            GL.MultiTexCoord2svARB_ = (GL.Delegates.MultiTexCoord2svARB_)GetAddress("glMultiTexCoord2svARB", typeof(GL.Delegates.MultiTexCoord2svARB_));
            GL.MultiTexCoord3dARB = (GL.Delegates.MultiTexCoord3dARB)GetAddress("glMultiTexCoord3dARB", typeof(GL.Delegates.MultiTexCoord3dARB));
            GL.MultiTexCoord3dvARB_ = (GL.Delegates.MultiTexCoord3dvARB_)GetAddress("glMultiTexCoord3dvARB", typeof(GL.Delegates.MultiTexCoord3dvARB_));
            GL.MultiTexCoord3fARB = (GL.Delegates.MultiTexCoord3fARB)GetAddress("glMultiTexCoord3fARB", typeof(GL.Delegates.MultiTexCoord3fARB));
            GL.MultiTexCoord3fvARB_ = (GL.Delegates.MultiTexCoord3fvARB_)GetAddress("glMultiTexCoord3fvARB", typeof(GL.Delegates.MultiTexCoord3fvARB_));
            GL.MultiTexCoord3iARB = (GL.Delegates.MultiTexCoord3iARB)GetAddress("glMultiTexCoord3iARB", typeof(GL.Delegates.MultiTexCoord3iARB));
            GL.MultiTexCoord3ivARB_ = (GL.Delegates.MultiTexCoord3ivARB_)GetAddress("glMultiTexCoord3ivARB", typeof(GL.Delegates.MultiTexCoord3ivARB_));
            GL.MultiTexCoord3sARB = (GL.Delegates.MultiTexCoord3sARB)GetAddress("glMultiTexCoord3sARB", typeof(GL.Delegates.MultiTexCoord3sARB));
            GL.MultiTexCoord3svARB_ = (GL.Delegates.MultiTexCoord3svARB_)GetAddress("glMultiTexCoord3svARB", typeof(GL.Delegates.MultiTexCoord3svARB_));
            GL.MultiTexCoord4dARB = (GL.Delegates.MultiTexCoord4dARB)GetAddress("glMultiTexCoord4dARB", typeof(GL.Delegates.MultiTexCoord4dARB));
            GL.MultiTexCoord4dvARB_ = (GL.Delegates.MultiTexCoord4dvARB_)GetAddress("glMultiTexCoord4dvARB", typeof(GL.Delegates.MultiTexCoord4dvARB_));
            GL.MultiTexCoord4fARB = (GL.Delegates.MultiTexCoord4fARB)GetAddress("glMultiTexCoord4fARB", typeof(GL.Delegates.MultiTexCoord4fARB));
            GL.MultiTexCoord4fvARB_ = (GL.Delegates.MultiTexCoord4fvARB_)GetAddress("glMultiTexCoord4fvARB", typeof(GL.Delegates.MultiTexCoord4fvARB_));
            GL.MultiTexCoord4iARB = (GL.Delegates.MultiTexCoord4iARB)GetAddress("glMultiTexCoord4iARB", typeof(GL.Delegates.MultiTexCoord4iARB));
            GL.MultiTexCoord4ivARB_ = (GL.Delegates.MultiTexCoord4ivARB_)GetAddress("glMultiTexCoord4ivARB", typeof(GL.Delegates.MultiTexCoord4ivARB_));
            GL.MultiTexCoord4sARB = (GL.Delegates.MultiTexCoord4sARB)GetAddress("glMultiTexCoord4sARB", typeof(GL.Delegates.MultiTexCoord4sARB));
            GL.MultiTexCoord4svARB_ = (GL.Delegates.MultiTexCoord4svARB_)GetAddress("glMultiTexCoord4svARB", typeof(GL.Delegates.MultiTexCoord4svARB_));
            GL.LoadTransposeMatrixfARB_ = (GL.Delegates.LoadTransposeMatrixfARB_)GetAddress("glLoadTransposeMatrixfARB", typeof(GL.Delegates.LoadTransposeMatrixfARB_));
            GL.LoadTransposeMatrixdARB_ = (GL.Delegates.LoadTransposeMatrixdARB_)GetAddress("glLoadTransposeMatrixdARB", typeof(GL.Delegates.LoadTransposeMatrixdARB_));
            GL.MultTransposeMatrixfARB_ = (GL.Delegates.MultTransposeMatrixfARB_)GetAddress("glMultTransposeMatrixfARB", typeof(GL.Delegates.MultTransposeMatrixfARB_));
            GL.MultTransposeMatrixdARB_ = (GL.Delegates.MultTransposeMatrixdARB_)GetAddress("glMultTransposeMatrixdARB", typeof(GL.Delegates.MultTransposeMatrixdARB_));
            GL.SampleCoverageARB = (GL.Delegates.SampleCoverageARB)GetAddress("glSampleCoverageARB", typeof(GL.Delegates.SampleCoverageARB));
            GL.CompressedTexImage3DARB_ = (GL.Delegates.CompressedTexImage3DARB_)GetAddress("glCompressedTexImage3DARB", typeof(GL.Delegates.CompressedTexImage3DARB_));
            GL.CompressedTexImage2DARB_ = (GL.Delegates.CompressedTexImage2DARB_)GetAddress("glCompressedTexImage2DARB", typeof(GL.Delegates.CompressedTexImage2DARB_));
            GL.CompressedTexImage1DARB_ = (GL.Delegates.CompressedTexImage1DARB_)GetAddress("glCompressedTexImage1DARB", typeof(GL.Delegates.CompressedTexImage1DARB_));
            GL.CompressedTexSubImage3DARB_ = (GL.Delegates.CompressedTexSubImage3DARB_)GetAddress("glCompressedTexSubImage3DARB", typeof(GL.Delegates.CompressedTexSubImage3DARB_));
            GL.CompressedTexSubImage2DARB_ = (GL.Delegates.CompressedTexSubImage2DARB_)GetAddress("glCompressedTexSubImage2DARB", typeof(GL.Delegates.CompressedTexSubImage2DARB_));
            GL.CompressedTexSubImage1DARB_ = (GL.Delegates.CompressedTexSubImage1DARB_)GetAddress("glCompressedTexSubImage1DARB", typeof(GL.Delegates.CompressedTexSubImage1DARB_));
            GL.GetCompressedTexImageARB_ = (GL.Delegates.GetCompressedTexImageARB_)GetAddress("glGetCompressedTexImageARB", typeof(GL.Delegates.GetCompressedTexImageARB_));
            GL.PointParameterfARB = (GL.Delegates.PointParameterfARB)GetAddress("glPointParameterfARB", typeof(GL.Delegates.PointParameterfARB));
            GL.PointParameterfvARB_ = (GL.Delegates.PointParameterfvARB_)GetAddress("glPointParameterfvARB", typeof(GL.Delegates.PointParameterfvARB_));
            GL.WeightbvARB_ = (GL.Delegates.WeightbvARB_)GetAddress("glWeightbvARB", typeof(GL.Delegates.WeightbvARB_));
            GL.WeightsvARB_ = (GL.Delegates.WeightsvARB_)GetAddress("glWeightsvARB", typeof(GL.Delegates.WeightsvARB_));
            GL.WeightivARB_ = (GL.Delegates.WeightivARB_)GetAddress("glWeightivARB", typeof(GL.Delegates.WeightivARB_));
            GL.WeightfvARB_ = (GL.Delegates.WeightfvARB_)GetAddress("glWeightfvARB", typeof(GL.Delegates.WeightfvARB_));
            GL.WeightdvARB_ = (GL.Delegates.WeightdvARB_)GetAddress("glWeightdvARB", typeof(GL.Delegates.WeightdvARB_));
            GL.WeightubvARB_ = (GL.Delegates.WeightubvARB_)GetAddress("glWeightubvARB", typeof(GL.Delegates.WeightubvARB_));
            GL.WeightusvARB_ = (GL.Delegates.WeightusvARB_)GetAddress("glWeightusvARB", typeof(GL.Delegates.WeightusvARB_));
            GL.WeightuivARB_ = (GL.Delegates.WeightuivARB_)GetAddress("glWeightuivARB", typeof(GL.Delegates.WeightuivARB_));
            GL.WeightPointerARB_ = (GL.Delegates.WeightPointerARB_)GetAddress("glWeightPointerARB", typeof(GL.Delegates.WeightPointerARB_));
            GL.VertexBlendARB = (GL.Delegates.VertexBlendARB)GetAddress("glVertexBlendARB", typeof(GL.Delegates.VertexBlendARB));
            GL.CurrentPaletteMatrixARB = (GL.Delegates.CurrentPaletteMatrixARB)GetAddress("glCurrentPaletteMatrixARB", typeof(GL.Delegates.CurrentPaletteMatrixARB));
            GL.MatrixIndexubvARB_ = (GL.Delegates.MatrixIndexubvARB_)GetAddress("glMatrixIndexubvARB", typeof(GL.Delegates.MatrixIndexubvARB_));
            GL.MatrixIndexusvARB_ = (GL.Delegates.MatrixIndexusvARB_)GetAddress("glMatrixIndexusvARB", typeof(GL.Delegates.MatrixIndexusvARB_));
            GL.MatrixIndexuivARB_ = (GL.Delegates.MatrixIndexuivARB_)GetAddress("glMatrixIndexuivARB", typeof(GL.Delegates.MatrixIndexuivARB_));
            GL.MatrixIndexPointerARB_ = (GL.Delegates.MatrixIndexPointerARB_)GetAddress("glMatrixIndexPointerARB", typeof(GL.Delegates.MatrixIndexPointerARB_));
            GL.WindowPos2dARB = (GL.Delegates.WindowPos2dARB)GetAddress("glWindowPos2dARB", typeof(GL.Delegates.WindowPos2dARB));
            GL.WindowPos2dvARB_ = (GL.Delegates.WindowPos2dvARB_)GetAddress("glWindowPos2dvARB", typeof(GL.Delegates.WindowPos2dvARB_));
            GL.WindowPos2fARB = (GL.Delegates.WindowPos2fARB)GetAddress("glWindowPos2fARB", typeof(GL.Delegates.WindowPos2fARB));
            GL.WindowPos2fvARB_ = (GL.Delegates.WindowPos2fvARB_)GetAddress("glWindowPos2fvARB", typeof(GL.Delegates.WindowPos2fvARB_));
            GL.WindowPos2iARB = (GL.Delegates.WindowPos2iARB)GetAddress("glWindowPos2iARB", typeof(GL.Delegates.WindowPos2iARB));
            GL.WindowPos2ivARB_ = (GL.Delegates.WindowPos2ivARB_)GetAddress("glWindowPos2ivARB", typeof(GL.Delegates.WindowPos2ivARB_));
            GL.WindowPos2sARB = (GL.Delegates.WindowPos2sARB)GetAddress("glWindowPos2sARB", typeof(GL.Delegates.WindowPos2sARB));
            GL.WindowPos2svARB_ = (GL.Delegates.WindowPos2svARB_)GetAddress("glWindowPos2svARB", typeof(GL.Delegates.WindowPos2svARB_));
            GL.WindowPos3dARB = (GL.Delegates.WindowPos3dARB)GetAddress("glWindowPos3dARB", typeof(GL.Delegates.WindowPos3dARB));
            GL.WindowPos3dvARB_ = (GL.Delegates.WindowPos3dvARB_)GetAddress("glWindowPos3dvARB", typeof(GL.Delegates.WindowPos3dvARB_));
            GL.WindowPos3fARB = (GL.Delegates.WindowPos3fARB)GetAddress("glWindowPos3fARB", typeof(GL.Delegates.WindowPos3fARB));
            GL.WindowPos3fvARB_ = (GL.Delegates.WindowPos3fvARB_)GetAddress("glWindowPos3fvARB", typeof(GL.Delegates.WindowPos3fvARB_));
            GL.WindowPos3iARB = (GL.Delegates.WindowPos3iARB)GetAddress("glWindowPos3iARB", typeof(GL.Delegates.WindowPos3iARB));
            GL.WindowPos3ivARB_ = (GL.Delegates.WindowPos3ivARB_)GetAddress("glWindowPos3ivARB", typeof(GL.Delegates.WindowPos3ivARB_));
            GL.WindowPos3sARB = (GL.Delegates.WindowPos3sARB)GetAddress("glWindowPos3sARB", typeof(GL.Delegates.WindowPos3sARB));
            GL.WindowPos3svARB_ = (GL.Delegates.WindowPos3svARB_)GetAddress("glWindowPos3svARB", typeof(GL.Delegates.WindowPos3svARB_));
            GL.VertexAttrib1dARB = (GL.Delegates.VertexAttrib1dARB)GetAddress("glVertexAttrib1dARB", typeof(GL.Delegates.VertexAttrib1dARB));
            GL.VertexAttrib1dvARB_ = (GL.Delegates.VertexAttrib1dvARB_)GetAddress("glVertexAttrib1dvARB", typeof(GL.Delegates.VertexAttrib1dvARB_));
            GL.VertexAttrib1fARB = (GL.Delegates.VertexAttrib1fARB)GetAddress("glVertexAttrib1fARB", typeof(GL.Delegates.VertexAttrib1fARB));
            GL.VertexAttrib1fvARB_ = (GL.Delegates.VertexAttrib1fvARB_)GetAddress("glVertexAttrib1fvARB", typeof(GL.Delegates.VertexAttrib1fvARB_));
            GL.VertexAttrib1sARB = (GL.Delegates.VertexAttrib1sARB)GetAddress("glVertexAttrib1sARB", typeof(GL.Delegates.VertexAttrib1sARB));
            GL.VertexAttrib1svARB_ = (GL.Delegates.VertexAttrib1svARB_)GetAddress("glVertexAttrib1svARB", typeof(GL.Delegates.VertexAttrib1svARB_));
            GL.VertexAttrib2dARB = (GL.Delegates.VertexAttrib2dARB)GetAddress("glVertexAttrib2dARB", typeof(GL.Delegates.VertexAttrib2dARB));
            GL.VertexAttrib2dvARB_ = (GL.Delegates.VertexAttrib2dvARB_)GetAddress("glVertexAttrib2dvARB", typeof(GL.Delegates.VertexAttrib2dvARB_));
            GL.VertexAttrib2fARB = (GL.Delegates.VertexAttrib2fARB)GetAddress("glVertexAttrib2fARB", typeof(GL.Delegates.VertexAttrib2fARB));
            GL.VertexAttrib2fvARB_ = (GL.Delegates.VertexAttrib2fvARB_)GetAddress("glVertexAttrib2fvARB", typeof(GL.Delegates.VertexAttrib2fvARB_));
            GL.VertexAttrib2sARB = (GL.Delegates.VertexAttrib2sARB)GetAddress("glVertexAttrib2sARB", typeof(GL.Delegates.VertexAttrib2sARB));
            GL.VertexAttrib2svARB_ = (GL.Delegates.VertexAttrib2svARB_)GetAddress("glVertexAttrib2svARB", typeof(GL.Delegates.VertexAttrib2svARB_));
            GL.VertexAttrib3dARB = (GL.Delegates.VertexAttrib3dARB)GetAddress("glVertexAttrib3dARB", typeof(GL.Delegates.VertexAttrib3dARB));
            GL.VertexAttrib3dvARB_ = (GL.Delegates.VertexAttrib3dvARB_)GetAddress("glVertexAttrib3dvARB", typeof(GL.Delegates.VertexAttrib3dvARB_));
            GL.VertexAttrib3fARB = (GL.Delegates.VertexAttrib3fARB)GetAddress("glVertexAttrib3fARB", typeof(GL.Delegates.VertexAttrib3fARB));
            GL.VertexAttrib3fvARB_ = (GL.Delegates.VertexAttrib3fvARB_)GetAddress("glVertexAttrib3fvARB", typeof(GL.Delegates.VertexAttrib3fvARB_));
            GL.VertexAttrib3sARB = (GL.Delegates.VertexAttrib3sARB)GetAddress("glVertexAttrib3sARB", typeof(GL.Delegates.VertexAttrib3sARB));
            GL.VertexAttrib3svARB_ = (GL.Delegates.VertexAttrib3svARB_)GetAddress("glVertexAttrib3svARB", typeof(GL.Delegates.VertexAttrib3svARB_));
            GL.VertexAttrib4NbvARB_ = (GL.Delegates.VertexAttrib4NbvARB_)GetAddress("glVertexAttrib4NbvARB", typeof(GL.Delegates.VertexAttrib4NbvARB_));
            GL.VertexAttrib4NivARB_ = (GL.Delegates.VertexAttrib4NivARB_)GetAddress("glVertexAttrib4NivARB", typeof(GL.Delegates.VertexAttrib4NivARB_));
            GL.VertexAttrib4NsvARB_ = (GL.Delegates.VertexAttrib4NsvARB_)GetAddress("glVertexAttrib4NsvARB", typeof(GL.Delegates.VertexAttrib4NsvARB_));
            GL.VertexAttrib4NubARB = (GL.Delegates.VertexAttrib4NubARB)GetAddress("glVertexAttrib4NubARB", typeof(GL.Delegates.VertexAttrib4NubARB));
            GL.VertexAttrib4NubvARB_ = (GL.Delegates.VertexAttrib4NubvARB_)GetAddress("glVertexAttrib4NubvARB", typeof(GL.Delegates.VertexAttrib4NubvARB_));
            GL.VertexAttrib4NuivARB_ = (GL.Delegates.VertexAttrib4NuivARB_)GetAddress("glVertexAttrib4NuivARB", typeof(GL.Delegates.VertexAttrib4NuivARB_));
            GL.VertexAttrib4NusvARB_ = (GL.Delegates.VertexAttrib4NusvARB_)GetAddress("glVertexAttrib4NusvARB", typeof(GL.Delegates.VertexAttrib4NusvARB_));
            GL.VertexAttrib4bvARB_ = (GL.Delegates.VertexAttrib4bvARB_)GetAddress("glVertexAttrib4bvARB", typeof(GL.Delegates.VertexAttrib4bvARB_));
            GL.VertexAttrib4dARB = (GL.Delegates.VertexAttrib4dARB)GetAddress("glVertexAttrib4dARB", typeof(GL.Delegates.VertexAttrib4dARB));
            GL.VertexAttrib4dvARB_ = (GL.Delegates.VertexAttrib4dvARB_)GetAddress("glVertexAttrib4dvARB", typeof(GL.Delegates.VertexAttrib4dvARB_));
            GL.VertexAttrib4fARB = (GL.Delegates.VertexAttrib4fARB)GetAddress("glVertexAttrib4fARB", typeof(GL.Delegates.VertexAttrib4fARB));
            GL.VertexAttrib4fvARB_ = (GL.Delegates.VertexAttrib4fvARB_)GetAddress("glVertexAttrib4fvARB", typeof(GL.Delegates.VertexAttrib4fvARB_));
            GL.VertexAttrib4ivARB_ = (GL.Delegates.VertexAttrib4ivARB_)GetAddress("glVertexAttrib4ivARB", typeof(GL.Delegates.VertexAttrib4ivARB_));
            GL.VertexAttrib4sARB = (GL.Delegates.VertexAttrib4sARB)GetAddress("glVertexAttrib4sARB", typeof(GL.Delegates.VertexAttrib4sARB));
            GL.VertexAttrib4svARB_ = (GL.Delegates.VertexAttrib4svARB_)GetAddress("glVertexAttrib4svARB", typeof(GL.Delegates.VertexAttrib4svARB_));
            GL.VertexAttrib4ubvARB_ = (GL.Delegates.VertexAttrib4ubvARB_)GetAddress("glVertexAttrib4ubvARB", typeof(GL.Delegates.VertexAttrib4ubvARB_));
            GL.VertexAttrib4uivARB_ = (GL.Delegates.VertexAttrib4uivARB_)GetAddress("glVertexAttrib4uivARB", typeof(GL.Delegates.VertexAttrib4uivARB_));
            GL.VertexAttrib4usvARB_ = (GL.Delegates.VertexAttrib4usvARB_)GetAddress("glVertexAttrib4usvARB", typeof(GL.Delegates.VertexAttrib4usvARB_));
            GL.VertexAttribPointerARB_ = (GL.Delegates.VertexAttribPointerARB_)GetAddress("glVertexAttribPointerARB", typeof(GL.Delegates.VertexAttribPointerARB_));
            GL.EnableVertexAttribArrayARB = (GL.Delegates.EnableVertexAttribArrayARB)GetAddress("glEnableVertexAttribArrayARB", typeof(GL.Delegates.EnableVertexAttribArrayARB));
            GL.DisableVertexAttribArrayARB = (GL.Delegates.DisableVertexAttribArrayARB)GetAddress("glDisableVertexAttribArrayARB", typeof(GL.Delegates.DisableVertexAttribArrayARB));
            GL.ProgramStringARB_ = (GL.Delegates.ProgramStringARB_)GetAddress("glProgramStringARB", typeof(GL.Delegates.ProgramStringARB_));
            GL.BindProgramARB = (GL.Delegates.BindProgramARB)GetAddress("glBindProgramARB", typeof(GL.Delegates.BindProgramARB));
            GL.DeleteProgramsARB_ = (GL.Delegates.DeleteProgramsARB_)GetAddress("glDeleteProgramsARB", typeof(GL.Delegates.DeleteProgramsARB_));
            GL.GenProgramsARB_ = (GL.Delegates.GenProgramsARB_)GetAddress("glGenProgramsARB", typeof(GL.Delegates.GenProgramsARB_));
            GL.ProgramEnvParameter4dARB = (GL.Delegates.ProgramEnvParameter4dARB)GetAddress("glProgramEnvParameter4dARB", typeof(GL.Delegates.ProgramEnvParameter4dARB));
            GL.ProgramEnvParameter4dvARB_ = (GL.Delegates.ProgramEnvParameter4dvARB_)GetAddress("glProgramEnvParameter4dvARB", typeof(GL.Delegates.ProgramEnvParameter4dvARB_));
            GL.ProgramEnvParameter4fARB = (GL.Delegates.ProgramEnvParameter4fARB)GetAddress("glProgramEnvParameter4fARB", typeof(GL.Delegates.ProgramEnvParameter4fARB));
            GL.ProgramEnvParameter4fvARB_ = (GL.Delegates.ProgramEnvParameter4fvARB_)GetAddress("glProgramEnvParameter4fvARB", typeof(GL.Delegates.ProgramEnvParameter4fvARB_));
            GL.ProgramLocalParameter4dARB = (GL.Delegates.ProgramLocalParameter4dARB)GetAddress("glProgramLocalParameter4dARB", typeof(GL.Delegates.ProgramLocalParameter4dARB));
            GL.ProgramLocalParameter4dvARB_ = (GL.Delegates.ProgramLocalParameter4dvARB_)GetAddress("glProgramLocalParameter4dvARB", typeof(GL.Delegates.ProgramLocalParameter4dvARB_));
            GL.ProgramLocalParameter4fARB = (GL.Delegates.ProgramLocalParameter4fARB)GetAddress("glProgramLocalParameter4fARB", typeof(GL.Delegates.ProgramLocalParameter4fARB));
            GL.ProgramLocalParameter4fvARB_ = (GL.Delegates.ProgramLocalParameter4fvARB_)GetAddress("glProgramLocalParameter4fvARB", typeof(GL.Delegates.ProgramLocalParameter4fvARB_));
            GL.GetProgramEnvParameterdvARB_ = (GL.Delegates.GetProgramEnvParameterdvARB_)GetAddress("glGetProgramEnvParameterdvARB", typeof(GL.Delegates.GetProgramEnvParameterdvARB_));
            GL.GetProgramEnvParameterfvARB_ = (GL.Delegates.GetProgramEnvParameterfvARB_)GetAddress("glGetProgramEnvParameterfvARB", typeof(GL.Delegates.GetProgramEnvParameterfvARB_));
            GL.GetProgramLocalParameterdvARB_ = (GL.Delegates.GetProgramLocalParameterdvARB_)GetAddress("glGetProgramLocalParameterdvARB", typeof(GL.Delegates.GetProgramLocalParameterdvARB_));
            GL.GetProgramLocalParameterfvARB_ = (GL.Delegates.GetProgramLocalParameterfvARB_)GetAddress("glGetProgramLocalParameterfvARB", typeof(GL.Delegates.GetProgramLocalParameterfvARB_));
            GL.GetProgramivARB_ = (GL.Delegates.GetProgramivARB_)GetAddress("glGetProgramivARB", typeof(GL.Delegates.GetProgramivARB_));
            GL.GetProgramStringARB_ = (GL.Delegates.GetProgramStringARB_)GetAddress("glGetProgramStringARB", typeof(GL.Delegates.GetProgramStringARB_));
            GL.GetVertexAttribdvARB_ = (GL.Delegates.GetVertexAttribdvARB_)GetAddress("glGetVertexAttribdvARB", typeof(GL.Delegates.GetVertexAttribdvARB_));
            GL.GetVertexAttribfvARB_ = (GL.Delegates.GetVertexAttribfvARB_)GetAddress("glGetVertexAttribfvARB", typeof(GL.Delegates.GetVertexAttribfvARB_));
            GL.GetVertexAttribivARB_ = (GL.Delegates.GetVertexAttribivARB_)GetAddress("glGetVertexAttribivARB", typeof(GL.Delegates.GetVertexAttribivARB_));
            GL.GetVertexAttribPointervARB_ = (GL.Delegates.GetVertexAttribPointervARB_)GetAddress("glGetVertexAttribPointervARB", typeof(GL.Delegates.GetVertexAttribPointervARB_));
            GL.IsProgramARB = (GL.Delegates.IsProgramARB)GetAddress("glIsProgramARB", typeof(GL.Delegates.IsProgramARB));
            GL.BindBufferARB = (GL.Delegates.BindBufferARB)GetAddress("glBindBufferARB", typeof(GL.Delegates.BindBufferARB));
            GL.DeleteBuffersARB_ = (GL.Delegates.DeleteBuffersARB_)GetAddress("glDeleteBuffersARB", typeof(GL.Delegates.DeleteBuffersARB_));
            GL.GenBuffersARB_ = (GL.Delegates.GenBuffersARB_)GetAddress("glGenBuffersARB", typeof(GL.Delegates.GenBuffersARB_));
            GL.IsBufferARB = (GL.Delegates.IsBufferARB)GetAddress("glIsBufferARB", typeof(GL.Delegates.IsBufferARB));
            GL.BufferDataARB_ = (GL.Delegates.BufferDataARB_)GetAddress("glBufferDataARB", typeof(GL.Delegates.BufferDataARB_));
            GL.BufferSubDataARB_ = (GL.Delegates.BufferSubDataARB_)GetAddress("glBufferSubDataARB", typeof(GL.Delegates.BufferSubDataARB_));
            GL.GetBufferSubDataARB_ = (GL.Delegates.GetBufferSubDataARB_)GetAddress("glGetBufferSubDataARB", typeof(GL.Delegates.GetBufferSubDataARB_));
            GL.MapBufferARB = (GL.Delegates.MapBufferARB)GetAddress("glMapBufferARB", typeof(GL.Delegates.MapBufferARB));
            GL.UnmapBufferARB = (GL.Delegates.UnmapBufferARB)GetAddress("glUnmapBufferARB", typeof(GL.Delegates.UnmapBufferARB));
            GL.GetBufferParameterivARB_ = (GL.Delegates.GetBufferParameterivARB_)GetAddress("glGetBufferParameterivARB", typeof(GL.Delegates.GetBufferParameterivARB_));
            GL.GetBufferPointervARB_ = (GL.Delegates.GetBufferPointervARB_)GetAddress("glGetBufferPointervARB", typeof(GL.Delegates.GetBufferPointervARB_));
            GL.GenQueriesARB_ = (GL.Delegates.GenQueriesARB_)GetAddress("glGenQueriesARB", typeof(GL.Delegates.GenQueriesARB_));
            GL.DeleteQueriesARB_ = (GL.Delegates.DeleteQueriesARB_)GetAddress("glDeleteQueriesARB", typeof(GL.Delegates.DeleteQueriesARB_));
            GL.IsQueryARB = (GL.Delegates.IsQueryARB)GetAddress("glIsQueryARB", typeof(GL.Delegates.IsQueryARB));
            GL.BeginQueryARB = (GL.Delegates.BeginQueryARB)GetAddress("glBeginQueryARB", typeof(GL.Delegates.BeginQueryARB));
            GL.EndQueryARB = (GL.Delegates.EndQueryARB)GetAddress("glEndQueryARB", typeof(GL.Delegates.EndQueryARB));
            GL.GetQueryivARB_ = (GL.Delegates.GetQueryivARB_)GetAddress("glGetQueryivARB", typeof(GL.Delegates.GetQueryivARB_));
            GL.GetQueryObjectivARB_ = (GL.Delegates.GetQueryObjectivARB_)GetAddress("glGetQueryObjectivARB", typeof(GL.Delegates.GetQueryObjectivARB_));
            GL.GetQueryObjectuivARB_ = (GL.Delegates.GetQueryObjectuivARB_)GetAddress("glGetQueryObjectuivARB", typeof(GL.Delegates.GetQueryObjectuivARB_));
            GL.DeleteObjectARB = (GL.Delegates.DeleteObjectARB)GetAddress("glDeleteObjectARB", typeof(GL.Delegates.DeleteObjectARB));
            GL.GetHandleARB = (GL.Delegates.GetHandleARB)GetAddress("glGetHandleARB", typeof(GL.Delegates.GetHandleARB));
            GL.DetachObjectARB = (GL.Delegates.DetachObjectARB)GetAddress("glDetachObjectARB", typeof(GL.Delegates.DetachObjectARB));
            GL.CreateShaderObjectARB = (GL.Delegates.CreateShaderObjectARB)GetAddress("glCreateShaderObjectARB", typeof(GL.Delegates.CreateShaderObjectARB));
            GL.ShaderSourceARB_ = (GL.Delegates.ShaderSourceARB_)GetAddress("glShaderSourceARB", typeof(GL.Delegates.ShaderSourceARB_));
            GL.CompileShaderARB = (GL.Delegates.CompileShaderARB)GetAddress("glCompileShaderARB", typeof(GL.Delegates.CompileShaderARB));
            GL.CreateProgramObjectARB = (GL.Delegates.CreateProgramObjectARB)GetAddress("glCreateProgramObjectARB", typeof(GL.Delegates.CreateProgramObjectARB));
            GL.AttachObjectARB = (GL.Delegates.AttachObjectARB)GetAddress("glAttachObjectARB", typeof(GL.Delegates.AttachObjectARB));
            GL.LinkProgramARB = (GL.Delegates.LinkProgramARB)GetAddress("glLinkProgramARB", typeof(GL.Delegates.LinkProgramARB));
            GL.UseProgramObjectARB = (GL.Delegates.UseProgramObjectARB)GetAddress("glUseProgramObjectARB", typeof(GL.Delegates.UseProgramObjectARB));
            GL.ValidateProgramARB = (GL.Delegates.ValidateProgramARB)GetAddress("glValidateProgramARB", typeof(GL.Delegates.ValidateProgramARB));
            GL.Uniform1fARB = (GL.Delegates.Uniform1fARB)GetAddress("glUniform1fARB", typeof(GL.Delegates.Uniform1fARB));
            GL.Uniform2fARB = (GL.Delegates.Uniform2fARB)GetAddress("glUniform2fARB", typeof(GL.Delegates.Uniform2fARB));
            GL.Uniform3fARB = (GL.Delegates.Uniform3fARB)GetAddress("glUniform3fARB", typeof(GL.Delegates.Uniform3fARB));
            GL.Uniform4fARB = (GL.Delegates.Uniform4fARB)GetAddress("glUniform4fARB", typeof(GL.Delegates.Uniform4fARB));
            GL.Uniform1iARB = (GL.Delegates.Uniform1iARB)GetAddress("glUniform1iARB", typeof(GL.Delegates.Uniform1iARB));
            GL.Uniform2iARB = (GL.Delegates.Uniform2iARB)GetAddress("glUniform2iARB", typeof(GL.Delegates.Uniform2iARB));
            GL.Uniform3iARB = (GL.Delegates.Uniform3iARB)GetAddress("glUniform3iARB", typeof(GL.Delegates.Uniform3iARB));
            GL.Uniform4iARB = (GL.Delegates.Uniform4iARB)GetAddress("glUniform4iARB", typeof(GL.Delegates.Uniform4iARB));
            GL.Uniform1fvARB_ = (GL.Delegates.Uniform1fvARB_)GetAddress("glUniform1fvARB", typeof(GL.Delegates.Uniform1fvARB_));
            GL.Uniform2fvARB_ = (GL.Delegates.Uniform2fvARB_)GetAddress("glUniform2fvARB", typeof(GL.Delegates.Uniform2fvARB_));
            GL.Uniform3fvARB_ = (GL.Delegates.Uniform3fvARB_)GetAddress("glUniform3fvARB", typeof(GL.Delegates.Uniform3fvARB_));
            GL.Uniform4fvARB_ = (GL.Delegates.Uniform4fvARB_)GetAddress("glUniform4fvARB", typeof(GL.Delegates.Uniform4fvARB_));
            GL.Uniform1ivARB_ = (GL.Delegates.Uniform1ivARB_)GetAddress("glUniform1ivARB", typeof(GL.Delegates.Uniform1ivARB_));
            GL.Uniform2ivARB_ = (GL.Delegates.Uniform2ivARB_)GetAddress("glUniform2ivARB", typeof(GL.Delegates.Uniform2ivARB_));
            GL.Uniform3ivARB_ = (GL.Delegates.Uniform3ivARB_)GetAddress("glUniform3ivARB", typeof(GL.Delegates.Uniform3ivARB_));
            GL.Uniform4ivARB_ = (GL.Delegates.Uniform4ivARB_)GetAddress("glUniform4ivARB", typeof(GL.Delegates.Uniform4ivARB_));
            GL.UniformMatrix2fvARB_ = (GL.Delegates.UniformMatrix2fvARB_)GetAddress("glUniformMatrix2fvARB", typeof(GL.Delegates.UniformMatrix2fvARB_));
            GL.UniformMatrix3fvARB_ = (GL.Delegates.UniformMatrix3fvARB_)GetAddress("glUniformMatrix3fvARB", typeof(GL.Delegates.UniformMatrix3fvARB_));
            GL.UniformMatrix4fvARB_ = (GL.Delegates.UniformMatrix4fvARB_)GetAddress("glUniformMatrix4fvARB", typeof(GL.Delegates.UniformMatrix4fvARB_));
            GL.GetObjectParameterfvARB_ = (GL.Delegates.GetObjectParameterfvARB_)GetAddress("glGetObjectParameterfvARB", typeof(GL.Delegates.GetObjectParameterfvARB_));
            GL.GetObjectParameterivARB_ = (GL.Delegates.GetObjectParameterivARB_)GetAddress("glGetObjectParameterivARB", typeof(GL.Delegates.GetObjectParameterivARB_));
            GL.GetInfoLogARB_ = (GL.Delegates.GetInfoLogARB_)GetAddress("glGetInfoLogARB", typeof(GL.Delegates.GetInfoLogARB_));
            GL.GetAttachedObjectsARB_ = (GL.Delegates.GetAttachedObjectsARB_)GetAddress("glGetAttachedObjectsARB", typeof(GL.Delegates.GetAttachedObjectsARB_));
            GL.GetUniformLocationARB = (GL.Delegates.GetUniformLocationARB)GetAddress("glGetUniformLocationARB", typeof(GL.Delegates.GetUniformLocationARB));
            GL.GetActiveUniformARB_ = (GL.Delegates.GetActiveUniformARB_)GetAddress("glGetActiveUniformARB", typeof(GL.Delegates.GetActiveUniformARB_));
            GL.GetUniformfvARB_ = (GL.Delegates.GetUniformfvARB_)GetAddress("glGetUniformfvARB", typeof(GL.Delegates.GetUniformfvARB_));
            GL.GetUniformivARB_ = (GL.Delegates.GetUniformivARB_)GetAddress("glGetUniformivARB", typeof(GL.Delegates.GetUniformivARB_));
            GL.GetShaderSourceARB_ = (GL.Delegates.GetShaderSourceARB_)GetAddress("glGetShaderSourceARB", typeof(GL.Delegates.GetShaderSourceARB_));
            GL.BindAttribLocationARB = (GL.Delegates.BindAttribLocationARB)GetAddress("glBindAttribLocationARB", typeof(GL.Delegates.BindAttribLocationARB));
            GL.GetActiveAttribARB_ = (GL.Delegates.GetActiveAttribARB_)GetAddress("glGetActiveAttribARB", typeof(GL.Delegates.GetActiveAttribARB_));
            GL.GetAttribLocationARB = (GL.Delegates.GetAttribLocationARB)GetAddress("glGetAttribLocationARB", typeof(GL.Delegates.GetAttribLocationARB));
            GL.DrawBuffersARB_ = (GL.Delegates.DrawBuffersARB_)GetAddress("glDrawBuffersARB", typeof(GL.Delegates.DrawBuffersARB_));
            GL.ClampColorARB = (GL.Delegates.ClampColorARB)GetAddress("glClampColorARB", typeof(GL.Delegates.ClampColorARB));
            GL.BlendColorEXT = (GL.Delegates.BlendColorEXT)GetAddress("glBlendColorEXT", typeof(GL.Delegates.BlendColorEXT));
            GL.PolygonOffsetEXT = (GL.Delegates.PolygonOffsetEXT)GetAddress("glPolygonOffsetEXT", typeof(GL.Delegates.PolygonOffsetEXT));
            GL.TexImage3DEXT_ = (GL.Delegates.TexImage3DEXT_)GetAddress("glTexImage3DEXT", typeof(GL.Delegates.TexImage3DEXT_));
            GL.TexSubImage3DEXT_ = (GL.Delegates.TexSubImage3DEXT_)GetAddress("glTexSubImage3DEXT", typeof(GL.Delegates.TexSubImage3DEXT_));
            GL.GetTexFilterFuncSGIS_ = (GL.Delegates.GetTexFilterFuncSGIS_)GetAddress("glGetTexFilterFuncSGIS", typeof(GL.Delegates.GetTexFilterFuncSGIS_));
            GL.TexFilterFuncSGIS_ = (GL.Delegates.TexFilterFuncSGIS_)GetAddress("glTexFilterFuncSGIS", typeof(GL.Delegates.TexFilterFuncSGIS_));
            GL.TexSubImage1DEXT_ = (GL.Delegates.TexSubImage1DEXT_)GetAddress("glTexSubImage1DEXT", typeof(GL.Delegates.TexSubImage1DEXT_));
            GL.TexSubImage2DEXT_ = (GL.Delegates.TexSubImage2DEXT_)GetAddress("glTexSubImage2DEXT", typeof(GL.Delegates.TexSubImage2DEXT_));
            GL.CopyTexImage1DEXT = (GL.Delegates.CopyTexImage1DEXT)GetAddress("glCopyTexImage1DEXT", typeof(GL.Delegates.CopyTexImage1DEXT));
            GL.CopyTexImage2DEXT = (GL.Delegates.CopyTexImage2DEXT)GetAddress("glCopyTexImage2DEXT", typeof(GL.Delegates.CopyTexImage2DEXT));
            GL.CopyTexSubImage1DEXT = (GL.Delegates.CopyTexSubImage1DEXT)GetAddress("glCopyTexSubImage1DEXT", typeof(GL.Delegates.CopyTexSubImage1DEXT));
            GL.CopyTexSubImage2DEXT = (GL.Delegates.CopyTexSubImage2DEXT)GetAddress("glCopyTexSubImage2DEXT", typeof(GL.Delegates.CopyTexSubImage2DEXT));
            GL.CopyTexSubImage3DEXT = (GL.Delegates.CopyTexSubImage3DEXT)GetAddress("glCopyTexSubImage3DEXT", typeof(GL.Delegates.CopyTexSubImage3DEXT));
            GL.GetHistogramEXT_ = (GL.Delegates.GetHistogramEXT_)GetAddress("glGetHistogramEXT", typeof(GL.Delegates.GetHistogramEXT_));
            GL.GetHistogramParameterfvEXT_ = (GL.Delegates.GetHistogramParameterfvEXT_)GetAddress("glGetHistogramParameterfvEXT", typeof(GL.Delegates.GetHistogramParameterfvEXT_));
            GL.GetHistogramParameterivEXT_ = (GL.Delegates.GetHistogramParameterivEXT_)GetAddress("glGetHistogramParameterivEXT", typeof(GL.Delegates.GetHistogramParameterivEXT_));
            GL.GetMinmaxEXT_ = (GL.Delegates.GetMinmaxEXT_)GetAddress("glGetMinmaxEXT", typeof(GL.Delegates.GetMinmaxEXT_));
            GL.GetMinmaxParameterfvEXT_ = (GL.Delegates.GetMinmaxParameterfvEXT_)GetAddress("glGetMinmaxParameterfvEXT", typeof(GL.Delegates.GetMinmaxParameterfvEXT_));
            GL.GetMinmaxParameterivEXT_ = (GL.Delegates.GetMinmaxParameterivEXT_)GetAddress("glGetMinmaxParameterivEXT", typeof(GL.Delegates.GetMinmaxParameterivEXT_));
            GL.HistogramEXT = (GL.Delegates.HistogramEXT)GetAddress("glHistogramEXT", typeof(GL.Delegates.HistogramEXT));
            GL.MinmaxEXT = (GL.Delegates.MinmaxEXT)GetAddress("glMinmaxEXT", typeof(GL.Delegates.MinmaxEXT));
            GL.ResetHistogramEXT = (GL.Delegates.ResetHistogramEXT)GetAddress("glResetHistogramEXT", typeof(GL.Delegates.ResetHistogramEXT));
            GL.ResetMinmaxEXT = (GL.Delegates.ResetMinmaxEXT)GetAddress("glResetMinmaxEXT", typeof(GL.Delegates.ResetMinmaxEXT));
            GL.ConvolutionFilter1DEXT_ = (GL.Delegates.ConvolutionFilter1DEXT_)GetAddress("glConvolutionFilter1DEXT", typeof(GL.Delegates.ConvolutionFilter1DEXT_));
            GL.ConvolutionFilter2DEXT_ = (GL.Delegates.ConvolutionFilter2DEXT_)GetAddress("glConvolutionFilter2DEXT", typeof(GL.Delegates.ConvolutionFilter2DEXT_));
            GL.ConvolutionParameterfEXT = (GL.Delegates.ConvolutionParameterfEXT)GetAddress("glConvolutionParameterfEXT", typeof(GL.Delegates.ConvolutionParameterfEXT));
            GL.ConvolutionParameterfvEXT_ = (GL.Delegates.ConvolutionParameterfvEXT_)GetAddress("glConvolutionParameterfvEXT", typeof(GL.Delegates.ConvolutionParameterfvEXT_));
            GL.ConvolutionParameteriEXT = (GL.Delegates.ConvolutionParameteriEXT)GetAddress("glConvolutionParameteriEXT", typeof(GL.Delegates.ConvolutionParameteriEXT));
            GL.ConvolutionParameterivEXT_ = (GL.Delegates.ConvolutionParameterivEXT_)GetAddress("glConvolutionParameterivEXT", typeof(GL.Delegates.ConvolutionParameterivEXT_));
            GL.CopyConvolutionFilter1DEXT = (GL.Delegates.CopyConvolutionFilter1DEXT)GetAddress("glCopyConvolutionFilter1DEXT", typeof(GL.Delegates.CopyConvolutionFilter1DEXT));
            GL.CopyConvolutionFilter2DEXT = (GL.Delegates.CopyConvolutionFilter2DEXT)GetAddress("glCopyConvolutionFilter2DEXT", typeof(GL.Delegates.CopyConvolutionFilter2DEXT));
            GL.GetConvolutionFilterEXT_ = (GL.Delegates.GetConvolutionFilterEXT_)GetAddress("glGetConvolutionFilterEXT", typeof(GL.Delegates.GetConvolutionFilterEXT_));
            GL.GetConvolutionParameterfvEXT_ = (GL.Delegates.GetConvolutionParameterfvEXT_)GetAddress("glGetConvolutionParameterfvEXT", typeof(GL.Delegates.GetConvolutionParameterfvEXT_));
            GL.GetConvolutionParameterivEXT_ = (GL.Delegates.GetConvolutionParameterivEXT_)GetAddress("glGetConvolutionParameterivEXT", typeof(GL.Delegates.GetConvolutionParameterivEXT_));
            GL.GetSeparableFilterEXT_ = (GL.Delegates.GetSeparableFilterEXT_)GetAddress("glGetSeparableFilterEXT", typeof(GL.Delegates.GetSeparableFilterEXT_));
            GL.SeparableFilter2DEXT_ = (GL.Delegates.SeparableFilter2DEXT_)GetAddress("glSeparableFilter2DEXT", typeof(GL.Delegates.SeparableFilter2DEXT_));
            GL.ColorTableSGI_ = (GL.Delegates.ColorTableSGI_)GetAddress("glColorTableSGI", typeof(GL.Delegates.ColorTableSGI_));
            GL.ColorTableParameterfvSGI_ = (GL.Delegates.ColorTableParameterfvSGI_)GetAddress("glColorTableParameterfvSGI", typeof(GL.Delegates.ColorTableParameterfvSGI_));
            GL.ColorTableParameterivSGI_ = (GL.Delegates.ColorTableParameterivSGI_)GetAddress("glColorTableParameterivSGI", typeof(GL.Delegates.ColorTableParameterivSGI_));
            GL.CopyColorTableSGI = (GL.Delegates.CopyColorTableSGI)GetAddress("glCopyColorTableSGI", typeof(GL.Delegates.CopyColorTableSGI));
            GL.GetColorTableSGI_ = (GL.Delegates.GetColorTableSGI_)GetAddress("glGetColorTableSGI", typeof(GL.Delegates.GetColorTableSGI_));
            GL.GetColorTableParameterfvSGI_ = (GL.Delegates.GetColorTableParameterfvSGI_)GetAddress("glGetColorTableParameterfvSGI", typeof(GL.Delegates.GetColorTableParameterfvSGI_));
            GL.GetColorTableParameterivSGI_ = (GL.Delegates.GetColorTableParameterivSGI_)GetAddress("glGetColorTableParameterivSGI", typeof(GL.Delegates.GetColorTableParameterivSGI_));
            GL.PixelTexGenSGIX = (GL.Delegates.PixelTexGenSGIX)GetAddress("glPixelTexGenSGIX", typeof(GL.Delegates.PixelTexGenSGIX));
            GL.PixelTexGenParameteriSGIS = (GL.Delegates.PixelTexGenParameteriSGIS)GetAddress("glPixelTexGenParameteriSGIS", typeof(GL.Delegates.PixelTexGenParameteriSGIS));
            GL.PixelTexGenParameterivSGIS_ = (GL.Delegates.PixelTexGenParameterivSGIS_)GetAddress("glPixelTexGenParameterivSGIS", typeof(GL.Delegates.PixelTexGenParameterivSGIS_));
            GL.PixelTexGenParameterfSGIS = (GL.Delegates.PixelTexGenParameterfSGIS)GetAddress("glPixelTexGenParameterfSGIS", typeof(GL.Delegates.PixelTexGenParameterfSGIS));
            GL.PixelTexGenParameterfvSGIS_ = (GL.Delegates.PixelTexGenParameterfvSGIS_)GetAddress("glPixelTexGenParameterfvSGIS", typeof(GL.Delegates.PixelTexGenParameterfvSGIS_));
            GL.GetPixelTexGenParameterivSGIS_ = (GL.Delegates.GetPixelTexGenParameterivSGIS_)GetAddress("glGetPixelTexGenParameterivSGIS", typeof(GL.Delegates.GetPixelTexGenParameterivSGIS_));
            GL.GetPixelTexGenParameterfvSGIS_ = (GL.Delegates.GetPixelTexGenParameterfvSGIS_)GetAddress("glGetPixelTexGenParameterfvSGIS", typeof(GL.Delegates.GetPixelTexGenParameterfvSGIS_));
            GL.TexImage4DSGIS_ = (GL.Delegates.TexImage4DSGIS_)GetAddress("glTexImage4DSGIS", typeof(GL.Delegates.TexImage4DSGIS_));
            GL.TexSubImage4DSGIS_ = (GL.Delegates.TexSubImage4DSGIS_)GetAddress("glTexSubImage4DSGIS", typeof(GL.Delegates.TexSubImage4DSGIS_));
            GL.AreTexturesResidentEXT_ = (GL.Delegates.AreTexturesResidentEXT_)GetAddress("glAreTexturesResidentEXT", typeof(GL.Delegates.AreTexturesResidentEXT_));
            GL.BindTextureEXT = (GL.Delegates.BindTextureEXT)GetAddress("glBindTextureEXT", typeof(GL.Delegates.BindTextureEXT));
            GL.DeleteTexturesEXT_ = (GL.Delegates.DeleteTexturesEXT_)GetAddress("glDeleteTexturesEXT", typeof(GL.Delegates.DeleteTexturesEXT_));
            GL.GenTexturesEXT_ = (GL.Delegates.GenTexturesEXT_)GetAddress("glGenTexturesEXT", typeof(GL.Delegates.GenTexturesEXT_));
            GL.IsTextureEXT = (GL.Delegates.IsTextureEXT)GetAddress("glIsTextureEXT", typeof(GL.Delegates.IsTextureEXT));
            GL.PrioritizeTexturesEXT_ = (GL.Delegates.PrioritizeTexturesEXT_)GetAddress("glPrioritizeTexturesEXT", typeof(GL.Delegates.PrioritizeTexturesEXT_));
            GL.DetailTexFuncSGIS_ = (GL.Delegates.DetailTexFuncSGIS_)GetAddress("glDetailTexFuncSGIS", typeof(GL.Delegates.DetailTexFuncSGIS_));
            GL.GetDetailTexFuncSGIS_ = (GL.Delegates.GetDetailTexFuncSGIS_)GetAddress("glGetDetailTexFuncSGIS", typeof(GL.Delegates.GetDetailTexFuncSGIS_));
            GL.SharpenTexFuncSGIS_ = (GL.Delegates.SharpenTexFuncSGIS_)GetAddress("glSharpenTexFuncSGIS", typeof(GL.Delegates.SharpenTexFuncSGIS_));
            GL.GetSharpenTexFuncSGIS_ = (GL.Delegates.GetSharpenTexFuncSGIS_)GetAddress("glGetSharpenTexFuncSGIS", typeof(GL.Delegates.GetSharpenTexFuncSGIS_));
            GL.SampleMaskSGIS = (GL.Delegates.SampleMaskSGIS)GetAddress("glSampleMaskSGIS", typeof(GL.Delegates.SampleMaskSGIS));
            GL.SamplePatternSGIS = (GL.Delegates.SamplePatternSGIS)GetAddress("glSamplePatternSGIS", typeof(GL.Delegates.SamplePatternSGIS));
            GL.ArrayElementEXT = (GL.Delegates.ArrayElementEXT)GetAddress("glArrayElementEXT", typeof(GL.Delegates.ArrayElementEXT));
            GL.ColorPointerEXT_ = (GL.Delegates.ColorPointerEXT_)GetAddress("glColorPointerEXT", typeof(GL.Delegates.ColorPointerEXT_));
            GL.DrawArraysEXT = (GL.Delegates.DrawArraysEXT)GetAddress("glDrawArraysEXT", typeof(GL.Delegates.DrawArraysEXT));
            GL.EdgeFlagPointerEXT_ = (GL.Delegates.EdgeFlagPointerEXT_)GetAddress("glEdgeFlagPointerEXT", typeof(GL.Delegates.EdgeFlagPointerEXT_));
            GL.GetPointervEXT_ = (GL.Delegates.GetPointervEXT_)GetAddress("glGetPointervEXT", typeof(GL.Delegates.GetPointervEXT_));
            GL.IndexPointerEXT_ = (GL.Delegates.IndexPointerEXT_)GetAddress("glIndexPointerEXT", typeof(GL.Delegates.IndexPointerEXT_));
            GL.NormalPointerEXT_ = (GL.Delegates.NormalPointerEXT_)GetAddress("glNormalPointerEXT", typeof(GL.Delegates.NormalPointerEXT_));
            GL.TexCoordPointerEXT_ = (GL.Delegates.TexCoordPointerEXT_)GetAddress("glTexCoordPointerEXT", typeof(GL.Delegates.TexCoordPointerEXT_));
            GL.VertexPointerEXT_ = (GL.Delegates.VertexPointerEXT_)GetAddress("glVertexPointerEXT", typeof(GL.Delegates.VertexPointerEXT_));
            GL.BlendEquationEXT = (GL.Delegates.BlendEquationEXT)GetAddress("glBlendEquationEXT", typeof(GL.Delegates.BlendEquationEXT));
            GL.SpriteParameterfSGIX = (GL.Delegates.SpriteParameterfSGIX)GetAddress("glSpriteParameterfSGIX", typeof(GL.Delegates.SpriteParameterfSGIX));
            GL.SpriteParameterfvSGIX_ = (GL.Delegates.SpriteParameterfvSGIX_)GetAddress("glSpriteParameterfvSGIX", typeof(GL.Delegates.SpriteParameterfvSGIX_));
            GL.SpriteParameteriSGIX = (GL.Delegates.SpriteParameteriSGIX)GetAddress("glSpriteParameteriSGIX", typeof(GL.Delegates.SpriteParameteriSGIX));
            GL.SpriteParameterivSGIX_ = (GL.Delegates.SpriteParameterivSGIX_)GetAddress("glSpriteParameterivSGIX", typeof(GL.Delegates.SpriteParameterivSGIX_));
            GL.PointParameterfEXT = (GL.Delegates.PointParameterfEXT)GetAddress("glPointParameterfEXT", typeof(GL.Delegates.PointParameterfEXT));
            GL.PointParameterfvEXT_ = (GL.Delegates.PointParameterfvEXT_)GetAddress("glPointParameterfvEXT", typeof(GL.Delegates.PointParameterfvEXT_));
            GL.PointParameterfSGIS = (GL.Delegates.PointParameterfSGIS)GetAddress("glPointParameterfSGIS", typeof(GL.Delegates.PointParameterfSGIS));
            GL.PointParameterfvSGIS_ = (GL.Delegates.PointParameterfvSGIS_)GetAddress("glPointParameterfvSGIS", typeof(GL.Delegates.PointParameterfvSGIS_));
            GL.GetInstrumentsSGIX = (GL.Delegates.GetInstrumentsSGIX)GetAddress("glGetInstrumentsSGIX", typeof(GL.Delegates.GetInstrumentsSGIX));
            GL.InstrumentsBufferSGIX_ = (GL.Delegates.InstrumentsBufferSGIX_)GetAddress("glInstrumentsBufferSGIX", typeof(GL.Delegates.InstrumentsBufferSGIX_));
            GL.PollInstrumentsSGIX_ = (GL.Delegates.PollInstrumentsSGIX_)GetAddress("glPollInstrumentsSGIX", typeof(GL.Delegates.PollInstrumentsSGIX_));
            GL.ReadInstrumentsSGIX = (GL.Delegates.ReadInstrumentsSGIX)GetAddress("glReadInstrumentsSGIX", typeof(GL.Delegates.ReadInstrumentsSGIX));
            GL.StartInstrumentsSGIX = (GL.Delegates.StartInstrumentsSGIX)GetAddress("glStartInstrumentsSGIX", typeof(GL.Delegates.StartInstrumentsSGIX));
            GL.StopInstrumentsSGIX = (GL.Delegates.StopInstrumentsSGIX)GetAddress("glStopInstrumentsSGIX", typeof(GL.Delegates.StopInstrumentsSGIX));
            GL.FrameZoomSGIX = (GL.Delegates.FrameZoomSGIX)GetAddress("glFrameZoomSGIX", typeof(GL.Delegates.FrameZoomSGIX));
            GL.TagSampleBufferSGIX = (GL.Delegates.TagSampleBufferSGIX)GetAddress("glTagSampleBufferSGIX", typeof(GL.Delegates.TagSampleBufferSGIX));
            GL.DeformationMap3dSGIX_ = (GL.Delegates.DeformationMap3dSGIX_)GetAddress("glDeformationMap3dSGIX", typeof(GL.Delegates.DeformationMap3dSGIX_));
            GL.DeformationMap3fSGIX_ = (GL.Delegates.DeformationMap3fSGIX_)GetAddress("glDeformationMap3fSGIX", typeof(GL.Delegates.DeformationMap3fSGIX_));
            GL.DeformSGIX = (GL.Delegates.DeformSGIX)GetAddress("glDeformSGIX", typeof(GL.Delegates.DeformSGIX));
            GL.LoadIdentityDeformationMapSGIX = (GL.Delegates.LoadIdentityDeformationMapSGIX)GetAddress("glLoadIdentityDeformationMapSGIX", typeof(GL.Delegates.LoadIdentityDeformationMapSGIX));
            GL.ReferencePlaneSGIX_ = (GL.Delegates.ReferencePlaneSGIX_)GetAddress("glReferencePlaneSGIX", typeof(GL.Delegates.ReferencePlaneSGIX_));
            GL.FlushRasterSGIX = (GL.Delegates.FlushRasterSGIX)GetAddress("glFlushRasterSGIX", typeof(GL.Delegates.FlushRasterSGIX));
            GL.FogFuncSGIS_ = (GL.Delegates.FogFuncSGIS_)GetAddress("glFogFuncSGIS", typeof(GL.Delegates.FogFuncSGIS_));
            GL.GetFogFuncSGIS_ = (GL.Delegates.GetFogFuncSGIS_)GetAddress("glGetFogFuncSGIS", typeof(GL.Delegates.GetFogFuncSGIS_));
            GL.ImageTransformParameteriHP = (GL.Delegates.ImageTransformParameteriHP)GetAddress("glImageTransformParameteriHP", typeof(GL.Delegates.ImageTransformParameteriHP));
            GL.ImageTransformParameterfHP = (GL.Delegates.ImageTransformParameterfHP)GetAddress("glImageTransformParameterfHP", typeof(GL.Delegates.ImageTransformParameterfHP));
            GL.ImageTransformParameterivHP_ = (GL.Delegates.ImageTransformParameterivHP_)GetAddress("glImageTransformParameterivHP", typeof(GL.Delegates.ImageTransformParameterivHP_));
            GL.ImageTransformParameterfvHP_ = (GL.Delegates.ImageTransformParameterfvHP_)GetAddress("glImageTransformParameterfvHP", typeof(GL.Delegates.ImageTransformParameterfvHP_));
            GL.GetImageTransformParameterivHP_ = (GL.Delegates.GetImageTransformParameterivHP_)GetAddress("glGetImageTransformParameterivHP", typeof(GL.Delegates.GetImageTransformParameterivHP_));
            GL.GetImageTransformParameterfvHP_ = (GL.Delegates.GetImageTransformParameterfvHP_)GetAddress("glGetImageTransformParameterfvHP", typeof(GL.Delegates.GetImageTransformParameterfvHP_));
            GL.ColorSubTableEXT_ = (GL.Delegates.ColorSubTableEXT_)GetAddress("glColorSubTableEXT", typeof(GL.Delegates.ColorSubTableEXT_));
            GL.CopyColorSubTableEXT = (GL.Delegates.CopyColorSubTableEXT)GetAddress("glCopyColorSubTableEXT", typeof(GL.Delegates.CopyColorSubTableEXT));
            GL.HintPGI = (GL.Delegates.HintPGI)GetAddress("glHintPGI", typeof(GL.Delegates.HintPGI));
            GL.ColorTableEXT_ = (GL.Delegates.ColorTableEXT_)GetAddress("glColorTableEXT", typeof(GL.Delegates.ColorTableEXT_));
            GL.GetColorTableEXT_ = (GL.Delegates.GetColorTableEXT_)GetAddress("glGetColorTableEXT", typeof(GL.Delegates.GetColorTableEXT_));
            GL.GetColorTableParameterivEXT_ = (GL.Delegates.GetColorTableParameterivEXT_)GetAddress("glGetColorTableParameterivEXT", typeof(GL.Delegates.GetColorTableParameterivEXT_));
            GL.GetColorTableParameterfvEXT_ = (GL.Delegates.GetColorTableParameterfvEXT_)GetAddress("glGetColorTableParameterfvEXT", typeof(GL.Delegates.GetColorTableParameterfvEXT_));
            GL.GetListParameterfvSGIX_ = (GL.Delegates.GetListParameterfvSGIX_)GetAddress("glGetListParameterfvSGIX", typeof(GL.Delegates.GetListParameterfvSGIX_));
            GL.GetListParameterivSGIX_ = (GL.Delegates.GetListParameterivSGIX_)GetAddress("glGetListParameterivSGIX", typeof(GL.Delegates.GetListParameterivSGIX_));
            GL.ListParameterfSGIX = (GL.Delegates.ListParameterfSGIX)GetAddress("glListParameterfSGIX", typeof(GL.Delegates.ListParameterfSGIX));
            GL.ListParameterfvSGIX_ = (GL.Delegates.ListParameterfvSGIX_)GetAddress("glListParameterfvSGIX", typeof(GL.Delegates.ListParameterfvSGIX_));
            GL.ListParameteriSGIX = (GL.Delegates.ListParameteriSGIX)GetAddress("glListParameteriSGIX", typeof(GL.Delegates.ListParameteriSGIX));
            GL.ListParameterivSGIX_ = (GL.Delegates.ListParameterivSGIX_)GetAddress("glListParameterivSGIX", typeof(GL.Delegates.ListParameterivSGIX_));
            GL.IndexMaterialEXT = (GL.Delegates.IndexMaterialEXT)GetAddress("glIndexMaterialEXT", typeof(GL.Delegates.IndexMaterialEXT));
            GL.IndexFuncEXT = (GL.Delegates.IndexFuncEXT)GetAddress("glIndexFuncEXT", typeof(GL.Delegates.IndexFuncEXT));
            GL.LockArraysEXT = (GL.Delegates.LockArraysEXT)GetAddress("glLockArraysEXT", typeof(GL.Delegates.LockArraysEXT));
            GL.UnlockArraysEXT = (GL.Delegates.UnlockArraysEXT)GetAddress("glUnlockArraysEXT", typeof(GL.Delegates.UnlockArraysEXT));
            GL.CullParameterdvEXT_ = (GL.Delegates.CullParameterdvEXT_)GetAddress("glCullParameterdvEXT", typeof(GL.Delegates.CullParameterdvEXT_));
            GL.CullParameterfvEXT_ = (GL.Delegates.CullParameterfvEXT_)GetAddress("glCullParameterfvEXT", typeof(GL.Delegates.CullParameterfvEXT_));
            GL.FragmentColorMaterialSGIX = (GL.Delegates.FragmentColorMaterialSGIX)GetAddress("glFragmentColorMaterialSGIX", typeof(GL.Delegates.FragmentColorMaterialSGIX));
            GL.FragmentLightfSGIX = (GL.Delegates.FragmentLightfSGIX)GetAddress("glFragmentLightfSGIX", typeof(GL.Delegates.FragmentLightfSGIX));
            GL.FragmentLightfvSGIX_ = (GL.Delegates.FragmentLightfvSGIX_)GetAddress("glFragmentLightfvSGIX", typeof(GL.Delegates.FragmentLightfvSGIX_));
            GL.FragmentLightiSGIX = (GL.Delegates.FragmentLightiSGIX)GetAddress("glFragmentLightiSGIX", typeof(GL.Delegates.FragmentLightiSGIX));
            GL.FragmentLightivSGIX_ = (GL.Delegates.FragmentLightivSGIX_)GetAddress("glFragmentLightivSGIX", typeof(GL.Delegates.FragmentLightivSGIX_));
            GL.FragmentLightModelfSGIX = (GL.Delegates.FragmentLightModelfSGIX)GetAddress("glFragmentLightModelfSGIX", typeof(GL.Delegates.FragmentLightModelfSGIX));
            GL.FragmentLightModelfvSGIX_ = (GL.Delegates.FragmentLightModelfvSGIX_)GetAddress("glFragmentLightModelfvSGIX", typeof(GL.Delegates.FragmentLightModelfvSGIX_));
            GL.FragmentLightModeliSGIX = (GL.Delegates.FragmentLightModeliSGIX)GetAddress("glFragmentLightModeliSGIX", typeof(GL.Delegates.FragmentLightModeliSGIX));
            GL.FragmentLightModelivSGIX_ = (GL.Delegates.FragmentLightModelivSGIX_)GetAddress("glFragmentLightModelivSGIX", typeof(GL.Delegates.FragmentLightModelivSGIX_));
            GL.FragmentMaterialfSGIX = (GL.Delegates.FragmentMaterialfSGIX)GetAddress("glFragmentMaterialfSGIX", typeof(GL.Delegates.FragmentMaterialfSGIX));
            GL.FragmentMaterialfvSGIX_ = (GL.Delegates.FragmentMaterialfvSGIX_)GetAddress("glFragmentMaterialfvSGIX", typeof(GL.Delegates.FragmentMaterialfvSGIX_));
            GL.FragmentMaterialiSGIX = (GL.Delegates.FragmentMaterialiSGIX)GetAddress("glFragmentMaterialiSGIX", typeof(GL.Delegates.FragmentMaterialiSGIX));
            GL.FragmentMaterialivSGIX_ = (GL.Delegates.FragmentMaterialivSGIX_)GetAddress("glFragmentMaterialivSGIX", typeof(GL.Delegates.FragmentMaterialivSGIX_));
            GL.GetFragmentLightfvSGIX_ = (GL.Delegates.GetFragmentLightfvSGIX_)GetAddress("glGetFragmentLightfvSGIX", typeof(GL.Delegates.GetFragmentLightfvSGIX_));
            GL.GetFragmentLightivSGIX_ = (GL.Delegates.GetFragmentLightivSGIX_)GetAddress("glGetFragmentLightivSGIX", typeof(GL.Delegates.GetFragmentLightivSGIX_));
            GL.GetFragmentMaterialfvSGIX_ = (GL.Delegates.GetFragmentMaterialfvSGIX_)GetAddress("glGetFragmentMaterialfvSGIX", typeof(GL.Delegates.GetFragmentMaterialfvSGIX_));
            GL.GetFragmentMaterialivSGIX_ = (GL.Delegates.GetFragmentMaterialivSGIX_)GetAddress("glGetFragmentMaterialivSGIX", typeof(GL.Delegates.GetFragmentMaterialivSGIX_));
            GL.LightEnviSGIX = (GL.Delegates.LightEnviSGIX)GetAddress("glLightEnviSGIX", typeof(GL.Delegates.LightEnviSGIX));
            GL.DrawRangeElementsEXT_ = (GL.Delegates.DrawRangeElementsEXT_)GetAddress("glDrawRangeElementsEXT", typeof(GL.Delegates.DrawRangeElementsEXT_));
            GL.ApplyTextureEXT = (GL.Delegates.ApplyTextureEXT)GetAddress("glApplyTextureEXT", typeof(GL.Delegates.ApplyTextureEXT));
            GL.TextureLightEXT = (GL.Delegates.TextureLightEXT)GetAddress("glTextureLightEXT", typeof(GL.Delegates.TextureLightEXT));
            GL.TextureMaterialEXT = (GL.Delegates.TextureMaterialEXT)GetAddress("glTextureMaterialEXT", typeof(GL.Delegates.TextureMaterialEXT));
            GL.AsyncMarkerSGIX = (GL.Delegates.AsyncMarkerSGIX)GetAddress("glAsyncMarkerSGIX", typeof(GL.Delegates.AsyncMarkerSGIX));
            GL.FinishAsyncSGIX_ = (GL.Delegates.FinishAsyncSGIX_)GetAddress("glFinishAsyncSGIX", typeof(GL.Delegates.FinishAsyncSGIX_));
            GL.PollAsyncSGIX_ = (GL.Delegates.PollAsyncSGIX_)GetAddress("glPollAsyncSGIX", typeof(GL.Delegates.PollAsyncSGIX_));
            GL.GenAsyncMarkersSGIX = (GL.Delegates.GenAsyncMarkersSGIX)GetAddress("glGenAsyncMarkersSGIX", typeof(GL.Delegates.GenAsyncMarkersSGIX));
            GL.DeleteAsyncMarkersSGIX = (GL.Delegates.DeleteAsyncMarkersSGIX)GetAddress("glDeleteAsyncMarkersSGIX", typeof(GL.Delegates.DeleteAsyncMarkersSGIX));
            GL.IsAsyncMarkerSGIX = (GL.Delegates.IsAsyncMarkerSGIX)GetAddress("glIsAsyncMarkerSGIX", typeof(GL.Delegates.IsAsyncMarkerSGIX));
            GL.VertexPointervINTEL_ = (GL.Delegates.VertexPointervINTEL_)GetAddress("glVertexPointervINTEL", typeof(GL.Delegates.VertexPointervINTEL_));
            GL.NormalPointervINTEL_ = (GL.Delegates.NormalPointervINTEL_)GetAddress("glNormalPointervINTEL", typeof(GL.Delegates.NormalPointervINTEL_));
            GL.ColorPointervINTEL_ = (GL.Delegates.ColorPointervINTEL_)GetAddress("glColorPointervINTEL", typeof(GL.Delegates.ColorPointervINTEL_));
            GL.TexCoordPointervINTEL_ = (GL.Delegates.TexCoordPointervINTEL_)GetAddress("glTexCoordPointervINTEL", typeof(GL.Delegates.TexCoordPointervINTEL_));
            GL.PixelTransformParameteriEXT = (GL.Delegates.PixelTransformParameteriEXT)GetAddress("glPixelTransformParameteriEXT", typeof(GL.Delegates.PixelTransformParameteriEXT));
            GL.PixelTransformParameterfEXT = (GL.Delegates.PixelTransformParameterfEXT)GetAddress("glPixelTransformParameterfEXT", typeof(GL.Delegates.PixelTransformParameterfEXT));
            GL.PixelTransformParameterivEXT_ = (GL.Delegates.PixelTransformParameterivEXT_)GetAddress("glPixelTransformParameterivEXT", typeof(GL.Delegates.PixelTransformParameterivEXT_));
            GL.PixelTransformParameterfvEXT_ = (GL.Delegates.PixelTransformParameterfvEXT_)GetAddress("glPixelTransformParameterfvEXT", typeof(GL.Delegates.PixelTransformParameterfvEXT_));
            GL.SecondaryColor3bEXT = (GL.Delegates.SecondaryColor3bEXT)GetAddress("glSecondaryColor3bEXT", typeof(GL.Delegates.SecondaryColor3bEXT));
            GL.SecondaryColor3bvEXT_ = (GL.Delegates.SecondaryColor3bvEXT_)GetAddress("glSecondaryColor3bvEXT", typeof(GL.Delegates.SecondaryColor3bvEXT_));
            GL.SecondaryColor3dEXT = (GL.Delegates.SecondaryColor3dEXT)GetAddress("glSecondaryColor3dEXT", typeof(GL.Delegates.SecondaryColor3dEXT));
            GL.SecondaryColor3dvEXT_ = (GL.Delegates.SecondaryColor3dvEXT_)GetAddress("glSecondaryColor3dvEXT", typeof(GL.Delegates.SecondaryColor3dvEXT_));
            GL.SecondaryColor3fEXT = (GL.Delegates.SecondaryColor3fEXT)GetAddress("glSecondaryColor3fEXT", typeof(GL.Delegates.SecondaryColor3fEXT));
            GL.SecondaryColor3fvEXT_ = (GL.Delegates.SecondaryColor3fvEXT_)GetAddress("glSecondaryColor3fvEXT", typeof(GL.Delegates.SecondaryColor3fvEXT_));
            GL.SecondaryColor3iEXT = (GL.Delegates.SecondaryColor3iEXT)GetAddress("glSecondaryColor3iEXT", typeof(GL.Delegates.SecondaryColor3iEXT));
            GL.SecondaryColor3ivEXT_ = (GL.Delegates.SecondaryColor3ivEXT_)GetAddress("glSecondaryColor3ivEXT", typeof(GL.Delegates.SecondaryColor3ivEXT_));
            GL.SecondaryColor3sEXT = (GL.Delegates.SecondaryColor3sEXT)GetAddress("glSecondaryColor3sEXT", typeof(GL.Delegates.SecondaryColor3sEXT));
            GL.SecondaryColor3svEXT_ = (GL.Delegates.SecondaryColor3svEXT_)GetAddress("glSecondaryColor3svEXT", typeof(GL.Delegates.SecondaryColor3svEXT_));
            GL.SecondaryColor3ubEXT = (GL.Delegates.SecondaryColor3ubEXT)GetAddress("glSecondaryColor3ubEXT", typeof(GL.Delegates.SecondaryColor3ubEXT));
            GL.SecondaryColor3ubvEXT_ = (GL.Delegates.SecondaryColor3ubvEXT_)GetAddress("glSecondaryColor3ubvEXT", typeof(GL.Delegates.SecondaryColor3ubvEXT_));
            GL.SecondaryColor3uiEXT = (GL.Delegates.SecondaryColor3uiEXT)GetAddress("glSecondaryColor3uiEXT", typeof(GL.Delegates.SecondaryColor3uiEXT));
            GL.SecondaryColor3uivEXT_ = (GL.Delegates.SecondaryColor3uivEXT_)GetAddress("glSecondaryColor3uivEXT", typeof(GL.Delegates.SecondaryColor3uivEXT_));
            GL.SecondaryColor3usEXT = (GL.Delegates.SecondaryColor3usEXT)GetAddress("glSecondaryColor3usEXT", typeof(GL.Delegates.SecondaryColor3usEXT));
            GL.SecondaryColor3usvEXT_ = (GL.Delegates.SecondaryColor3usvEXT_)GetAddress("glSecondaryColor3usvEXT", typeof(GL.Delegates.SecondaryColor3usvEXT_));
            GL.SecondaryColorPointerEXT_ = (GL.Delegates.SecondaryColorPointerEXT_)GetAddress("glSecondaryColorPointerEXT", typeof(GL.Delegates.SecondaryColorPointerEXT_));
            GL.TextureNormalEXT = (GL.Delegates.TextureNormalEXT)GetAddress("glTextureNormalEXT", typeof(GL.Delegates.TextureNormalEXT));
            GL.MultiDrawArraysEXT_ = (GL.Delegates.MultiDrawArraysEXT_)GetAddress("glMultiDrawArraysEXT", typeof(GL.Delegates.MultiDrawArraysEXT_));
            GL.MultiDrawElementsEXT_ = (GL.Delegates.MultiDrawElementsEXT_)GetAddress("glMultiDrawElementsEXT", typeof(GL.Delegates.MultiDrawElementsEXT_));
            GL.FogCoordfEXT = (GL.Delegates.FogCoordfEXT)GetAddress("glFogCoordfEXT", typeof(GL.Delegates.FogCoordfEXT));
            GL.FogCoordfvEXT_ = (GL.Delegates.FogCoordfvEXT_)GetAddress("glFogCoordfvEXT", typeof(GL.Delegates.FogCoordfvEXT_));
            GL.FogCoorddEXT = (GL.Delegates.FogCoorddEXT)GetAddress("glFogCoorddEXT", typeof(GL.Delegates.FogCoorddEXT));
            GL.FogCoorddvEXT_ = (GL.Delegates.FogCoorddvEXT_)GetAddress("glFogCoorddvEXT", typeof(GL.Delegates.FogCoorddvEXT_));
            GL.FogCoordPointerEXT_ = (GL.Delegates.FogCoordPointerEXT_)GetAddress("glFogCoordPointerEXT", typeof(GL.Delegates.FogCoordPointerEXT_));
            GL.Tangent3bEXT = (GL.Delegates.Tangent3bEXT)GetAddress("glTangent3bEXT", typeof(GL.Delegates.Tangent3bEXT));
            GL.Tangent3bvEXT_ = (GL.Delegates.Tangent3bvEXT_)GetAddress("glTangent3bvEXT", typeof(GL.Delegates.Tangent3bvEXT_));
            GL.Tangent3dEXT = (GL.Delegates.Tangent3dEXT)GetAddress("glTangent3dEXT", typeof(GL.Delegates.Tangent3dEXT));
            GL.Tangent3dvEXT_ = (GL.Delegates.Tangent3dvEXT_)GetAddress("glTangent3dvEXT", typeof(GL.Delegates.Tangent3dvEXT_));
            GL.Tangent3fEXT = (GL.Delegates.Tangent3fEXT)GetAddress("glTangent3fEXT", typeof(GL.Delegates.Tangent3fEXT));
            GL.Tangent3fvEXT_ = (GL.Delegates.Tangent3fvEXT_)GetAddress("glTangent3fvEXT", typeof(GL.Delegates.Tangent3fvEXT_));
            GL.Tangent3iEXT = (GL.Delegates.Tangent3iEXT)GetAddress("glTangent3iEXT", typeof(GL.Delegates.Tangent3iEXT));
            GL.Tangent3ivEXT_ = (GL.Delegates.Tangent3ivEXT_)GetAddress("glTangent3ivEXT", typeof(GL.Delegates.Tangent3ivEXT_));
            GL.Tangent3sEXT = (GL.Delegates.Tangent3sEXT)GetAddress("glTangent3sEXT", typeof(GL.Delegates.Tangent3sEXT));
            GL.Tangent3svEXT_ = (GL.Delegates.Tangent3svEXT_)GetAddress("glTangent3svEXT", typeof(GL.Delegates.Tangent3svEXT_));
            GL.Binormal3bEXT = (GL.Delegates.Binormal3bEXT)GetAddress("glBinormal3bEXT", typeof(GL.Delegates.Binormal3bEXT));
            GL.Binormal3bvEXT_ = (GL.Delegates.Binormal3bvEXT_)GetAddress("glBinormal3bvEXT", typeof(GL.Delegates.Binormal3bvEXT_));
            GL.Binormal3dEXT = (GL.Delegates.Binormal3dEXT)GetAddress("glBinormal3dEXT", typeof(GL.Delegates.Binormal3dEXT));
            GL.Binormal3dvEXT_ = (GL.Delegates.Binormal3dvEXT_)GetAddress("glBinormal3dvEXT", typeof(GL.Delegates.Binormal3dvEXT_));
            GL.Binormal3fEXT = (GL.Delegates.Binormal3fEXT)GetAddress("glBinormal3fEXT", typeof(GL.Delegates.Binormal3fEXT));
            GL.Binormal3fvEXT_ = (GL.Delegates.Binormal3fvEXT_)GetAddress("glBinormal3fvEXT", typeof(GL.Delegates.Binormal3fvEXT_));
            GL.Binormal3iEXT = (GL.Delegates.Binormal3iEXT)GetAddress("glBinormal3iEXT", typeof(GL.Delegates.Binormal3iEXT));
            GL.Binormal3ivEXT_ = (GL.Delegates.Binormal3ivEXT_)GetAddress("glBinormal3ivEXT", typeof(GL.Delegates.Binormal3ivEXT_));
            GL.Binormal3sEXT = (GL.Delegates.Binormal3sEXT)GetAddress("glBinormal3sEXT", typeof(GL.Delegates.Binormal3sEXT));
            GL.Binormal3svEXT_ = (GL.Delegates.Binormal3svEXT_)GetAddress("glBinormal3svEXT", typeof(GL.Delegates.Binormal3svEXT_));
            GL.TangentPointerEXT_ = (GL.Delegates.TangentPointerEXT_)GetAddress("glTangentPointerEXT", typeof(GL.Delegates.TangentPointerEXT_));
            GL.BinormalPointerEXT_ = (GL.Delegates.BinormalPointerEXT_)GetAddress("glBinormalPointerEXT", typeof(GL.Delegates.BinormalPointerEXT_));
            GL.FinishTextureSUNX = (GL.Delegates.FinishTextureSUNX)GetAddress("glFinishTextureSUNX", typeof(GL.Delegates.FinishTextureSUNX));
            GL.GlobalAlphaFactorbSUN = (GL.Delegates.GlobalAlphaFactorbSUN)GetAddress("glGlobalAlphaFactorbSUN", typeof(GL.Delegates.GlobalAlphaFactorbSUN));
            GL.GlobalAlphaFactorsSUN = (GL.Delegates.GlobalAlphaFactorsSUN)GetAddress("glGlobalAlphaFactorsSUN", typeof(GL.Delegates.GlobalAlphaFactorsSUN));
            GL.GlobalAlphaFactoriSUN = (GL.Delegates.GlobalAlphaFactoriSUN)GetAddress("glGlobalAlphaFactoriSUN", typeof(GL.Delegates.GlobalAlphaFactoriSUN));
            GL.GlobalAlphaFactorfSUN = (GL.Delegates.GlobalAlphaFactorfSUN)GetAddress("glGlobalAlphaFactorfSUN", typeof(GL.Delegates.GlobalAlphaFactorfSUN));
            GL.GlobalAlphaFactordSUN = (GL.Delegates.GlobalAlphaFactordSUN)GetAddress("glGlobalAlphaFactordSUN", typeof(GL.Delegates.GlobalAlphaFactordSUN));
            GL.GlobalAlphaFactorubSUN = (GL.Delegates.GlobalAlphaFactorubSUN)GetAddress("glGlobalAlphaFactorubSUN", typeof(GL.Delegates.GlobalAlphaFactorubSUN));
            GL.GlobalAlphaFactorusSUN = (GL.Delegates.GlobalAlphaFactorusSUN)GetAddress("glGlobalAlphaFactorusSUN", typeof(GL.Delegates.GlobalAlphaFactorusSUN));
            GL.GlobalAlphaFactoruiSUN = (GL.Delegates.GlobalAlphaFactoruiSUN)GetAddress("glGlobalAlphaFactoruiSUN", typeof(GL.Delegates.GlobalAlphaFactoruiSUN));
            GL.ReplacementCodeuiSUN = (GL.Delegates.ReplacementCodeuiSUN)GetAddress("glReplacementCodeuiSUN", typeof(GL.Delegates.ReplacementCodeuiSUN));
            GL.ReplacementCodeusSUN = (GL.Delegates.ReplacementCodeusSUN)GetAddress("glReplacementCodeusSUN", typeof(GL.Delegates.ReplacementCodeusSUN));
            GL.ReplacementCodeubSUN = (GL.Delegates.ReplacementCodeubSUN)GetAddress("glReplacementCodeubSUN", typeof(GL.Delegates.ReplacementCodeubSUN));
            GL.ReplacementCodeuivSUN_ = (GL.Delegates.ReplacementCodeuivSUN_)GetAddress("glReplacementCodeuivSUN", typeof(GL.Delegates.ReplacementCodeuivSUN_));
            GL.ReplacementCodeusvSUN_ = (GL.Delegates.ReplacementCodeusvSUN_)GetAddress("glReplacementCodeusvSUN", typeof(GL.Delegates.ReplacementCodeusvSUN_));
            GL.ReplacementCodeubvSUN_ = (GL.Delegates.ReplacementCodeubvSUN_)GetAddress("glReplacementCodeubvSUN", typeof(GL.Delegates.ReplacementCodeubvSUN_));
            GL.ReplacementCodePointerSUN_ = (GL.Delegates.ReplacementCodePointerSUN_)GetAddress("glReplacementCodePointerSUN", typeof(GL.Delegates.ReplacementCodePointerSUN_));
            GL.Color4ubVertex2fSUN = (GL.Delegates.Color4ubVertex2fSUN)GetAddress("glColor4ubVertex2fSUN", typeof(GL.Delegates.Color4ubVertex2fSUN));
            GL.Color4ubVertex2fvSUN_ = (GL.Delegates.Color4ubVertex2fvSUN_)GetAddress("glColor4ubVertex2fvSUN", typeof(GL.Delegates.Color4ubVertex2fvSUN_));
            GL.Color4ubVertex3fSUN = (GL.Delegates.Color4ubVertex3fSUN)GetAddress("glColor4ubVertex3fSUN", typeof(GL.Delegates.Color4ubVertex3fSUN));
            GL.Color4ubVertex3fvSUN_ = (GL.Delegates.Color4ubVertex3fvSUN_)GetAddress("glColor4ubVertex3fvSUN", typeof(GL.Delegates.Color4ubVertex3fvSUN_));
            GL.Color3fVertex3fSUN = (GL.Delegates.Color3fVertex3fSUN)GetAddress("glColor3fVertex3fSUN", typeof(GL.Delegates.Color3fVertex3fSUN));
            GL.Color3fVertex3fvSUN_ = (GL.Delegates.Color3fVertex3fvSUN_)GetAddress("glColor3fVertex3fvSUN", typeof(GL.Delegates.Color3fVertex3fvSUN_));
            GL.Normal3fVertex3fSUN = (GL.Delegates.Normal3fVertex3fSUN)GetAddress("glNormal3fVertex3fSUN", typeof(GL.Delegates.Normal3fVertex3fSUN));
            GL.Normal3fVertex3fvSUN_ = (GL.Delegates.Normal3fVertex3fvSUN_)GetAddress("glNormal3fVertex3fvSUN", typeof(GL.Delegates.Normal3fVertex3fvSUN_));
            GL.Color4fNormal3fVertex3fSUN = (GL.Delegates.Color4fNormal3fVertex3fSUN)GetAddress("glColor4fNormal3fVertex3fSUN", typeof(GL.Delegates.Color4fNormal3fVertex3fSUN));
            GL.Color4fNormal3fVertex3fvSUN_ = (GL.Delegates.Color4fNormal3fVertex3fvSUN_)GetAddress("glColor4fNormal3fVertex3fvSUN", typeof(GL.Delegates.Color4fNormal3fVertex3fvSUN_));
            GL.TexCoord2fVertex3fSUN = (GL.Delegates.TexCoord2fVertex3fSUN)GetAddress("glTexCoord2fVertex3fSUN", typeof(GL.Delegates.TexCoord2fVertex3fSUN));
            GL.TexCoord2fVertex3fvSUN_ = (GL.Delegates.TexCoord2fVertex3fvSUN_)GetAddress("glTexCoord2fVertex3fvSUN", typeof(GL.Delegates.TexCoord2fVertex3fvSUN_));
            GL.TexCoord4fVertex4fSUN = (GL.Delegates.TexCoord4fVertex4fSUN)GetAddress("glTexCoord4fVertex4fSUN", typeof(GL.Delegates.TexCoord4fVertex4fSUN));
            GL.TexCoord4fVertex4fvSUN_ = (GL.Delegates.TexCoord4fVertex4fvSUN_)GetAddress("glTexCoord4fVertex4fvSUN", typeof(GL.Delegates.TexCoord4fVertex4fvSUN_));
            GL.TexCoord2fColor4ubVertex3fSUN = (GL.Delegates.TexCoord2fColor4ubVertex3fSUN)GetAddress("glTexCoord2fColor4ubVertex3fSUN", typeof(GL.Delegates.TexCoord2fColor4ubVertex3fSUN));
            GL.TexCoord2fColor4ubVertex3fvSUN_ = (GL.Delegates.TexCoord2fColor4ubVertex3fvSUN_)GetAddress("glTexCoord2fColor4ubVertex3fvSUN", typeof(GL.Delegates.TexCoord2fColor4ubVertex3fvSUN_));
            GL.TexCoord2fColor3fVertex3fSUN = (GL.Delegates.TexCoord2fColor3fVertex3fSUN)GetAddress("glTexCoord2fColor3fVertex3fSUN", typeof(GL.Delegates.TexCoord2fColor3fVertex3fSUN));
            GL.TexCoord2fColor3fVertex3fvSUN_ = (GL.Delegates.TexCoord2fColor3fVertex3fvSUN_)GetAddress("glTexCoord2fColor3fVertex3fvSUN", typeof(GL.Delegates.TexCoord2fColor3fVertex3fvSUN_));
            GL.TexCoord2fNormal3fVertex3fSUN = (GL.Delegates.TexCoord2fNormal3fVertex3fSUN)GetAddress("glTexCoord2fNormal3fVertex3fSUN", typeof(GL.Delegates.TexCoord2fNormal3fVertex3fSUN));
            GL.TexCoord2fNormal3fVertex3fvSUN_ = (GL.Delegates.TexCoord2fNormal3fVertex3fvSUN_)GetAddress("glTexCoord2fNormal3fVertex3fvSUN", typeof(GL.Delegates.TexCoord2fNormal3fVertex3fvSUN_));
            GL.TexCoord2fColor4fNormal3fVertex3fSUN = (GL.Delegates.TexCoord2fColor4fNormal3fVertex3fSUN)GetAddress("glTexCoord2fColor4fNormal3fVertex3fSUN", typeof(GL.Delegates.TexCoord2fColor4fNormal3fVertex3fSUN));
            GL.TexCoord2fColor4fNormal3fVertex3fvSUN_ = (GL.Delegates.TexCoord2fColor4fNormal3fVertex3fvSUN_)GetAddress("glTexCoord2fColor4fNormal3fVertex3fvSUN", typeof(GL.Delegates.TexCoord2fColor4fNormal3fVertex3fvSUN_));
            GL.TexCoord4fColor4fNormal3fVertex4fSUN = (GL.Delegates.TexCoord4fColor4fNormal3fVertex4fSUN)GetAddress("glTexCoord4fColor4fNormal3fVertex4fSUN", typeof(GL.Delegates.TexCoord4fColor4fNormal3fVertex4fSUN));
            GL.TexCoord4fColor4fNormal3fVertex4fvSUN_ = (GL.Delegates.TexCoord4fColor4fNormal3fVertex4fvSUN_)GetAddress("glTexCoord4fColor4fNormal3fVertex4fvSUN", typeof(GL.Delegates.TexCoord4fColor4fNormal3fVertex4fvSUN_));
            GL.ReplacementCodeuiVertex3fSUN = (GL.Delegates.ReplacementCodeuiVertex3fSUN)GetAddress("glReplacementCodeuiVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiVertex3fSUN));
            GL.ReplacementCodeuiVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiVertex3fvSUN_)GetAddress("glReplacementCodeuiVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiVertex3fvSUN_));
            GL.ReplacementCodeuiColor4ubVertex3fSUN = (GL.Delegates.ReplacementCodeuiColor4ubVertex3fSUN)GetAddress("glReplacementCodeuiColor4ubVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiColor4ubVertex3fSUN));
            GL.ReplacementCodeuiColor4ubVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiColor4ubVertex3fvSUN_)GetAddress("glReplacementCodeuiColor4ubVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiColor4ubVertex3fvSUN_));
            GL.ReplacementCodeuiColor3fVertex3fSUN = (GL.Delegates.ReplacementCodeuiColor3fVertex3fSUN)GetAddress("glReplacementCodeuiColor3fVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiColor3fVertex3fSUN));
            GL.ReplacementCodeuiColor3fVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiColor3fVertex3fvSUN_)GetAddress("glReplacementCodeuiColor3fVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiColor3fVertex3fvSUN_));
            GL.ReplacementCodeuiNormal3fVertex3fSUN = (GL.Delegates.ReplacementCodeuiNormal3fVertex3fSUN)GetAddress("glReplacementCodeuiNormal3fVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiNormal3fVertex3fSUN));
            GL.ReplacementCodeuiNormal3fVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiNormal3fVertex3fvSUN_)GetAddress("glReplacementCodeuiNormal3fVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiNormal3fVertex3fvSUN_));
            GL.ReplacementCodeuiColor4fNormal3fVertex3fSUN = (GL.Delegates.ReplacementCodeuiColor4fNormal3fVertex3fSUN)GetAddress("glReplacementCodeuiColor4fNormal3fVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiColor4fNormal3fVertex3fSUN));
            GL.ReplacementCodeuiColor4fNormal3fVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiColor4fNormal3fVertex3fvSUN_)GetAddress("glReplacementCodeuiColor4fNormal3fVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiColor4fNormal3fVertex3fvSUN_));
            GL.ReplacementCodeuiTexCoord2fVertex3fSUN = (GL.Delegates.ReplacementCodeuiTexCoord2fVertex3fSUN)GetAddress("glReplacementCodeuiTexCoord2fVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiTexCoord2fVertex3fSUN));
            GL.ReplacementCodeuiTexCoord2fVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiTexCoord2fVertex3fvSUN_)GetAddress("glReplacementCodeuiTexCoord2fVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiTexCoord2fVertex3fvSUN_));
            GL.ReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = (GL.Delegates.ReplacementCodeuiTexCoord2fNormal3fVertex3fSUN)GetAddress("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiTexCoord2fNormal3fVertex3fSUN));
            GL.ReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_)GetAddress("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN_));
            GL.ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = (GL.Delegates.ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN)GetAddress("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN", typeof(GL.Delegates.ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN));
            GL.ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_ = (GL.Delegates.ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_)GetAddress("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN", typeof(GL.Delegates.ReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN_));
            GL.BlendFuncSeparateEXT = (GL.Delegates.BlendFuncSeparateEXT)GetAddress("glBlendFuncSeparateEXT", typeof(GL.Delegates.BlendFuncSeparateEXT));
            GL.BlendFuncSeparateINGR = (GL.Delegates.BlendFuncSeparateINGR)GetAddress("glBlendFuncSeparateINGR", typeof(GL.Delegates.BlendFuncSeparateINGR));
            GL.VertexWeightfEXT = (GL.Delegates.VertexWeightfEXT)GetAddress("glVertexWeightfEXT", typeof(GL.Delegates.VertexWeightfEXT));
            GL.VertexWeightfvEXT_ = (GL.Delegates.VertexWeightfvEXT_)GetAddress("glVertexWeightfvEXT", typeof(GL.Delegates.VertexWeightfvEXT_));
            GL.VertexWeightPointerEXT_ = (GL.Delegates.VertexWeightPointerEXT_)GetAddress("glVertexWeightPointerEXT", typeof(GL.Delegates.VertexWeightPointerEXT_));
            GL.FlushVertexArrayRangeNV = (GL.Delegates.FlushVertexArrayRangeNV)GetAddress("glFlushVertexArrayRangeNV", typeof(GL.Delegates.FlushVertexArrayRangeNV));
            GL.VertexArrayRangeNV_ = (GL.Delegates.VertexArrayRangeNV_)GetAddress("glVertexArrayRangeNV", typeof(GL.Delegates.VertexArrayRangeNV_));
            GL.CombinerParameterfvNV_ = (GL.Delegates.CombinerParameterfvNV_)GetAddress("glCombinerParameterfvNV", typeof(GL.Delegates.CombinerParameterfvNV_));
            GL.CombinerParameterfNV = (GL.Delegates.CombinerParameterfNV)GetAddress("glCombinerParameterfNV", typeof(GL.Delegates.CombinerParameterfNV));
            GL.CombinerParameterivNV_ = (GL.Delegates.CombinerParameterivNV_)GetAddress("glCombinerParameterivNV", typeof(GL.Delegates.CombinerParameterivNV_));
            GL.CombinerParameteriNV = (GL.Delegates.CombinerParameteriNV)GetAddress("glCombinerParameteriNV", typeof(GL.Delegates.CombinerParameteriNV));
            GL.CombinerInputNV = (GL.Delegates.CombinerInputNV)GetAddress("glCombinerInputNV", typeof(GL.Delegates.CombinerInputNV));
            GL.CombinerOutputNV = (GL.Delegates.CombinerOutputNV)GetAddress("glCombinerOutputNV", typeof(GL.Delegates.CombinerOutputNV));
            GL.FinalCombinerInputNV = (GL.Delegates.FinalCombinerInputNV)GetAddress("glFinalCombinerInputNV", typeof(GL.Delegates.FinalCombinerInputNV));
            GL.GetCombinerInputParameterfvNV_ = (GL.Delegates.GetCombinerInputParameterfvNV_)GetAddress("glGetCombinerInputParameterfvNV", typeof(GL.Delegates.GetCombinerInputParameterfvNV_));
            GL.GetCombinerInputParameterivNV_ = (GL.Delegates.GetCombinerInputParameterivNV_)GetAddress("glGetCombinerInputParameterivNV", typeof(GL.Delegates.GetCombinerInputParameterivNV_));
            GL.GetCombinerOutputParameterfvNV_ = (GL.Delegates.GetCombinerOutputParameterfvNV_)GetAddress("glGetCombinerOutputParameterfvNV", typeof(GL.Delegates.GetCombinerOutputParameterfvNV_));
            GL.GetCombinerOutputParameterivNV_ = (GL.Delegates.GetCombinerOutputParameterivNV_)GetAddress("glGetCombinerOutputParameterivNV", typeof(GL.Delegates.GetCombinerOutputParameterivNV_));
            GL.GetFinalCombinerInputParameterfvNV_ = (GL.Delegates.GetFinalCombinerInputParameterfvNV_)GetAddress("glGetFinalCombinerInputParameterfvNV", typeof(GL.Delegates.GetFinalCombinerInputParameterfvNV_));
            GL.GetFinalCombinerInputParameterivNV_ = (GL.Delegates.GetFinalCombinerInputParameterivNV_)GetAddress("glGetFinalCombinerInputParameterivNV", typeof(GL.Delegates.GetFinalCombinerInputParameterivNV_));
            GL.ResizeBuffersMESA = (GL.Delegates.ResizeBuffersMESA)GetAddress("glResizeBuffersMESA", typeof(GL.Delegates.ResizeBuffersMESA));
            GL.WindowPos2dMESA = (GL.Delegates.WindowPos2dMESA)GetAddress("glWindowPos2dMESA", typeof(GL.Delegates.WindowPos2dMESA));
            GL.WindowPos2dvMESA_ = (GL.Delegates.WindowPos2dvMESA_)GetAddress("glWindowPos2dvMESA", typeof(GL.Delegates.WindowPos2dvMESA_));
            GL.WindowPos2fMESA = (GL.Delegates.WindowPos2fMESA)GetAddress("glWindowPos2fMESA", typeof(GL.Delegates.WindowPos2fMESA));
            GL.WindowPos2fvMESA_ = (GL.Delegates.WindowPos2fvMESA_)GetAddress("glWindowPos2fvMESA", typeof(GL.Delegates.WindowPos2fvMESA_));
            GL.WindowPos2iMESA = (GL.Delegates.WindowPos2iMESA)GetAddress("glWindowPos2iMESA", typeof(GL.Delegates.WindowPos2iMESA));
            GL.WindowPos2ivMESA_ = (GL.Delegates.WindowPos2ivMESA_)GetAddress("glWindowPos2ivMESA", typeof(GL.Delegates.WindowPos2ivMESA_));
            GL.WindowPos2sMESA = (GL.Delegates.WindowPos2sMESA)GetAddress("glWindowPos2sMESA", typeof(GL.Delegates.WindowPos2sMESA));
            GL.WindowPos2svMESA_ = (GL.Delegates.WindowPos2svMESA_)GetAddress("glWindowPos2svMESA", typeof(GL.Delegates.WindowPos2svMESA_));
            GL.WindowPos3dMESA = (GL.Delegates.WindowPos3dMESA)GetAddress("glWindowPos3dMESA", typeof(GL.Delegates.WindowPos3dMESA));
            GL.WindowPos3dvMESA_ = (GL.Delegates.WindowPos3dvMESA_)GetAddress("glWindowPos3dvMESA", typeof(GL.Delegates.WindowPos3dvMESA_));
            GL.WindowPos3fMESA = (GL.Delegates.WindowPos3fMESA)GetAddress("glWindowPos3fMESA", typeof(GL.Delegates.WindowPos3fMESA));
            GL.WindowPos3fvMESA_ = (GL.Delegates.WindowPos3fvMESA_)GetAddress("glWindowPos3fvMESA", typeof(GL.Delegates.WindowPos3fvMESA_));
            GL.WindowPos3iMESA = (GL.Delegates.WindowPos3iMESA)GetAddress("glWindowPos3iMESA", typeof(GL.Delegates.WindowPos3iMESA));
            GL.WindowPos3ivMESA_ = (GL.Delegates.WindowPos3ivMESA_)GetAddress("glWindowPos3ivMESA", typeof(GL.Delegates.WindowPos3ivMESA_));
            GL.WindowPos3sMESA = (GL.Delegates.WindowPos3sMESA)GetAddress("glWindowPos3sMESA", typeof(GL.Delegates.WindowPos3sMESA));
            GL.WindowPos3svMESA_ = (GL.Delegates.WindowPos3svMESA_)GetAddress("glWindowPos3svMESA", typeof(GL.Delegates.WindowPos3svMESA_));
            GL.WindowPos4dMESA = (GL.Delegates.WindowPos4dMESA)GetAddress("glWindowPos4dMESA", typeof(GL.Delegates.WindowPos4dMESA));
            GL.WindowPos4dvMESA_ = (GL.Delegates.WindowPos4dvMESA_)GetAddress("glWindowPos4dvMESA", typeof(GL.Delegates.WindowPos4dvMESA_));
            GL.WindowPos4fMESA = (GL.Delegates.WindowPos4fMESA)GetAddress("glWindowPos4fMESA", typeof(GL.Delegates.WindowPos4fMESA));
            GL.WindowPos4fvMESA_ = (GL.Delegates.WindowPos4fvMESA_)GetAddress("glWindowPos4fvMESA", typeof(GL.Delegates.WindowPos4fvMESA_));
            GL.WindowPos4iMESA = (GL.Delegates.WindowPos4iMESA)GetAddress("glWindowPos4iMESA", typeof(GL.Delegates.WindowPos4iMESA));
            GL.WindowPos4ivMESA_ = (GL.Delegates.WindowPos4ivMESA_)GetAddress("glWindowPos4ivMESA", typeof(GL.Delegates.WindowPos4ivMESA_));
            GL.WindowPos4sMESA = (GL.Delegates.WindowPos4sMESA)GetAddress("glWindowPos4sMESA", typeof(GL.Delegates.WindowPos4sMESA));
            GL.WindowPos4svMESA_ = (GL.Delegates.WindowPos4svMESA_)GetAddress("glWindowPos4svMESA", typeof(GL.Delegates.WindowPos4svMESA_));
            GL.MultiModeDrawArraysIBM_ = (GL.Delegates.MultiModeDrawArraysIBM_)GetAddress("glMultiModeDrawArraysIBM", typeof(GL.Delegates.MultiModeDrawArraysIBM_));
            GL.MultiModeDrawElementsIBM_ = (GL.Delegates.MultiModeDrawElementsIBM_)GetAddress("glMultiModeDrawElementsIBM", typeof(GL.Delegates.MultiModeDrawElementsIBM_));
            GL.ColorPointerListIBM_ = (GL.Delegates.ColorPointerListIBM_)GetAddress("glColorPointerListIBM", typeof(GL.Delegates.ColorPointerListIBM_));
            GL.SecondaryColorPointerListIBM_ = (GL.Delegates.SecondaryColorPointerListIBM_)GetAddress("glSecondaryColorPointerListIBM", typeof(GL.Delegates.SecondaryColorPointerListIBM_));
            GL.EdgeFlagPointerListIBM_ = (GL.Delegates.EdgeFlagPointerListIBM_)GetAddress("glEdgeFlagPointerListIBM", typeof(GL.Delegates.EdgeFlagPointerListIBM_));
            GL.FogCoordPointerListIBM_ = (GL.Delegates.FogCoordPointerListIBM_)GetAddress("glFogCoordPointerListIBM", typeof(GL.Delegates.FogCoordPointerListIBM_));
            GL.IndexPointerListIBM_ = (GL.Delegates.IndexPointerListIBM_)GetAddress("glIndexPointerListIBM", typeof(GL.Delegates.IndexPointerListIBM_));
            GL.NormalPointerListIBM_ = (GL.Delegates.NormalPointerListIBM_)GetAddress("glNormalPointerListIBM", typeof(GL.Delegates.NormalPointerListIBM_));
            GL.TexCoordPointerListIBM_ = (GL.Delegates.TexCoordPointerListIBM_)GetAddress("glTexCoordPointerListIBM", typeof(GL.Delegates.TexCoordPointerListIBM_));
            GL.VertexPointerListIBM_ = (GL.Delegates.VertexPointerListIBM_)GetAddress("glVertexPointerListIBM", typeof(GL.Delegates.VertexPointerListIBM_));
            GL.TbufferMask3DFX = (GL.Delegates.TbufferMask3DFX)GetAddress("glTbufferMask3DFX", typeof(GL.Delegates.TbufferMask3DFX));
            GL.SampleMaskEXT = (GL.Delegates.SampleMaskEXT)GetAddress("glSampleMaskEXT", typeof(GL.Delegates.SampleMaskEXT));
            GL.SamplePatternEXT = (GL.Delegates.SamplePatternEXT)GetAddress("glSamplePatternEXT", typeof(GL.Delegates.SamplePatternEXT));
            GL.TextureColorMaskSGIS = (GL.Delegates.TextureColorMaskSGIS)GetAddress("glTextureColorMaskSGIS", typeof(GL.Delegates.TextureColorMaskSGIS));
            GL.IglooInterfaceSGIX_ = (GL.Delegates.IglooInterfaceSGIX_)GetAddress("glIglooInterfaceSGIX", typeof(GL.Delegates.IglooInterfaceSGIX_));
            GL.DeleteFencesNV_ = (GL.Delegates.DeleteFencesNV_)GetAddress("glDeleteFencesNV", typeof(GL.Delegates.DeleteFencesNV_));
            GL.GenFencesNV_ = (GL.Delegates.GenFencesNV_)GetAddress("glGenFencesNV", typeof(GL.Delegates.GenFencesNV_));
            GL.IsFenceNV = (GL.Delegates.IsFenceNV)GetAddress("glIsFenceNV", typeof(GL.Delegates.IsFenceNV));
            GL.TestFenceNV = (GL.Delegates.TestFenceNV)GetAddress("glTestFenceNV", typeof(GL.Delegates.TestFenceNV));
            GL.GetFenceivNV_ = (GL.Delegates.GetFenceivNV_)GetAddress("glGetFenceivNV", typeof(GL.Delegates.GetFenceivNV_));
            GL.FinishFenceNV = (GL.Delegates.FinishFenceNV)GetAddress("glFinishFenceNV", typeof(GL.Delegates.FinishFenceNV));
            GL.SetFenceNV = (GL.Delegates.SetFenceNV)GetAddress("glSetFenceNV", typeof(GL.Delegates.SetFenceNV));
            GL.MapControlPointsNV_ = (GL.Delegates.MapControlPointsNV_)GetAddress("glMapControlPointsNV", typeof(GL.Delegates.MapControlPointsNV_));
            GL.MapParameterivNV_ = (GL.Delegates.MapParameterivNV_)GetAddress("glMapParameterivNV", typeof(GL.Delegates.MapParameterivNV_));
            GL.MapParameterfvNV_ = (GL.Delegates.MapParameterfvNV_)GetAddress("glMapParameterfvNV", typeof(GL.Delegates.MapParameterfvNV_));
            GL.GetMapControlPointsNV_ = (GL.Delegates.GetMapControlPointsNV_)GetAddress("glGetMapControlPointsNV", typeof(GL.Delegates.GetMapControlPointsNV_));
            GL.GetMapParameterivNV_ = (GL.Delegates.GetMapParameterivNV_)GetAddress("glGetMapParameterivNV", typeof(GL.Delegates.GetMapParameterivNV_));
            GL.GetMapParameterfvNV_ = (GL.Delegates.GetMapParameterfvNV_)GetAddress("glGetMapParameterfvNV", typeof(GL.Delegates.GetMapParameterfvNV_));
            GL.GetMapAttribParameterivNV_ = (GL.Delegates.GetMapAttribParameterivNV_)GetAddress("glGetMapAttribParameterivNV", typeof(GL.Delegates.GetMapAttribParameterivNV_));
            GL.GetMapAttribParameterfvNV_ = (GL.Delegates.GetMapAttribParameterfvNV_)GetAddress("glGetMapAttribParameterfvNV", typeof(GL.Delegates.GetMapAttribParameterfvNV_));
            GL.EvalMapsNV = (GL.Delegates.EvalMapsNV)GetAddress("glEvalMapsNV", typeof(GL.Delegates.EvalMapsNV));
            GL.CombinerStageParameterfvNV_ = (GL.Delegates.CombinerStageParameterfvNV_)GetAddress("glCombinerStageParameterfvNV", typeof(GL.Delegates.CombinerStageParameterfvNV_));
            GL.GetCombinerStageParameterfvNV_ = (GL.Delegates.GetCombinerStageParameterfvNV_)GetAddress("glGetCombinerStageParameterfvNV", typeof(GL.Delegates.GetCombinerStageParameterfvNV_));
            GL.AreProgramsResidentNV_ = (GL.Delegates.AreProgramsResidentNV_)GetAddress("glAreProgramsResidentNV", typeof(GL.Delegates.AreProgramsResidentNV_));
            GL.BindProgramNV = (GL.Delegates.BindProgramNV)GetAddress("glBindProgramNV", typeof(GL.Delegates.BindProgramNV));
            GL.DeleteProgramsNV_ = (GL.Delegates.DeleteProgramsNV_)GetAddress("glDeleteProgramsNV", typeof(GL.Delegates.DeleteProgramsNV_));
            GL.ExecuteProgramNV_ = (GL.Delegates.ExecuteProgramNV_)GetAddress("glExecuteProgramNV", typeof(GL.Delegates.ExecuteProgramNV_));
            GL.GenProgramsNV_ = (GL.Delegates.GenProgramsNV_)GetAddress("glGenProgramsNV", typeof(GL.Delegates.GenProgramsNV_));
            GL.GetProgramParameterdvNV_ = (GL.Delegates.GetProgramParameterdvNV_)GetAddress("glGetProgramParameterdvNV", typeof(GL.Delegates.GetProgramParameterdvNV_));
            GL.GetProgramParameterfvNV_ = (GL.Delegates.GetProgramParameterfvNV_)GetAddress("glGetProgramParameterfvNV", typeof(GL.Delegates.GetProgramParameterfvNV_));
            GL.GetProgramivNV_ = (GL.Delegates.GetProgramivNV_)GetAddress("glGetProgramivNV", typeof(GL.Delegates.GetProgramivNV_));
            GL.GetProgramStringNV_ = (GL.Delegates.GetProgramStringNV_)GetAddress("glGetProgramStringNV", typeof(GL.Delegates.GetProgramStringNV_));
            GL.GetTrackMatrixivNV_ = (GL.Delegates.GetTrackMatrixivNV_)GetAddress("glGetTrackMatrixivNV", typeof(GL.Delegates.GetTrackMatrixivNV_));
            GL.GetVertexAttribdvNV_ = (GL.Delegates.GetVertexAttribdvNV_)GetAddress("glGetVertexAttribdvNV", typeof(GL.Delegates.GetVertexAttribdvNV_));
            GL.GetVertexAttribfvNV_ = (GL.Delegates.GetVertexAttribfvNV_)GetAddress("glGetVertexAttribfvNV", typeof(GL.Delegates.GetVertexAttribfvNV_));
            GL.GetVertexAttribivNV_ = (GL.Delegates.GetVertexAttribivNV_)GetAddress("glGetVertexAttribivNV", typeof(GL.Delegates.GetVertexAttribivNV_));
            GL.GetVertexAttribPointervNV_ = (GL.Delegates.GetVertexAttribPointervNV_)GetAddress("glGetVertexAttribPointervNV", typeof(GL.Delegates.GetVertexAttribPointervNV_));
            GL.IsProgramNV = (GL.Delegates.IsProgramNV)GetAddress("glIsProgramNV", typeof(GL.Delegates.IsProgramNV));
            GL.LoadProgramNV_ = (GL.Delegates.LoadProgramNV_)GetAddress("glLoadProgramNV", typeof(GL.Delegates.LoadProgramNV_));
            GL.ProgramParameter4dNV = (GL.Delegates.ProgramParameter4dNV)GetAddress("glProgramParameter4dNV", typeof(GL.Delegates.ProgramParameter4dNV));
            GL.ProgramParameter4dvNV_ = (GL.Delegates.ProgramParameter4dvNV_)GetAddress("glProgramParameter4dvNV", typeof(GL.Delegates.ProgramParameter4dvNV_));
            GL.ProgramParameter4fNV = (GL.Delegates.ProgramParameter4fNV)GetAddress("glProgramParameter4fNV", typeof(GL.Delegates.ProgramParameter4fNV));
            GL.ProgramParameter4fvNV_ = (GL.Delegates.ProgramParameter4fvNV_)GetAddress("glProgramParameter4fvNV", typeof(GL.Delegates.ProgramParameter4fvNV_));
            GL.ProgramParameters4dvNV_ = (GL.Delegates.ProgramParameters4dvNV_)GetAddress("glProgramParameters4dvNV", typeof(GL.Delegates.ProgramParameters4dvNV_));
            GL.ProgramParameters4fvNV_ = (GL.Delegates.ProgramParameters4fvNV_)GetAddress("glProgramParameters4fvNV", typeof(GL.Delegates.ProgramParameters4fvNV_));
            GL.RequestResidentProgramsNV_ = (GL.Delegates.RequestResidentProgramsNV_)GetAddress("glRequestResidentProgramsNV", typeof(GL.Delegates.RequestResidentProgramsNV_));
            GL.TrackMatrixNV = (GL.Delegates.TrackMatrixNV)GetAddress("glTrackMatrixNV", typeof(GL.Delegates.TrackMatrixNV));
            GL.VertexAttribPointerNV_ = (GL.Delegates.VertexAttribPointerNV_)GetAddress("glVertexAttribPointerNV", typeof(GL.Delegates.VertexAttribPointerNV_));
            GL.VertexAttrib1dNV = (GL.Delegates.VertexAttrib1dNV)GetAddress("glVertexAttrib1dNV", typeof(GL.Delegates.VertexAttrib1dNV));
            GL.VertexAttrib1dvNV_ = (GL.Delegates.VertexAttrib1dvNV_)GetAddress("glVertexAttrib1dvNV", typeof(GL.Delegates.VertexAttrib1dvNV_));
            GL.VertexAttrib1fNV = (GL.Delegates.VertexAttrib1fNV)GetAddress("glVertexAttrib1fNV", typeof(GL.Delegates.VertexAttrib1fNV));
            GL.VertexAttrib1fvNV_ = (GL.Delegates.VertexAttrib1fvNV_)GetAddress("glVertexAttrib1fvNV", typeof(GL.Delegates.VertexAttrib1fvNV_));
            GL.VertexAttrib1sNV = (GL.Delegates.VertexAttrib1sNV)GetAddress("glVertexAttrib1sNV", typeof(GL.Delegates.VertexAttrib1sNV));
            GL.VertexAttrib1svNV_ = (GL.Delegates.VertexAttrib1svNV_)GetAddress("glVertexAttrib1svNV", typeof(GL.Delegates.VertexAttrib1svNV_));
            GL.VertexAttrib2dNV = (GL.Delegates.VertexAttrib2dNV)GetAddress("glVertexAttrib2dNV", typeof(GL.Delegates.VertexAttrib2dNV));
            GL.VertexAttrib2dvNV_ = (GL.Delegates.VertexAttrib2dvNV_)GetAddress("glVertexAttrib2dvNV", typeof(GL.Delegates.VertexAttrib2dvNV_));
            GL.VertexAttrib2fNV = (GL.Delegates.VertexAttrib2fNV)GetAddress("glVertexAttrib2fNV", typeof(GL.Delegates.VertexAttrib2fNV));
            GL.VertexAttrib2fvNV_ = (GL.Delegates.VertexAttrib2fvNV_)GetAddress("glVertexAttrib2fvNV", typeof(GL.Delegates.VertexAttrib2fvNV_));
            GL.VertexAttrib2sNV = (GL.Delegates.VertexAttrib2sNV)GetAddress("glVertexAttrib2sNV", typeof(GL.Delegates.VertexAttrib2sNV));
            GL.VertexAttrib2svNV_ = (GL.Delegates.VertexAttrib2svNV_)GetAddress("glVertexAttrib2svNV", typeof(GL.Delegates.VertexAttrib2svNV_));
            GL.VertexAttrib3dNV = (GL.Delegates.VertexAttrib3dNV)GetAddress("glVertexAttrib3dNV", typeof(GL.Delegates.VertexAttrib3dNV));
            GL.VertexAttrib3dvNV_ = (GL.Delegates.VertexAttrib3dvNV_)GetAddress("glVertexAttrib3dvNV", typeof(GL.Delegates.VertexAttrib3dvNV_));
            GL.VertexAttrib3fNV = (GL.Delegates.VertexAttrib3fNV)GetAddress("glVertexAttrib3fNV", typeof(GL.Delegates.VertexAttrib3fNV));
            GL.VertexAttrib3fvNV_ = (GL.Delegates.VertexAttrib3fvNV_)GetAddress("glVertexAttrib3fvNV", typeof(GL.Delegates.VertexAttrib3fvNV_));
            GL.VertexAttrib3sNV = (GL.Delegates.VertexAttrib3sNV)GetAddress("glVertexAttrib3sNV", typeof(GL.Delegates.VertexAttrib3sNV));
            GL.VertexAttrib3svNV_ = (GL.Delegates.VertexAttrib3svNV_)GetAddress("glVertexAttrib3svNV", typeof(GL.Delegates.VertexAttrib3svNV_));
            GL.VertexAttrib4dNV = (GL.Delegates.VertexAttrib4dNV)GetAddress("glVertexAttrib4dNV", typeof(GL.Delegates.VertexAttrib4dNV));
            GL.VertexAttrib4dvNV_ = (GL.Delegates.VertexAttrib4dvNV_)GetAddress("glVertexAttrib4dvNV", typeof(GL.Delegates.VertexAttrib4dvNV_));
            GL.VertexAttrib4fNV = (GL.Delegates.VertexAttrib4fNV)GetAddress("glVertexAttrib4fNV", typeof(GL.Delegates.VertexAttrib4fNV));
            GL.VertexAttrib4fvNV_ = (GL.Delegates.VertexAttrib4fvNV_)GetAddress("glVertexAttrib4fvNV", typeof(GL.Delegates.VertexAttrib4fvNV_));
            GL.VertexAttrib4sNV = (GL.Delegates.VertexAttrib4sNV)GetAddress("glVertexAttrib4sNV", typeof(GL.Delegates.VertexAttrib4sNV));
            GL.VertexAttrib4svNV_ = (GL.Delegates.VertexAttrib4svNV_)GetAddress("glVertexAttrib4svNV", typeof(GL.Delegates.VertexAttrib4svNV_));
            GL.VertexAttrib4ubNV = (GL.Delegates.VertexAttrib4ubNV)GetAddress("glVertexAttrib4ubNV", typeof(GL.Delegates.VertexAttrib4ubNV));
            GL.VertexAttrib4ubvNV_ = (GL.Delegates.VertexAttrib4ubvNV_)GetAddress("glVertexAttrib4ubvNV", typeof(GL.Delegates.VertexAttrib4ubvNV_));
            GL.VertexAttribs1dvNV_ = (GL.Delegates.VertexAttribs1dvNV_)GetAddress("glVertexAttribs1dvNV", typeof(GL.Delegates.VertexAttribs1dvNV_));
            GL.VertexAttribs1fvNV_ = (GL.Delegates.VertexAttribs1fvNV_)GetAddress("glVertexAttribs1fvNV", typeof(GL.Delegates.VertexAttribs1fvNV_));
            GL.VertexAttribs1svNV_ = (GL.Delegates.VertexAttribs1svNV_)GetAddress("glVertexAttribs1svNV", typeof(GL.Delegates.VertexAttribs1svNV_));
            GL.VertexAttribs2dvNV_ = (GL.Delegates.VertexAttribs2dvNV_)GetAddress("glVertexAttribs2dvNV", typeof(GL.Delegates.VertexAttribs2dvNV_));
            GL.VertexAttribs2fvNV_ = (GL.Delegates.VertexAttribs2fvNV_)GetAddress("glVertexAttribs2fvNV", typeof(GL.Delegates.VertexAttribs2fvNV_));
            GL.VertexAttribs2svNV_ = (GL.Delegates.VertexAttribs2svNV_)GetAddress("glVertexAttribs2svNV", typeof(GL.Delegates.VertexAttribs2svNV_));
            GL.VertexAttribs3dvNV_ = (GL.Delegates.VertexAttribs3dvNV_)GetAddress("glVertexAttribs3dvNV", typeof(GL.Delegates.VertexAttribs3dvNV_));
            GL.VertexAttribs3fvNV_ = (GL.Delegates.VertexAttribs3fvNV_)GetAddress("glVertexAttribs3fvNV", typeof(GL.Delegates.VertexAttribs3fvNV_));
            GL.VertexAttribs3svNV_ = (GL.Delegates.VertexAttribs3svNV_)GetAddress("glVertexAttribs3svNV", typeof(GL.Delegates.VertexAttribs3svNV_));
            GL.VertexAttribs4dvNV_ = (GL.Delegates.VertexAttribs4dvNV_)GetAddress("glVertexAttribs4dvNV", typeof(GL.Delegates.VertexAttribs4dvNV_));
            GL.VertexAttribs4fvNV_ = (GL.Delegates.VertexAttribs4fvNV_)GetAddress("glVertexAttribs4fvNV", typeof(GL.Delegates.VertexAttribs4fvNV_));
            GL.VertexAttribs4svNV_ = (GL.Delegates.VertexAttribs4svNV_)GetAddress("glVertexAttribs4svNV", typeof(GL.Delegates.VertexAttribs4svNV_));
            GL.VertexAttribs4ubvNV_ = (GL.Delegates.VertexAttribs4ubvNV_)GetAddress("glVertexAttribs4ubvNV", typeof(GL.Delegates.VertexAttribs4ubvNV_));
            GL.TexBumpParameterivATI_ = (GL.Delegates.TexBumpParameterivATI_)GetAddress("glTexBumpParameterivATI", typeof(GL.Delegates.TexBumpParameterivATI_));
            GL.TexBumpParameterfvATI_ = (GL.Delegates.TexBumpParameterfvATI_)GetAddress("glTexBumpParameterfvATI", typeof(GL.Delegates.TexBumpParameterfvATI_));
            GL.GetTexBumpParameterivATI_ = (GL.Delegates.GetTexBumpParameterivATI_)GetAddress("glGetTexBumpParameterivATI", typeof(GL.Delegates.GetTexBumpParameterivATI_));
            GL.GetTexBumpParameterfvATI_ = (GL.Delegates.GetTexBumpParameterfvATI_)GetAddress("glGetTexBumpParameterfvATI", typeof(GL.Delegates.GetTexBumpParameterfvATI_));
            GL.GenFragmentShadersATI = (GL.Delegates.GenFragmentShadersATI)GetAddress("glGenFragmentShadersATI", typeof(GL.Delegates.GenFragmentShadersATI));
            GL.BindFragmentShaderATI = (GL.Delegates.BindFragmentShaderATI)GetAddress("glBindFragmentShaderATI", typeof(GL.Delegates.BindFragmentShaderATI));
            GL.DeleteFragmentShaderATI = (GL.Delegates.DeleteFragmentShaderATI)GetAddress("glDeleteFragmentShaderATI", typeof(GL.Delegates.DeleteFragmentShaderATI));
            GL.BeginFragmentShaderATI = (GL.Delegates.BeginFragmentShaderATI)GetAddress("glBeginFragmentShaderATI", typeof(GL.Delegates.BeginFragmentShaderATI));
            GL.EndFragmentShaderATI = (GL.Delegates.EndFragmentShaderATI)GetAddress("glEndFragmentShaderATI", typeof(GL.Delegates.EndFragmentShaderATI));
            GL.PassTexCoordATI = (GL.Delegates.PassTexCoordATI)GetAddress("glPassTexCoordATI", typeof(GL.Delegates.PassTexCoordATI));
            GL.SampleMapATI = (GL.Delegates.SampleMapATI)GetAddress("glSampleMapATI", typeof(GL.Delegates.SampleMapATI));
            GL.ColorFragmentOp1ATI = (GL.Delegates.ColorFragmentOp1ATI)GetAddress("glColorFragmentOp1ATI", typeof(GL.Delegates.ColorFragmentOp1ATI));
            GL.ColorFragmentOp2ATI = (GL.Delegates.ColorFragmentOp2ATI)GetAddress("glColorFragmentOp2ATI", typeof(GL.Delegates.ColorFragmentOp2ATI));
            GL.ColorFragmentOp3ATI = (GL.Delegates.ColorFragmentOp3ATI)GetAddress("glColorFragmentOp3ATI", typeof(GL.Delegates.ColorFragmentOp3ATI));
            GL.AlphaFragmentOp1ATI = (GL.Delegates.AlphaFragmentOp1ATI)GetAddress("glAlphaFragmentOp1ATI", typeof(GL.Delegates.AlphaFragmentOp1ATI));
            GL.AlphaFragmentOp2ATI = (GL.Delegates.AlphaFragmentOp2ATI)GetAddress("glAlphaFragmentOp2ATI", typeof(GL.Delegates.AlphaFragmentOp2ATI));
            GL.AlphaFragmentOp3ATI = (GL.Delegates.AlphaFragmentOp3ATI)GetAddress("glAlphaFragmentOp3ATI", typeof(GL.Delegates.AlphaFragmentOp3ATI));
            GL.SetFragmentShaderConstantATI_ = (GL.Delegates.SetFragmentShaderConstantATI_)GetAddress("glSetFragmentShaderConstantATI", typeof(GL.Delegates.SetFragmentShaderConstantATI_));
            GL.PNTrianglesiATI = (GL.Delegates.PNTrianglesiATI)GetAddress("glPNTrianglesiATI", typeof(GL.Delegates.PNTrianglesiATI));
            GL.PNTrianglesfATI = (GL.Delegates.PNTrianglesfATI)GetAddress("glPNTrianglesfATI", typeof(GL.Delegates.PNTrianglesfATI));
            GL.NewObjectBufferATI_ = (GL.Delegates.NewObjectBufferATI_)GetAddress("glNewObjectBufferATI", typeof(GL.Delegates.NewObjectBufferATI_));
            GL.IsObjectBufferATI = (GL.Delegates.IsObjectBufferATI)GetAddress("glIsObjectBufferATI", typeof(GL.Delegates.IsObjectBufferATI));
            GL.UpdateObjectBufferATI_ = (GL.Delegates.UpdateObjectBufferATI_)GetAddress("glUpdateObjectBufferATI", typeof(GL.Delegates.UpdateObjectBufferATI_));
            GL.GetObjectBufferfvATI_ = (GL.Delegates.GetObjectBufferfvATI_)GetAddress("glGetObjectBufferfvATI", typeof(GL.Delegates.GetObjectBufferfvATI_));
            GL.GetObjectBufferivATI_ = (GL.Delegates.GetObjectBufferivATI_)GetAddress("glGetObjectBufferivATI", typeof(GL.Delegates.GetObjectBufferivATI_));
            GL.FreeObjectBufferATI = (GL.Delegates.FreeObjectBufferATI)GetAddress("glFreeObjectBufferATI", typeof(GL.Delegates.FreeObjectBufferATI));
            GL.ArrayObjectATI = (GL.Delegates.ArrayObjectATI)GetAddress("glArrayObjectATI", typeof(GL.Delegates.ArrayObjectATI));
            GL.GetArrayObjectfvATI_ = (GL.Delegates.GetArrayObjectfvATI_)GetAddress("glGetArrayObjectfvATI", typeof(GL.Delegates.GetArrayObjectfvATI_));
            GL.GetArrayObjectivATI_ = (GL.Delegates.GetArrayObjectivATI_)GetAddress("glGetArrayObjectivATI", typeof(GL.Delegates.GetArrayObjectivATI_));
            GL.VariantArrayObjectATI = (GL.Delegates.VariantArrayObjectATI)GetAddress("glVariantArrayObjectATI", typeof(GL.Delegates.VariantArrayObjectATI));
            GL.GetVariantArrayObjectfvATI_ = (GL.Delegates.GetVariantArrayObjectfvATI_)GetAddress("glGetVariantArrayObjectfvATI", typeof(GL.Delegates.GetVariantArrayObjectfvATI_));
            GL.GetVariantArrayObjectivATI_ = (GL.Delegates.GetVariantArrayObjectivATI_)GetAddress("glGetVariantArrayObjectivATI", typeof(GL.Delegates.GetVariantArrayObjectivATI_));
            GL.BeginVertexShaderEXT = (GL.Delegates.BeginVertexShaderEXT)GetAddress("glBeginVertexShaderEXT", typeof(GL.Delegates.BeginVertexShaderEXT));
            GL.EndVertexShaderEXT = (GL.Delegates.EndVertexShaderEXT)GetAddress("glEndVertexShaderEXT", typeof(GL.Delegates.EndVertexShaderEXT));
            GL.BindVertexShaderEXT = (GL.Delegates.BindVertexShaderEXT)GetAddress("glBindVertexShaderEXT", typeof(GL.Delegates.BindVertexShaderEXT));
            GL.GenVertexShadersEXT = (GL.Delegates.GenVertexShadersEXT)GetAddress("glGenVertexShadersEXT", typeof(GL.Delegates.GenVertexShadersEXT));
            GL.DeleteVertexShaderEXT = (GL.Delegates.DeleteVertexShaderEXT)GetAddress("glDeleteVertexShaderEXT", typeof(GL.Delegates.DeleteVertexShaderEXT));
            GL.ShaderOp1EXT = (GL.Delegates.ShaderOp1EXT)GetAddress("glShaderOp1EXT", typeof(GL.Delegates.ShaderOp1EXT));
            GL.ShaderOp2EXT = (GL.Delegates.ShaderOp2EXT)GetAddress("glShaderOp2EXT", typeof(GL.Delegates.ShaderOp2EXT));
            GL.ShaderOp3EXT = (GL.Delegates.ShaderOp3EXT)GetAddress("glShaderOp3EXT", typeof(GL.Delegates.ShaderOp3EXT));
            GL.SwizzleEXT = (GL.Delegates.SwizzleEXT)GetAddress("glSwizzleEXT", typeof(GL.Delegates.SwizzleEXT));
            GL.WriteMaskEXT = (GL.Delegates.WriteMaskEXT)GetAddress("glWriteMaskEXT", typeof(GL.Delegates.WriteMaskEXT));
            GL.InsertComponentEXT = (GL.Delegates.InsertComponentEXT)GetAddress("glInsertComponentEXT", typeof(GL.Delegates.InsertComponentEXT));
            GL.ExtractComponentEXT = (GL.Delegates.ExtractComponentEXT)GetAddress("glExtractComponentEXT", typeof(GL.Delegates.ExtractComponentEXT));
            GL.GenSymbolsEXT = (GL.Delegates.GenSymbolsEXT)GetAddress("glGenSymbolsEXT", typeof(GL.Delegates.GenSymbolsEXT));
            GL.SetInvariantEXT_ = (GL.Delegates.SetInvariantEXT_)GetAddress("glSetInvariantEXT", typeof(GL.Delegates.SetInvariantEXT_));
            GL.SetLocalConstantEXT_ = (GL.Delegates.SetLocalConstantEXT_)GetAddress("glSetLocalConstantEXT", typeof(GL.Delegates.SetLocalConstantEXT_));
            GL.VariantbvEXT_ = (GL.Delegates.VariantbvEXT_)GetAddress("glVariantbvEXT", typeof(GL.Delegates.VariantbvEXT_));
            GL.VariantsvEXT_ = (GL.Delegates.VariantsvEXT_)GetAddress("glVariantsvEXT", typeof(GL.Delegates.VariantsvEXT_));
            GL.VariantivEXT_ = (GL.Delegates.VariantivEXT_)GetAddress("glVariantivEXT", typeof(GL.Delegates.VariantivEXT_));
            GL.VariantfvEXT_ = (GL.Delegates.VariantfvEXT_)GetAddress("glVariantfvEXT", typeof(GL.Delegates.VariantfvEXT_));
            GL.VariantdvEXT_ = (GL.Delegates.VariantdvEXT_)GetAddress("glVariantdvEXT", typeof(GL.Delegates.VariantdvEXT_));
            GL.VariantubvEXT_ = (GL.Delegates.VariantubvEXT_)GetAddress("glVariantubvEXT", typeof(GL.Delegates.VariantubvEXT_));
            GL.VariantusvEXT_ = (GL.Delegates.VariantusvEXT_)GetAddress("glVariantusvEXT", typeof(GL.Delegates.VariantusvEXT_));
            GL.VariantuivEXT_ = (GL.Delegates.VariantuivEXT_)GetAddress("glVariantuivEXT", typeof(GL.Delegates.VariantuivEXT_));
            GL.VariantPointerEXT_ = (GL.Delegates.VariantPointerEXT_)GetAddress("glVariantPointerEXT", typeof(GL.Delegates.VariantPointerEXT_));
            GL.EnableVariantClientStateEXT = (GL.Delegates.EnableVariantClientStateEXT)GetAddress("glEnableVariantClientStateEXT", typeof(GL.Delegates.EnableVariantClientStateEXT));
            GL.DisableVariantClientStateEXT = (GL.Delegates.DisableVariantClientStateEXT)GetAddress("glDisableVariantClientStateEXT", typeof(GL.Delegates.DisableVariantClientStateEXT));
            GL.BindLightParameterEXT = (GL.Delegates.BindLightParameterEXT)GetAddress("glBindLightParameterEXT", typeof(GL.Delegates.BindLightParameterEXT));
            GL.BindMaterialParameterEXT = (GL.Delegates.BindMaterialParameterEXT)GetAddress("glBindMaterialParameterEXT", typeof(GL.Delegates.BindMaterialParameterEXT));
            GL.BindTexGenParameterEXT = (GL.Delegates.BindTexGenParameterEXT)GetAddress("glBindTexGenParameterEXT", typeof(GL.Delegates.BindTexGenParameterEXT));
            GL.BindTextureUnitParameterEXT = (GL.Delegates.BindTextureUnitParameterEXT)GetAddress("glBindTextureUnitParameterEXT", typeof(GL.Delegates.BindTextureUnitParameterEXT));
            GL.BindParameterEXT = (GL.Delegates.BindParameterEXT)GetAddress("glBindParameterEXT", typeof(GL.Delegates.BindParameterEXT));
            GL.IsVariantEnabledEXT = (GL.Delegates.IsVariantEnabledEXT)GetAddress("glIsVariantEnabledEXT", typeof(GL.Delegates.IsVariantEnabledEXT));
            GL.GetVariantBooleanvEXT_ = (GL.Delegates.GetVariantBooleanvEXT_)GetAddress("glGetVariantBooleanvEXT", typeof(GL.Delegates.GetVariantBooleanvEXT_));
            GL.GetVariantIntegervEXT_ = (GL.Delegates.GetVariantIntegervEXT_)GetAddress("glGetVariantIntegervEXT", typeof(GL.Delegates.GetVariantIntegervEXT_));
            GL.GetVariantFloatvEXT_ = (GL.Delegates.GetVariantFloatvEXT_)GetAddress("glGetVariantFloatvEXT", typeof(GL.Delegates.GetVariantFloatvEXT_));
            GL.GetVariantPointervEXT_ = (GL.Delegates.GetVariantPointervEXT_)GetAddress("glGetVariantPointervEXT", typeof(GL.Delegates.GetVariantPointervEXT_));
            GL.GetInvariantBooleanvEXT_ = (GL.Delegates.GetInvariantBooleanvEXT_)GetAddress("glGetInvariantBooleanvEXT", typeof(GL.Delegates.GetInvariantBooleanvEXT_));
            GL.GetInvariantIntegervEXT_ = (GL.Delegates.GetInvariantIntegervEXT_)GetAddress("glGetInvariantIntegervEXT", typeof(GL.Delegates.GetInvariantIntegervEXT_));
            GL.GetInvariantFloatvEXT_ = (GL.Delegates.GetInvariantFloatvEXT_)GetAddress("glGetInvariantFloatvEXT", typeof(GL.Delegates.GetInvariantFloatvEXT_));
            GL.GetLocalConstantBooleanvEXT_ = (GL.Delegates.GetLocalConstantBooleanvEXT_)GetAddress("glGetLocalConstantBooleanvEXT", typeof(GL.Delegates.GetLocalConstantBooleanvEXT_));
            GL.GetLocalConstantIntegervEXT_ = (GL.Delegates.GetLocalConstantIntegervEXT_)GetAddress("glGetLocalConstantIntegervEXT", typeof(GL.Delegates.GetLocalConstantIntegervEXT_));
            GL.GetLocalConstantFloatvEXT_ = (GL.Delegates.GetLocalConstantFloatvEXT_)GetAddress("glGetLocalConstantFloatvEXT", typeof(GL.Delegates.GetLocalConstantFloatvEXT_));
            GL.VertexStream1sATI = (GL.Delegates.VertexStream1sATI)GetAddress("glVertexStream1sATI", typeof(GL.Delegates.VertexStream1sATI));
            GL.VertexStream1svATI_ = (GL.Delegates.VertexStream1svATI_)GetAddress("glVertexStream1svATI", typeof(GL.Delegates.VertexStream1svATI_));
            GL.VertexStream1iATI = (GL.Delegates.VertexStream1iATI)GetAddress("glVertexStream1iATI", typeof(GL.Delegates.VertexStream1iATI));
            GL.VertexStream1ivATI_ = (GL.Delegates.VertexStream1ivATI_)GetAddress("glVertexStream1ivATI", typeof(GL.Delegates.VertexStream1ivATI_));
            GL.VertexStream1fATI = (GL.Delegates.VertexStream1fATI)GetAddress("glVertexStream1fATI", typeof(GL.Delegates.VertexStream1fATI));
            GL.VertexStream1fvATI_ = (GL.Delegates.VertexStream1fvATI_)GetAddress("glVertexStream1fvATI", typeof(GL.Delegates.VertexStream1fvATI_));
            GL.VertexStream1dATI = (GL.Delegates.VertexStream1dATI)GetAddress("glVertexStream1dATI", typeof(GL.Delegates.VertexStream1dATI));
            GL.VertexStream1dvATI_ = (GL.Delegates.VertexStream1dvATI_)GetAddress("glVertexStream1dvATI", typeof(GL.Delegates.VertexStream1dvATI_));
            GL.VertexStream2sATI = (GL.Delegates.VertexStream2sATI)GetAddress("glVertexStream2sATI", typeof(GL.Delegates.VertexStream2sATI));
            GL.VertexStream2svATI_ = (GL.Delegates.VertexStream2svATI_)GetAddress("glVertexStream2svATI", typeof(GL.Delegates.VertexStream2svATI_));
            GL.VertexStream2iATI = (GL.Delegates.VertexStream2iATI)GetAddress("glVertexStream2iATI", typeof(GL.Delegates.VertexStream2iATI));
            GL.VertexStream2ivATI_ = (GL.Delegates.VertexStream2ivATI_)GetAddress("glVertexStream2ivATI", typeof(GL.Delegates.VertexStream2ivATI_));
            GL.VertexStream2fATI = (GL.Delegates.VertexStream2fATI)GetAddress("glVertexStream2fATI", typeof(GL.Delegates.VertexStream2fATI));
            GL.VertexStream2fvATI_ = (GL.Delegates.VertexStream2fvATI_)GetAddress("glVertexStream2fvATI", typeof(GL.Delegates.VertexStream2fvATI_));
            GL.VertexStream2dATI = (GL.Delegates.VertexStream2dATI)GetAddress("glVertexStream2dATI", typeof(GL.Delegates.VertexStream2dATI));
            GL.VertexStream2dvATI_ = (GL.Delegates.VertexStream2dvATI_)GetAddress("glVertexStream2dvATI", typeof(GL.Delegates.VertexStream2dvATI_));
            GL.VertexStream3sATI = (GL.Delegates.VertexStream3sATI)GetAddress("glVertexStream3sATI", typeof(GL.Delegates.VertexStream3sATI));
            GL.VertexStream3svATI_ = (GL.Delegates.VertexStream3svATI_)GetAddress("glVertexStream3svATI", typeof(GL.Delegates.VertexStream3svATI_));
            GL.VertexStream3iATI = (GL.Delegates.VertexStream3iATI)GetAddress("glVertexStream3iATI", typeof(GL.Delegates.VertexStream3iATI));
            GL.VertexStream3ivATI_ = (GL.Delegates.VertexStream3ivATI_)GetAddress("glVertexStream3ivATI", typeof(GL.Delegates.VertexStream3ivATI_));
            GL.VertexStream3fATI = (GL.Delegates.VertexStream3fATI)GetAddress("glVertexStream3fATI", typeof(GL.Delegates.VertexStream3fATI));
            GL.VertexStream3fvATI_ = (GL.Delegates.VertexStream3fvATI_)GetAddress("glVertexStream3fvATI", typeof(GL.Delegates.VertexStream3fvATI_));
            GL.VertexStream3dATI = (GL.Delegates.VertexStream3dATI)GetAddress("glVertexStream3dATI", typeof(GL.Delegates.VertexStream3dATI));
            GL.VertexStream3dvATI_ = (GL.Delegates.VertexStream3dvATI_)GetAddress("glVertexStream3dvATI", typeof(GL.Delegates.VertexStream3dvATI_));
            GL.VertexStream4sATI = (GL.Delegates.VertexStream4sATI)GetAddress("glVertexStream4sATI", typeof(GL.Delegates.VertexStream4sATI));
            GL.VertexStream4svATI_ = (GL.Delegates.VertexStream4svATI_)GetAddress("glVertexStream4svATI", typeof(GL.Delegates.VertexStream4svATI_));
            GL.VertexStream4iATI = (GL.Delegates.VertexStream4iATI)GetAddress("glVertexStream4iATI", typeof(GL.Delegates.VertexStream4iATI));
            GL.VertexStream4ivATI_ = (GL.Delegates.VertexStream4ivATI_)GetAddress("glVertexStream4ivATI", typeof(GL.Delegates.VertexStream4ivATI_));
            GL.VertexStream4fATI = (GL.Delegates.VertexStream4fATI)GetAddress("glVertexStream4fATI", typeof(GL.Delegates.VertexStream4fATI));
            GL.VertexStream4fvATI_ = (GL.Delegates.VertexStream4fvATI_)GetAddress("glVertexStream4fvATI", typeof(GL.Delegates.VertexStream4fvATI_));
            GL.VertexStream4dATI = (GL.Delegates.VertexStream4dATI)GetAddress("glVertexStream4dATI", typeof(GL.Delegates.VertexStream4dATI));
            GL.VertexStream4dvATI_ = (GL.Delegates.VertexStream4dvATI_)GetAddress("glVertexStream4dvATI", typeof(GL.Delegates.VertexStream4dvATI_));
            GL.NormalStream3bATI = (GL.Delegates.NormalStream3bATI)GetAddress("glNormalStream3bATI", typeof(GL.Delegates.NormalStream3bATI));
            GL.NormalStream3bvATI_ = (GL.Delegates.NormalStream3bvATI_)GetAddress("glNormalStream3bvATI", typeof(GL.Delegates.NormalStream3bvATI_));
            GL.NormalStream3sATI = (GL.Delegates.NormalStream3sATI)GetAddress("glNormalStream3sATI", typeof(GL.Delegates.NormalStream3sATI));
            GL.NormalStream3svATI_ = (GL.Delegates.NormalStream3svATI_)GetAddress("glNormalStream3svATI", typeof(GL.Delegates.NormalStream3svATI_));
            GL.NormalStream3iATI = (GL.Delegates.NormalStream3iATI)GetAddress("glNormalStream3iATI", typeof(GL.Delegates.NormalStream3iATI));
            GL.NormalStream3ivATI_ = (GL.Delegates.NormalStream3ivATI_)GetAddress("glNormalStream3ivATI", typeof(GL.Delegates.NormalStream3ivATI_));
            GL.NormalStream3fATI = (GL.Delegates.NormalStream3fATI)GetAddress("glNormalStream3fATI", typeof(GL.Delegates.NormalStream3fATI));
            GL.NormalStream3fvATI_ = (GL.Delegates.NormalStream3fvATI_)GetAddress("glNormalStream3fvATI", typeof(GL.Delegates.NormalStream3fvATI_));
            GL.NormalStream3dATI = (GL.Delegates.NormalStream3dATI)GetAddress("glNormalStream3dATI", typeof(GL.Delegates.NormalStream3dATI));
            GL.NormalStream3dvATI_ = (GL.Delegates.NormalStream3dvATI_)GetAddress("glNormalStream3dvATI", typeof(GL.Delegates.NormalStream3dvATI_));
            GL.ClientActiveVertexStreamATI = (GL.Delegates.ClientActiveVertexStreamATI)GetAddress("glClientActiveVertexStreamATI", typeof(GL.Delegates.ClientActiveVertexStreamATI));
            GL.VertexBlendEnviATI = (GL.Delegates.VertexBlendEnviATI)GetAddress("glVertexBlendEnviATI", typeof(GL.Delegates.VertexBlendEnviATI));
            GL.VertexBlendEnvfATI = (GL.Delegates.VertexBlendEnvfATI)GetAddress("glVertexBlendEnvfATI", typeof(GL.Delegates.VertexBlendEnvfATI));
            GL.ElementPointerATI_ = (GL.Delegates.ElementPointerATI_)GetAddress("glElementPointerATI", typeof(GL.Delegates.ElementPointerATI_));
            GL.DrawElementArrayATI = (GL.Delegates.DrawElementArrayATI)GetAddress("glDrawElementArrayATI", typeof(GL.Delegates.DrawElementArrayATI));
            GL.DrawRangeElementArrayATI = (GL.Delegates.DrawRangeElementArrayATI)GetAddress("glDrawRangeElementArrayATI", typeof(GL.Delegates.DrawRangeElementArrayATI));
            GL.DrawMeshArraysSUN = (GL.Delegates.DrawMeshArraysSUN)GetAddress("glDrawMeshArraysSUN", typeof(GL.Delegates.DrawMeshArraysSUN));
            GL.GenOcclusionQueriesNV_ = (GL.Delegates.GenOcclusionQueriesNV_)GetAddress("glGenOcclusionQueriesNV", typeof(GL.Delegates.GenOcclusionQueriesNV_));
            GL.DeleteOcclusionQueriesNV_ = (GL.Delegates.DeleteOcclusionQueriesNV_)GetAddress("glDeleteOcclusionQueriesNV", typeof(GL.Delegates.DeleteOcclusionQueriesNV_));
            GL.IsOcclusionQueryNV = (GL.Delegates.IsOcclusionQueryNV)GetAddress("glIsOcclusionQueryNV", typeof(GL.Delegates.IsOcclusionQueryNV));
            GL.BeginOcclusionQueryNV = (GL.Delegates.BeginOcclusionQueryNV)GetAddress("glBeginOcclusionQueryNV", typeof(GL.Delegates.BeginOcclusionQueryNV));
            GL.EndOcclusionQueryNV = (GL.Delegates.EndOcclusionQueryNV)GetAddress("glEndOcclusionQueryNV", typeof(GL.Delegates.EndOcclusionQueryNV));
            GL.GetOcclusionQueryivNV_ = (GL.Delegates.GetOcclusionQueryivNV_)GetAddress("glGetOcclusionQueryivNV", typeof(GL.Delegates.GetOcclusionQueryivNV_));
            GL.GetOcclusionQueryuivNV_ = (GL.Delegates.GetOcclusionQueryuivNV_)GetAddress("glGetOcclusionQueryuivNV", typeof(GL.Delegates.GetOcclusionQueryuivNV_));
            GL.PointParameteriNV = (GL.Delegates.PointParameteriNV)GetAddress("glPointParameteriNV", typeof(GL.Delegates.PointParameteriNV));
            GL.PointParameterivNV_ = (GL.Delegates.PointParameterivNV_)GetAddress("glPointParameterivNV", typeof(GL.Delegates.PointParameterivNV_));
            GL.ActiveStencilFaceEXT = (GL.Delegates.ActiveStencilFaceEXT)GetAddress("glActiveStencilFaceEXT", typeof(GL.Delegates.ActiveStencilFaceEXT));
            GL.ElementPointerAPPLE_ = (GL.Delegates.ElementPointerAPPLE_)GetAddress("glElementPointerAPPLE", typeof(GL.Delegates.ElementPointerAPPLE_));
            GL.DrawElementArrayAPPLE = (GL.Delegates.DrawElementArrayAPPLE)GetAddress("glDrawElementArrayAPPLE", typeof(GL.Delegates.DrawElementArrayAPPLE));
            GL.DrawRangeElementArrayAPPLE = (GL.Delegates.DrawRangeElementArrayAPPLE)GetAddress("glDrawRangeElementArrayAPPLE", typeof(GL.Delegates.DrawRangeElementArrayAPPLE));
            GL.MultiDrawElementArrayAPPLE_ = (GL.Delegates.MultiDrawElementArrayAPPLE_)GetAddress("glMultiDrawElementArrayAPPLE", typeof(GL.Delegates.MultiDrawElementArrayAPPLE_));
            GL.MultiDrawRangeElementArrayAPPLE_ = (GL.Delegates.MultiDrawRangeElementArrayAPPLE_)GetAddress("glMultiDrawRangeElementArrayAPPLE", typeof(GL.Delegates.MultiDrawRangeElementArrayAPPLE_));
            GL.GenFencesAPPLE_ = (GL.Delegates.GenFencesAPPLE_)GetAddress("glGenFencesAPPLE", typeof(GL.Delegates.GenFencesAPPLE_));
            GL.DeleteFencesAPPLE_ = (GL.Delegates.DeleteFencesAPPLE_)GetAddress("glDeleteFencesAPPLE", typeof(GL.Delegates.DeleteFencesAPPLE_));
            GL.SetFenceAPPLE = (GL.Delegates.SetFenceAPPLE)GetAddress("glSetFenceAPPLE", typeof(GL.Delegates.SetFenceAPPLE));
            GL.IsFenceAPPLE = (GL.Delegates.IsFenceAPPLE)GetAddress("glIsFenceAPPLE", typeof(GL.Delegates.IsFenceAPPLE));
            GL.TestFenceAPPLE = (GL.Delegates.TestFenceAPPLE)GetAddress("glTestFenceAPPLE", typeof(GL.Delegates.TestFenceAPPLE));
            GL.FinishFenceAPPLE = (GL.Delegates.FinishFenceAPPLE)GetAddress("glFinishFenceAPPLE", typeof(GL.Delegates.FinishFenceAPPLE));
            GL.TestObjectAPPLE = (GL.Delegates.TestObjectAPPLE)GetAddress("glTestObjectAPPLE", typeof(GL.Delegates.TestObjectAPPLE));
            GL.FinishObjectAPPLE = (GL.Delegates.FinishObjectAPPLE)GetAddress("glFinishObjectAPPLE", typeof(GL.Delegates.FinishObjectAPPLE));
            GL.BindVertexArrayAPPLE = (GL.Delegates.BindVertexArrayAPPLE)GetAddress("glBindVertexArrayAPPLE", typeof(GL.Delegates.BindVertexArrayAPPLE));
            GL.DeleteVertexArraysAPPLE_ = (GL.Delegates.DeleteVertexArraysAPPLE_)GetAddress("glDeleteVertexArraysAPPLE", typeof(GL.Delegates.DeleteVertexArraysAPPLE_));
            GL.GenVertexArraysAPPLE_ = (GL.Delegates.GenVertexArraysAPPLE_)GetAddress("glGenVertexArraysAPPLE", typeof(GL.Delegates.GenVertexArraysAPPLE_));
            GL.IsVertexArrayAPPLE = (GL.Delegates.IsVertexArrayAPPLE)GetAddress("glIsVertexArrayAPPLE", typeof(GL.Delegates.IsVertexArrayAPPLE));
            GL.VertexArrayRangeAPPLE_ = (GL.Delegates.VertexArrayRangeAPPLE_)GetAddress("glVertexArrayRangeAPPLE", typeof(GL.Delegates.VertexArrayRangeAPPLE_));
            GL.FlushVertexArrayRangeAPPLE_ = (GL.Delegates.FlushVertexArrayRangeAPPLE_)GetAddress("glFlushVertexArrayRangeAPPLE", typeof(GL.Delegates.FlushVertexArrayRangeAPPLE_));
            GL.VertexArrayParameteriAPPLE = (GL.Delegates.VertexArrayParameteriAPPLE)GetAddress("glVertexArrayParameteriAPPLE", typeof(GL.Delegates.VertexArrayParameteriAPPLE));
            GL.DrawBuffersATI_ = (GL.Delegates.DrawBuffersATI_)GetAddress("glDrawBuffersATI", typeof(GL.Delegates.DrawBuffersATI_));
            GL.ProgramNamedParameter4fNV_ = (GL.Delegates.ProgramNamedParameter4fNV_)GetAddress("glProgramNamedParameter4fNV", typeof(GL.Delegates.ProgramNamedParameter4fNV_));
            GL.ProgramNamedParameter4dNV_ = (GL.Delegates.ProgramNamedParameter4dNV_)GetAddress("glProgramNamedParameter4dNV", typeof(GL.Delegates.ProgramNamedParameter4dNV_));
            GL.ProgramNamedParameter4fvNV_ = (GL.Delegates.ProgramNamedParameter4fvNV_)GetAddress("glProgramNamedParameter4fvNV", typeof(GL.Delegates.ProgramNamedParameter4fvNV_));
            GL.ProgramNamedParameter4dvNV_ = (GL.Delegates.ProgramNamedParameter4dvNV_)GetAddress("glProgramNamedParameter4dvNV", typeof(GL.Delegates.ProgramNamedParameter4dvNV_));
            GL.GetProgramNamedParameterfvNV_ = (GL.Delegates.GetProgramNamedParameterfvNV_)GetAddress("glGetProgramNamedParameterfvNV", typeof(GL.Delegates.GetProgramNamedParameterfvNV_));
            GL.GetProgramNamedParameterdvNV_ = (GL.Delegates.GetProgramNamedParameterdvNV_)GetAddress("glGetProgramNamedParameterdvNV", typeof(GL.Delegates.GetProgramNamedParameterdvNV_));
            GL.Vertex2hNV = (GL.Delegates.Vertex2hNV)GetAddress("glVertex2hNV", typeof(GL.Delegates.Vertex2hNV));
            GL.Vertex2hvNV_ = (GL.Delegates.Vertex2hvNV_)GetAddress("glVertex2hvNV", typeof(GL.Delegates.Vertex2hvNV_));
            GL.Vertex3hNV = (GL.Delegates.Vertex3hNV)GetAddress("glVertex3hNV", typeof(GL.Delegates.Vertex3hNV));
            GL.Vertex3hvNV_ = (GL.Delegates.Vertex3hvNV_)GetAddress("glVertex3hvNV", typeof(GL.Delegates.Vertex3hvNV_));
            GL.Vertex4hNV = (GL.Delegates.Vertex4hNV)GetAddress("glVertex4hNV", typeof(GL.Delegates.Vertex4hNV));
            GL.Vertex4hvNV_ = (GL.Delegates.Vertex4hvNV_)GetAddress("glVertex4hvNV", typeof(GL.Delegates.Vertex4hvNV_));
            GL.Normal3hNV = (GL.Delegates.Normal3hNV)GetAddress("glNormal3hNV", typeof(GL.Delegates.Normal3hNV));
            GL.Normal3hvNV_ = (GL.Delegates.Normal3hvNV_)GetAddress("glNormal3hvNV", typeof(GL.Delegates.Normal3hvNV_));
            GL.Color3hNV = (GL.Delegates.Color3hNV)GetAddress("glColor3hNV", typeof(GL.Delegates.Color3hNV));
            GL.Color3hvNV_ = (GL.Delegates.Color3hvNV_)GetAddress("glColor3hvNV", typeof(GL.Delegates.Color3hvNV_));
            GL.Color4hNV = (GL.Delegates.Color4hNV)GetAddress("glColor4hNV", typeof(GL.Delegates.Color4hNV));
            GL.Color4hvNV_ = (GL.Delegates.Color4hvNV_)GetAddress("glColor4hvNV", typeof(GL.Delegates.Color4hvNV_));
            GL.TexCoord1hNV = (GL.Delegates.TexCoord1hNV)GetAddress("glTexCoord1hNV", typeof(GL.Delegates.TexCoord1hNV));
            GL.TexCoord1hvNV_ = (GL.Delegates.TexCoord1hvNV_)GetAddress("glTexCoord1hvNV", typeof(GL.Delegates.TexCoord1hvNV_));
            GL.TexCoord2hNV = (GL.Delegates.TexCoord2hNV)GetAddress("glTexCoord2hNV", typeof(GL.Delegates.TexCoord2hNV));
            GL.TexCoord2hvNV_ = (GL.Delegates.TexCoord2hvNV_)GetAddress("glTexCoord2hvNV", typeof(GL.Delegates.TexCoord2hvNV_));
            GL.TexCoord3hNV = (GL.Delegates.TexCoord3hNV)GetAddress("glTexCoord3hNV", typeof(GL.Delegates.TexCoord3hNV));
            GL.TexCoord3hvNV_ = (GL.Delegates.TexCoord3hvNV_)GetAddress("glTexCoord3hvNV", typeof(GL.Delegates.TexCoord3hvNV_));
            GL.TexCoord4hNV = (GL.Delegates.TexCoord4hNV)GetAddress("glTexCoord4hNV", typeof(GL.Delegates.TexCoord4hNV));
            GL.TexCoord4hvNV_ = (GL.Delegates.TexCoord4hvNV_)GetAddress("glTexCoord4hvNV", typeof(GL.Delegates.TexCoord4hvNV_));
            GL.MultiTexCoord1hNV = (GL.Delegates.MultiTexCoord1hNV)GetAddress("glMultiTexCoord1hNV", typeof(GL.Delegates.MultiTexCoord1hNV));
            GL.MultiTexCoord1hvNV_ = (GL.Delegates.MultiTexCoord1hvNV_)GetAddress("glMultiTexCoord1hvNV", typeof(GL.Delegates.MultiTexCoord1hvNV_));
            GL.MultiTexCoord2hNV = (GL.Delegates.MultiTexCoord2hNV)GetAddress("glMultiTexCoord2hNV", typeof(GL.Delegates.MultiTexCoord2hNV));
            GL.MultiTexCoord2hvNV_ = (GL.Delegates.MultiTexCoord2hvNV_)GetAddress("glMultiTexCoord2hvNV", typeof(GL.Delegates.MultiTexCoord2hvNV_));
            GL.MultiTexCoord3hNV = (GL.Delegates.MultiTexCoord3hNV)GetAddress("glMultiTexCoord3hNV", typeof(GL.Delegates.MultiTexCoord3hNV));
            GL.MultiTexCoord3hvNV_ = (GL.Delegates.MultiTexCoord3hvNV_)GetAddress("glMultiTexCoord3hvNV", typeof(GL.Delegates.MultiTexCoord3hvNV_));
            GL.MultiTexCoord4hNV = (GL.Delegates.MultiTexCoord4hNV)GetAddress("glMultiTexCoord4hNV", typeof(GL.Delegates.MultiTexCoord4hNV));
            GL.MultiTexCoord4hvNV_ = (GL.Delegates.MultiTexCoord4hvNV_)GetAddress("glMultiTexCoord4hvNV", typeof(GL.Delegates.MultiTexCoord4hvNV_));
            GL.FogCoordhNV = (GL.Delegates.FogCoordhNV)GetAddress("glFogCoordhNV", typeof(GL.Delegates.FogCoordhNV));
            GL.FogCoordhvNV_ = (GL.Delegates.FogCoordhvNV_)GetAddress("glFogCoordhvNV", typeof(GL.Delegates.FogCoordhvNV_));
            GL.SecondaryColor3hNV = (GL.Delegates.SecondaryColor3hNV)GetAddress("glSecondaryColor3hNV", typeof(GL.Delegates.SecondaryColor3hNV));
            GL.SecondaryColor3hvNV_ = (GL.Delegates.SecondaryColor3hvNV_)GetAddress("glSecondaryColor3hvNV", typeof(GL.Delegates.SecondaryColor3hvNV_));
            GL.VertexWeighthNV = (GL.Delegates.VertexWeighthNV)GetAddress("glVertexWeighthNV", typeof(GL.Delegates.VertexWeighthNV));
            GL.VertexWeighthvNV_ = (GL.Delegates.VertexWeighthvNV_)GetAddress("glVertexWeighthvNV", typeof(GL.Delegates.VertexWeighthvNV_));
            GL.VertexAttrib1hNV = (GL.Delegates.VertexAttrib1hNV)GetAddress("glVertexAttrib1hNV", typeof(GL.Delegates.VertexAttrib1hNV));
            GL.VertexAttrib1hvNV_ = (GL.Delegates.VertexAttrib1hvNV_)GetAddress("glVertexAttrib1hvNV", typeof(GL.Delegates.VertexAttrib1hvNV_));
            GL.VertexAttrib2hNV = (GL.Delegates.VertexAttrib2hNV)GetAddress("glVertexAttrib2hNV", typeof(GL.Delegates.VertexAttrib2hNV));
            GL.VertexAttrib2hvNV_ = (GL.Delegates.VertexAttrib2hvNV_)GetAddress("glVertexAttrib2hvNV", typeof(GL.Delegates.VertexAttrib2hvNV_));
            GL.VertexAttrib3hNV = (GL.Delegates.VertexAttrib3hNV)GetAddress("glVertexAttrib3hNV", typeof(GL.Delegates.VertexAttrib3hNV));
            GL.VertexAttrib3hvNV_ = (GL.Delegates.VertexAttrib3hvNV_)GetAddress("glVertexAttrib3hvNV", typeof(GL.Delegates.VertexAttrib3hvNV_));
            GL.VertexAttrib4hNV = (GL.Delegates.VertexAttrib4hNV)GetAddress("glVertexAttrib4hNV", typeof(GL.Delegates.VertexAttrib4hNV));
            GL.VertexAttrib4hvNV_ = (GL.Delegates.VertexAttrib4hvNV_)GetAddress("glVertexAttrib4hvNV", typeof(GL.Delegates.VertexAttrib4hvNV_));
            GL.VertexAttribs1hvNV_ = (GL.Delegates.VertexAttribs1hvNV_)GetAddress("glVertexAttribs1hvNV", typeof(GL.Delegates.VertexAttribs1hvNV_));
            GL.VertexAttribs2hvNV_ = (GL.Delegates.VertexAttribs2hvNV_)GetAddress("glVertexAttribs2hvNV", typeof(GL.Delegates.VertexAttribs2hvNV_));
            GL.VertexAttribs3hvNV_ = (GL.Delegates.VertexAttribs3hvNV_)GetAddress("glVertexAttribs3hvNV", typeof(GL.Delegates.VertexAttribs3hvNV_));
            GL.VertexAttribs4hvNV_ = (GL.Delegates.VertexAttribs4hvNV_)GetAddress("glVertexAttribs4hvNV", typeof(GL.Delegates.VertexAttribs4hvNV_));
            GL.PixelDataRangeNV_ = (GL.Delegates.PixelDataRangeNV_)GetAddress("glPixelDataRangeNV", typeof(GL.Delegates.PixelDataRangeNV_));
            GL.FlushPixelDataRangeNV = (GL.Delegates.FlushPixelDataRangeNV)GetAddress("glFlushPixelDataRangeNV", typeof(GL.Delegates.FlushPixelDataRangeNV));
            GL.PrimitiveRestartNV = (GL.Delegates.PrimitiveRestartNV)GetAddress("glPrimitiveRestartNV", typeof(GL.Delegates.PrimitiveRestartNV));
            GL.PrimitiveRestartIndexNV = (GL.Delegates.PrimitiveRestartIndexNV)GetAddress("glPrimitiveRestartIndexNV", typeof(GL.Delegates.PrimitiveRestartIndexNV));
            GL.MapObjectBufferATI = (GL.Delegates.MapObjectBufferATI)GetAddress("glMapObjectBufferATI", typeof(GL.Delegates.MapObjectBufferATI));
            GL.UnmapObjectBufferATI = (GL.Delegates.UnmapObjectBufferATI)GetAddress("glUnmapObjectBufferATI", typeof(GL.Delegates.UnmapObjectBufferATI));
            GL.StencilOpSeparateATI = (GL.Delegates.StencilOpSeparateATI)GetAddress("glStencilOpSeparateATI", typeof(GL.Delegates.StencilOpSeparateATI));
            GL.StencilFuncSeparateATI = (GL.Delegates.StencilFuncSeparateATI)GetAddress("glStencilFuncSeparateATI", typeof(GL.Delegates.StencilFuncSeparateATI));
            GL.VertexAttribArrayObjectATI = (GL.Delegates.VertexAttribArrayObjectATI)GetAddress("glVertexAttribArrayObjectATI", typeof(GL.Delegates.VertexAttribArrayObjectATI));
            GL.GetVertexAttribArrayObjectfvATI_ = (GL.Delegates.GetVertexAttribArrayObjectfvATI_)GetAddress("glGetVertexAttribArrayObjectfvATI", typeof(GL.Delegates.GetVertexAttribArrayObjectfvATI_));
            GL.GetVertexAttribArrayObjectivATI_ = (GL.Delegates.GetVertexAttribArrayObjectivATI_)GetAddress("glGetVertexAttribArrayObjectivATI", typeof(GL.Delegates.GetVertexAttribArrayObjectivATI_));
            GL.DepthBoundsEXT = (GL.Delegates.DepthBoundsEXT)GetAddress("glDepthBoundsEXT", typeof(GL.Delegates.DepthBoundsEXT));
            GL.BlendEquationSeparateEXT = (GL.Delegates.BlendEquationSeparateEXT)GetAddress("glBlendEquationSeparateEXT", typeof(GL.Delegates.BlendEquationSeparateEXT));
            GL.IsRenderbufferEXT = (GL.Delegates.IsRenderbufferEXT)GetAddress("glIsRenderbufferEXT", typeof(GL.Delegates.IsRenderbufferEXT));
            GL.BindRenderbufferEXT = (GL.Delegates.BindRenderbufferEXT)GetAddress("glBindRenderbufferEXT", typeof(GL.Delegates.BindRenderbufferEXT));
            GL.DeleteRenderbuffersEXT_ = (GL.Delegates.DeleteRenderbuffersEXT_)GetAddress("glDeleteRenderbuffersEXT", typeof(GL.Delegates.DeleteRenderbuffersEXT_));
            GL.GenRenderbuffersEXT_ = (GL.Delegates.GenRenderbuffersEXT_)GetAddress("glGenRenderbuffersEXT", typeof(GL.Delegates.GenRenderbuffersEXT_));
            GL.RenderbufferStorageEXT = (GL.Delegates.RenderbufferStorageEXT)GetAddress("glRenderbufferStorageEXT", typeof(GL.Delegates.RenderbufferStorageEXT));
            GL.GetRenderbufferParameterivEXT_ = (GL.Delegates.GetRenderbufferParameterivEXT_)GetAddress("glGetRenderbufferParameterivEXT", typeof(GL.Delegates.GetRenderbufferParameterivEXT_));
            GL.IsFramebufferEXT = (GL.Delegates.IsFramebufferEXT)GetAddress("glIsFramebufferEXT", typeof(GL.Delegates.IsFramebufferEXT));
            GL.BindFramebufferEXT = (GL.Delegates.BindFramebufferEXT)GetAddress("glBindFramebufferEXT", typeof(GL.Delegates.BindFramebufferEXT));
            GL.DeleteFramebuffersEXT_ = (GL.Delegates.DeleteFramebuffersEXT_)GetAddress("glDeleteFramebuffersEXT", typeof(GL.Delegates.DeleteFramebuffersEXT_));
            GL.GenFramebuffersEXT_ = (GL.Delegates.GenFramebuffersEXT_)GetAddress("glGenFramebuffersEXT", typeof(GL.Delegates.GenFramebuffersEXT_));
            GL.CheckFramebufferStatusEXT = (GL.Delegates.CheckFramebufferStatusEXT)GetAddress("glCheckFramebufferStatusEXT", typeof(GL.Delegates.CheckFramebufferStatusEXT));
            GL.FramebufferTexture1DEXT = (GL.Delegates.FramebufferTexture1DEXT)GetAddress("glFramebufferTexture1DEXT", typeof(GL.Delegates.FramebufferTexture1DEXT));
            GL.FramebufferTexture2DEXT = (GL.Delegates.FramebufferTexture2DEXT)GetAddress("glFramebufferTexture2DEXT", typeof(GL.Delegates.FramebufferTexture2DEXT));
            GL.FramebufferTexture3DEXT = (GL.Delegates.FramebufferTexture3DEXT)GetAddress("glFramebufferTexture3DEXT", typeof(GL.Delegates.FramebufferTexture3DEXT));
            GL.FramebufferRenderbufferEXT = (GL.Delegates.FramebufferRenderbufferEXT)GetAddress("glFramebufferRenderbufferEXT", typeof(GL.Delegates.FramebufferRenderbufferEXT));
            GL.GetFramebufferAttachmentParameterivEXT_ = (GL.Delegates.GetFramebufferAttachmentParameterivEXT_)GetAddress("glGetFramebufferAttachmentParameterivEXT", typeof(GL.Delegates.GetFramebufferAttachmentParameterivEXT_));
            GL.GenerateMipmapEXT = (GL.Delegates.GenerateMipmapEXT)GetAddress("glGenerateMipmapEXT", typeof(GL.Delegates.GenerateMipmapEXT));
            GL.StringMarkerGREMEDY_ = (GL.Delegates.StringMarkerGREMEDY_)GetAddress("glStringMarkerGREMEDY", typeof(GL.Delegates.StringMarkerGREMEDY_));
            GL.StencilClearTagEXT = (GL.Delegates.StencilClearTagEXT)GetAddress("glStencilClearTagEXT", typeof(GL.Delegates.StencilClearTagEXT));
            GL.BlitFramebufferEXT = (GL.Delegates.BlitFramebufferEXT)GetAddress("glBlitFramebufferEXT", typeof(GL.Delegates.BlitFramebufferEXT));
            GL.RenderbufferStorageMultisampleEXT = (GL.Delegates.RenderbufferStorageMultisampleEXT)GetAddress("glRenderbufferStorageMultisampleEXT", typeof(GL.Delegates.RenderbufferStorageMultisampleEXT));
            GL.GetQueryObjecti64vEXT_ = (GL.Delegates.GetQueryObjecti64vEXT_)GetAddress("glGetQueryObjecti64vEXT", typeof(GL.Delegates.GetQueryObjecti64vEXT_));
            GL.GetQueryObjectui64vEXT_ = (GL.Delegates.GetQueryObjectui64vEXT_)GetAddress("glGetQueryObjectui64vEXT", typeof(GL.Delegates.GetQueryObjectui64vEXT_));
            GL.ProgramEnvParameters4fvEXT_ = (GL.Delegates.ProgramEnvParameters4fvEXT_)GetAddress("glProgramEnvParameters4fvEXT", typeof(GL.Delegates.ProgramEnvParameters4fvEXT_));
            GL.ProgramLocalParameters4fvEXT_ = (GL.Delegates.ProgramLocalParameters4fvEXT_)GetAddress("glProgramLocalParameters4fvEXT", typeof(GL.Delegates.ProgramLocalParameters4fvEXT_));
        }
        #endregion
    }
}

